[Touch-packages] [Bug 1861408] Re: firefox apparmor messages

2021-04-22 Thread Olivier Tilloy
Updated again for Python 3.9:
https://bazaar.launchpad.net/~mozillateam/firefox/firefox.hirsute/revision/1489

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1861408

Title:
  firefox apparmor messages

Status in apparmor package in Ubuntu:
  New
Status in firefox package in Ubuntu:
  Fix Released

Bug description:
  firefox version 72.0.1 64 bit, 72.0.1+linuxmint1+tricia , linux mint
  19.3.

  i see there is newer ubuntu version in
  
https://www.ubuntuupdates.org/package/ubuntu_mozilla_security/bionic/main/base/firefox
  , 72.0.2+build1-0ubuntu0.18.04.1 , but its changes are not for
  apparmor.

  i have not found a page for firefox bugs in linux mint sites, so i
  belive i should report here. but i have also asked about that in linux
  mint's irc and then github.

  i have enabled apparmor for firefox and see these types of messages in
  syslog:

  Jan 28 18:43:33 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[735]:
  [system] Activating via systemd: service
  name='org.freedesktop.hostname1' unit='dbus-
  org.freedesktop.hostname1.service' requested by ':1.111' (uid=1000
  pid=1922 comm="/usr/lib/firefox/firefox " label="unconfined")

  Jan 28 18:44:36 dinar-HP-Pavilion-g7-Notebook-PC kernel: [
  5525.077960] audit: type=1400 audit(1580226276.440:27):
  apparmor="DENIED" operation="capable"
  profile="/usr/lib/firefox/firefox{,*[^s][^h]}" pid=15948
  comm="firefox" capability=21  capname="sys_admin"

  Jan 28 18:44:37 dinar-HP-Pavilion-g7-Notebook-PC kernel: [
  5526.471731] audit: type=1107 audit(1580226277.832:28): pid=735
  uid=103 auid=4294967295 ses=4294967295 msg='apparmor="DENIED"
  operation="dbus_method_call"  bus="system"
  path="/org/freedesktop/RealtimeKit1"
  interface="org.freedesktop.DBus.Properties" member="Get" mask="send"
  name="org.freedesktop.RealtimeKit1" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1320
  peer_label="unconfined"

  Jan 28 18:44:47 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/org/gtk/vfs/Daemon" interface="org.gtk.vfs.Daemon"
  member="ListMonitorImplementations" mask="send" name=":1.10" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1262
  peer_label="unconfined"

  Jan 28 18:44:47 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/org/gtk/Private/RemoteVolumeMonitor"
  interface="org.gtk.Private.RemoteVolumeMonitor" member="IsSupported"
  mask="send" name=":1.35" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1385
  peer_label="unconfined"

  Jan 28 18:44:47 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/org/gtk/vfs/mounttracker" interface="org.gtk.vfs.MountTracker"
  member="ListMounts2" mask="send" name=":1.10" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1262
  peer_label="unconfined"

  Jan 28 18:44:47 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/org/gtk/vfs/mounttracker" interface="org.gtk.vfs.MountTracker"
  member="LookupMount" mask="send" name=":1.10" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1262
  peer_label="unconfined"

  Jan 28 18:44:48 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[735]:
  [system] Activating via systemd: service
  name='org.freedesktop.hostname1' unit='dbus-
  org.freedesktop.hostname1.service' requested by ':1.119' (uid=1000
  pid=15948 comm="/usr/lib/firefox/firefox "
  label="/usr/lib/firefox/firefox{,*[^s][^h]} (enforce)")

  Jan 28 18:44:48 dinar-HP-Pavilion-g7-Notebook-PC kernel: [
  5536.783313] audit: type=1107 audit(1580226288.143:34): pid=735
  uid=103 auid=4294967295 ses=4294967295 msg='apparmor="DENIED"
  operation="dbus_method_call"  bus="system"
  path="/org/freedesktop/hostname1"
  interface="org.freedesktop.DBus.Properties" member="GetAll"
  mask="send" name=":1.120" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=16177
  peer_label="unconfined"

  Jan 28 18:45:02 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/ca/desrt/dconf/Writer/user" interface="ca.desrt.dconf.Writer"
  member="Change" mask="send" name="ca.desrt.dconf" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1370
  peer_label="unconfined"

  Jan 28 21:51:30 dinar-HP-Pavilion-g7-Notebook-PC kernel:
  [10131.880788] audit: type=1400 audit(1580237490.777:123):
  apparmor="DENIED" operation="open"
  profile="/usr/lib/firefox/firefox{,*[^s][^h]}"
  name="/home/dinar/.cache/mesa_shader_cache/index" pid=19720
  comm="firefox" requested_mask="wrc" denied_mask="wrc" fsuid=1000
  ouid=1000

  these appeared while saving a 

[Touch-packages] [Bug 1920836] Re: Show Extended Security Maintenence status

2021-03-23 Thread Olivier Tilloy
** Changed in: software-properties (Ubuntu Xenial)
 Assignee: (unassigned) => Robert Ancell (robert-ancell)

** Changed in: software-properties (Ubuntu Bionic)
 Assignee: (unassigned) => Robert Ancell (robert-ancell)

** Changed in: software-properties (Ubuntu Focal)
 Assignee: (unassigned) => Robert Ancell (robert-ancell)

** Changed in: software-properties (Ubuntu Hirsute)
 Assignee: (unassigned) => Robert Ancell (robert-ancell)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1920836

Title:
  Show Extended Security Maintenence status

Status in software-properties package in Ubuntu:
  New
Status in software-properties source package in Xenial:
  New
Status in software-properties source package in Bionic:
  New
Status in software-properties source package in Focal:
  New
Status in software-properties source package in Hirsute:
  New

Bug description:
  [Impact]
  There is not currently a graphical method of determining if a system is 
subscribed to [Extended Security Maintenance](https://ubuntu.com/security/esm) 
updates. This is resolved by adding some [new 
UI](https://wiki.ubuntu.com/SoftwareUpdates#Extended_Security_Maintenance) to 
the software properties application.

  [Test Case]
  1. Install latest version of Ubuntu advantage:
  $ sudo add-apt-repository ppa:ua-client/stable
  $ sudo apt update
  $ sudo apt upgrade
  2. Open Software Properties
  3. Go to Updates tab.

  Expected result:
  Information is shown that indicates if this system is using Extended Security 
Maintenance updates, when updates will supported until, and a link to upgrade 
to ESM.

  Observed result:
  No ESM information currently shown.

  [Where problems could occur]
  - Software properties could hit a bug getting a response from the ua app. The 
current code carefully checks if and what is returned, falling back to a safe 
default behavior.
  - Launching software properties could trigger a bug in the ua app.
  - Software properties could show incorrect information, causing confusion for 
the user. The solution uses information from distro-info and the ua app which 
means software-properties contains no data about ESM, and instead relies on 
these apps that can be updated if things change.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1920836/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1917650] Re: FTBFS on riscv64 because tests are disabled by default

2021-03-03 Thread Olivier Tilloy
And this is the fix:

--- libsndfile-1.0.31/debian/rules  2021-01-29 22:05:07.0 +
+++ libsndfile-1.0.31/debian/rules  2021-03-03 16:53:14.0 +
@@ -4,6 +4,11 @@
 
 DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# Forcefully enable tests (they are disabled by default on riscv64 in Ubuntu,
+# see https://launchpad.net/bugs/1891686) because libsndfile1-dev wants to
+# install test binaries (https://launchpad.net/bugs/1917650).
+DEB_BUILD_OPTIONS := $(filter-out nocheck,$(DEB_BUILD_OPTIONS))
+
 %:
dh $@

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libsndfile in Ubuntu.
https://bugs.launchpad.net/bugs/1917650

Title:
  FTBFS on riscv64 because tests are disabled by default

Status in libsndfile package in Ubuntu:
  Fix Committed

Bug description:
  dpkg defaults to nocheck on riscv64 (see bug #1891686), and as a
  consequence libsndfile fails to build from source, because
  libsndfile1-dev wants to install test binaries that weren't built:

  dh: command-omitted: The call to "dh_auto_test -a" was omitted due to 
"DEB_BUILD_OPTIONS=nocheck"
  dh_install: warning: Cannot find (any matches for) "tests/.libs/*" (tried in 
., debian/tmp)
  dh_install: error: missing files, aborting

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libsndfile/+bug/1917650/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1917650] Re: FTBFS on riscv64 because tests are disabled by default

2021-03-03 Thread Olivier Tilloy
Uploaded https://launchpad.net/ubuntu/+source/libsndfile/1.0.31-1ubuntu1
to fix the build failure.

** Changed in: libsndfile (Ubuntu)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libsndfile in Ubuntu.
https://bugs.launchpad.net/bugs/1917650

Title:
  FTBFS on riscv64 because tests are disabled by default

Status in libsndfile package in Ubuntu:
  Fix Committed

Bug description:
  dpkg defaults to nocheck on riscv64 (see bug #1891686), and as a
  consequence libsndfile fails to build from source, because
  libsndfile1-dev wants to install test binaries that weren't built:

  dh: command-omitted: The call to "dh_auto_test -a" was omitted due to 
"DEB_BUILD_OPTIONS=nocheck"
  dh_install: warning: Cannot find (any matches for) "tests/.libs/*" (tried in 
., debian/tmp)
  dh_install: error: missing files, aborting

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libsndfile/+bug/1917650/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1917650] [NEW] FTBFS on riscv64 because tests are disabled by default

2021-03-03 Thread Olivier Tilloy
Public bug reported:

dpkg defaults to nocheck on riscv64 (see bug #1891686), and as a
consequence libsndfile fails to build from source, because
libsndfile1-dev wants to install test binaries that weren't built:

dh: command-omitted: The call to "dh_auto_test -a" was omitted due to 
"DEB_BUILD_OPTIONS=nocheck"
dh_install: warning: Cannot find (any matches for) "tests/.libs/*" (tried in ., 
debian/tmp)
dh_install: error: missing files, aborting

** Affects: libsndfile (Ubuntu)
 Importance: Medium
 Assignee: Olivier Tilloy (osomon)
 Status: Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libsndfile in Ubuntu.
https://bugs.launchpad.net/bugs/1917650

Title:
  FTBFS on riscv64 because tests are disabled by default

Status in libsndfile package in Ubuntu:
  Fix Committed

Bug description:
  dpkg defaults to nocheck on riscv64 (see bug #1891686), and as a
  consequence libsndfile fails to build from source, because
  libsndfile1-dev wants to install test binaries that weren't built:

  dh: command-omitted: The call to "dh_auto_test -a" was omitted due to 
"DEB_BUILD_OPTIONS=nocheck"
  dh_install: warning: Cannot find (any matches for) "tests/.libs/*" (tried in 
., debian/tmp)
  dh_install: error: missing files, aborting

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libsndfile/+bug/1917650/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1910792] Re: gettext 0.21-3 FTBFS on armhf

2021-01-22 Thread Olivier Tilloy
** Changed in: gettext (Ubuntu)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gettext in Ubuntu.
https://bugs.launchpad.net/bugs/1910792

Title:
  gettext 0.21-3 FTBFS on armhf

Status in gettext package in Ubuntu:
  Fix Committed

Bug description:
  gettext 0.21-3 currently in hirsute-proposed reliably fails to build from 
source on armhf.
  I'm attaching a failed build log.

  This upstream commit
  
(https://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commitdiff;h=175e0bc72808d564074c4adcc72aeadb74adfcc6)
  in the embedded copy of gnulib should fix the issue.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gettext/+bug/1910792/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1910792] Re: gettext 0.21-3 FTBFS on armhf

2021-01-11 Thread Olivier Tilloy
https://launchpad.net/ubuntu/+source/gettext/0.21-3ubuntu1 built
successfully on armhf, but is now failing to build on i386 and riscv64
because of missing dependencies (emacs).

** Summary changed:

- gettest 0.21-3 FTBFS on armhf
+ gettext 0.21-3 FTBFS on armhf

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gettext in Ubuntu.
https://bugs.launchpad.net/bugs/1910792

Title:
  gettext 0.21-3 FTBFS on armhf

Status in gettext package in Ubuntu:
  In Progress

Bug description:
  gettext 0.21-3 currently in hirsute-proposed reliably fails to build from 
source on armhf.
  I'm attaching a failed build log.

  This upstream commit
  
(https://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commitdiff;h=175e0bc72808d564074c4adcc72aeadb74adfcc6)
  in the embedded copy of gnulib should fix the issue.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gettext/+bug/1910792/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1910792] Re: gettest 0.21-3 FTBFS on armhf

2021-01-08 Thread Olivier Tilloy
** Changed in: gettext (Ubuntu)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

** Changed in: gettext (Ubuntu)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gettext in Ubuntu.
https://bugs.launchpad.net/bugs/1910792

Title:
  gettest 0.21-3 FTBFS on armhf

Status in gettext package in Ubuntu:
  In Progress

Bug description:
  gettext 0.21-3 currently in hirsute-proposed reliably fails to build from 
source on armhf.
  I'm attaching a failed build log.

  This upstream commit
  
(https://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commitdiff;h=175e0bc72808d564074c4adcc72aeadb74adfcc6)
  in the embedded copy of gnulib should fix the issue.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gettext/+bug/1910792/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1910792] [NEW] gettest 0.21-3 FTBFS on armhf

2021-01-08 Thread Olivier Tilloy
Public bug reported:

gettext 0.21-3 currently in hirsute-proposed reliably fails to build from 
source on armhf.
I'm attaching a failed build log.

This upstream commit
(https://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commitdiff;h=175e0bc72808d564074c4adcc72aeadb74adfcc6)
in the embedded copy of gnulib should fix the issue.

** Affects: gettext (Ubuntu)
 Importance: Undecided
 Status: New

** Attachment added: "failed build log"
   
https://bugs.launchpad.net/bugs/1910792/+attachment/5450993/+files/buildlog_ubuntu-hirsute-armhf.gettext_0.21-3_BUILDING.txt.gz

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gettext in Ubuntu.
https://bugs.launchpad.net/bugs/1910792

Title:
  gettest 0.21-3 FTBFS on armhf

Status in gettext package in Ubuntu:
  New

Bug description:
  gettext 0.21-3 currently in hirsute-proposed reliably fails to build from 
source on armhf.
  I'm attaching a failed build log.

  This upstream commit
  
(https://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commitdiff;h=175e0bc72808d564074c4adcc72aeadb74adfcc6)
  in the embedded copy of gnulib should fix the issue.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gettext/+bug/1910792/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1899857] Re: [SRU] alsa-lib: support the enum value settings both in "" and in ''

2020-12-16 Thread Olivier Tilloy
alsa-lib 1.2.2-2.1ubuntu2.3 is now in the focal queue

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-lib in Ubuntu.
https://bugs.launchpad.net/bugs/1899857

Title:
  [SRU] alsa-lib: support the enum value settings both in "" and in ''

Status in HWE Next:
  New
Status in alsa-lib package in Ubuntu:
  Fix Released
Status in alsa-lib source package in Focal:
  Fix Committed
Status in alsa-lib source package in Groovy:
  Fix Released

Bug description:
  [Impact]
  Recently the ucm added some amixer settings, like this one:
  cset "name='rt711 ADC 23 Mux' 'MIC2'"
  This setting is needed for Dell soundwire audio machines, and only
  this setting is set correctly, the headset-mic could work. And we
  already backported this ucm to focal. But the alsa-lib ctl parse
  doesn't support the enum value in the '' yet, so this amixer setting
  can't be set correctly under current focal and groovy, we need to
  backport a patch from alsa-lib master branch.

  [Fix]
  Backport a patch from upstream, this patch is not in the groovy
  yet (not in the alsa-lib v1.2.3.2), so both groovy and focal need this
  patch.

  [Test Case]
  On the Dell soundwire audio machine, run alsactl init, then check if
  the amixer "rt711 ADC 23 Mux" is set to "MIC2" or not, if it is set
  correctly, it means the alsalib enum ctl parse support both "" and ''
  now.

  
  [Regression Risk]
  This could introduce failure on setting enum amixer settings, users
  will experience the failure of audio device like the speaker can't output
  sound, the mic can't record sound. But this possibility is very low since
  we have tested this SRU on many LENOVO and Dell machines (with and without
  soundwire audio), all worked as fine as before.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1899857/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1906741] Re: Firefox sometimes causes garbled audio

2020-12-14 Thread Olivier Tilloy
I am tentatively adding a pulseaudio task.

** Changed in: firefox (Ubuntu)
   Status: Incomplete => New

** Also affects: pulseaudio (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1906741

Title:
  Firefox sometimes causes garbled audio

Status in firefox package in Ubuntu:
  New
Status in pulseaudio package in Ubuntu:
  New

Bug description:
  Opening certain applications/websites at the same time as Firefox
  causes the audio to become garbled.

  The audio sounds distorted with an echo.

  Certain actions are guaranteed to cause this, but it can also
  happening when only running instances of Firefox.

  I've been able to consistently cause this by launching Zoom from a link 
within Firefox. 
  This does not occur when using Chrome. 

  The only way to fix the issue is to shut down all audio-related
  programs.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: firefox 83.0+build2-0ubuntu0.20.04.1
  ProcVersionSignature: Ubuntu 5.4.0-56.62-generic 5.4.73
  Uname: Linux 5.4.0-56-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  AddonCompatCheckDisabled: False
  ApportVersion: 2.20.11-0ubuntu27.12
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC2:  rdevans   55475 F pulseaudio
   /dev/snd/controlC0:  rdevans   55475 F pulseaudio
   /dev/snd/controlC3:  rdevans   55475 F pulseaudio
   /dev/snd/controlC1:  rdevans   55475 F pulseaudio
  BuildID: 20201112153044
  CasperMD5CheckResult: skip
  Channel: Unavailable
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Dec  3 16:55:36 2020
  Extensions: extensions.sqlite corrupt or missing
  ForcedLayersAccel: False
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  IncompatibleExtensions: Unavailable (corrupt or non-existant 
compatibility.ini or extensions.sqlite)
  InstallationDate: Installed on 2017-10-20 (1140 days ago)
  InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
  IpRoute:
   default via 10.0.0.1 dev enp7s0 proto dhcp metric 100 
   10.0.0.0/24 dev enp7s0 proto kernel scope link src 10.0.0.7 metric 100 
   169.254.0.0/16 dev enp7s0 scope link metric 1000
  Locales: extensions.sqlite corrupt or missing
  PrefErrors: Unexpected character ',' before close parenthesis @ 
/usr/lib/firefox/omni.ja:greprefs.js:354
  PrefSources: prefs.js
  Profiles: Profile0 (Default) - LastVersion=83.0/20201112153044 (In use)
  RunningIncompatibleAddons: False
  SourcePackage: firefox
  Themes: extensions.sqlite corrupt or missing
  UpgradeStatus: Upgraded to focal on 2020-11-12 (21 days ago)
  dmi.bios.date: 02/18/2011
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P1.40
  dmi.board.name: H67M
  dmi.board.vendor: ASRock
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrP1.40:bd02/18/2011:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnH67M:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: To Be Filled By O.E.M.
  dmi.product.sku: To Be Filled By O.E.M.
  dmi.product.version: To Be Filled By O.E.M.
  dmi.sys.vendor: To Be Filled By O.E.M.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1906741/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1906294] Re: systemd-journal hang after chromium is closed

2020-12-09 Thread Olivier Tilloy
Closing per the last comment. Feel free to re-open if the issue surfaces
again.

** Changed in: systemd (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1906294

Title:
  systemd-journal hang after chromium is closed

Status in systemd package in Ubuntu:
  Fix Released

Bug description:
  CPU usage after close of Chromium is 98,7% by systemd-jounal after
  these updates

  Start-Date: 2020-11-30  18:39:16
  Commandline: packagekit role='update-packages'
  Upgrade: gir1.2-mutter-7:amd64 (3.38.1-1ubuntu1, 3.38.1-2ubuntu1), 
snapd:amd64 (2.47.1+20.10.1, 2.48+20.10), libmutter-7-0:amd64 (3.38.1-1ubuntu1, 
3.38.1-2ubuntu1), mutter-common:amd64 (3.38.1-1ubuntu1, 3.38.1-2ubuntu1), 
gir1.2-snapd-1:amd64 (1.57-0ubuntu4, 1.58-0ubuntu0.20.10.0), 
libsnapd-glib1:amd64 (1.57-0ubuntu4, 1.58-0ubuntu0.20.10.0)
  End-Date: 2020-11-30  18:39:25

  ProblemType: Bug
  DistroRelease: Ubuntu 20.10
  Uname: Linux 5.10.0-051000rc3-generic x86_64
  ApportVersion: 2.20.11-0ubuntu50.2
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Mon Nov 30 19:20:00 2020
  InstallationDate: Installed on 2020-11-14 (16 days ago)
  InstallationMedia: Ubuntu 20.10 "Groovy Gorilla" - Release amd64 (20201022)
  Snap: chromium 87.0.4280.66 (latest/stable)
  SnapSource: ubuntu/+source/chromium-browser
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1906294/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 987060] Re: massive memory leak in unity-panel-service and hud-service when invoking the hud on Firefox profiles with large amounts of bookmarks LTS 12.04 14.04

2020-12-02 Thread Olivier Tilloy
** Changed in: hud (Ubuntu Xenial)
   Status: In Progress => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to hud in Ubuntu.
https://bugs.launchpad.net/bugs/987060

Title:
  massive memory leak in unity-panel-service and hud-service when
  invoking the hud on Firefox profiles with large amounts of bookmarks
  LTS 12.04 14.04

Status in Unity HUD:
  Confirmed
Status in Application Menu Indicator:
  Confirmed
Status in Unity:
  Won't Fix
Status in firefox package in Ubuntu:
  Incomplete
Status in hud package in Ubuntu:
  Confirmed
Status in unity package in Ubuntu:
  Invalid
Status in firefox source package in Xenial:
  Incomplete
Status in hud source package in Xenial:
  Confirmed
Status in unity source package in Xenial:
  Invalid

Bug description:
  unity-panel-service and hud-service quickly racks up memory and CPU
  usage until I kill it when invoking the HUD on Firefox. It's taking
  anywhere from a few minutes to half an hour, but it sometimes makes
  the system completely unusable.

  1. run Firefox 12.0 in the foreground
  2. hit Alt to bring up HUD
  3. type any text
  4. select one proposal from HUD
  5. wait for unity-panel-service and hud-service to fill up the remaining RAM 
and swap space.

  This is due to a high number of bookmarks in a user profile
  (hundreds).

To manage notifications about this bug go to:
https://bugs.launchpad.net/hud/+bug/987060/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1903329] Re: SRU the current 2.48.9 stable update

2020-12-02 Thread Olivier Tilloy
> Should groovy also get the fix for upstream issue 642?

I suppose it wouldn't hurt. Adding the rls-gg-incoming tag to consider
whether this is worthwhile.

** Tags added: rls-gg-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1903329

Title:
  SRU the current 2.48.9 stable update

Status in librsvg package in Ubuntu:
  Fix Released
Status in librsvg source package in Focal:
  Fix Committed

Bug description:
  * Impact

  That's the current GNOME stable update, which fixes a number of
  issues, including a regression[1] since librsvg 2.40.x which was
  shipped in Ubuntu 16.04. The NEWS file[2] summarizes the relevant
  changes between Ubuntu 20.04's current librsvg 2.48.7 (that version
  was also introduced by an SRU back in July[3]) and the current version
  2.48.9. The complete list of changes is available on GNOME GitLab[4].

  * Test case

  The update is part of GNOME stable updates[5].

  Smoke testing by opening SVG images with eog or importing them with
  gimp can be performed to ensure there are no regressions.

  * Regression potential

  This is a bugfix-only stable micro-release, however librsvg is a core
  component with a number of reverse dependencies. A combination of
  autopkgtests and manual smoke testing to try and detect SVG rendering
  issues should be performed.

  * Notes about this report

  This is my first SRU request (and at the same time my first launchpad
  bug report). I'm not really familiar with the whole SRU process which
  is why I first asked about it on Ubuntu's official discourse forum[6].
  Canonical's Sebastien Bacher encouraged me to open this ticket. I've
  copied over some parts of the last librsvg SRU ticket[3]. I hope this
  is fine.

  Thanks for considering this SRU.

  [1]: https://gitlab.gnome.org/GNOME/librsvg/-/issues/642

  [2]: https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

  [3]: https://bugs.launchpad.net/bugs/1884326

  [4]: https://gitlab.gnome.org/GNOME/librsvg/-/compare/2.48.7...2.48.9

  [5]: https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  [6]: https://discourse.ubuntu.com/t/most-straight-forward-way-to-get-
  librsvg2-microrelease-update-into-focal-updates/19238

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1903329/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1903329] Re: SRU the current 2.48.9 stable update

2020-11-30 Thread Olivier Tilloy
Uploaded librsvg 2.48.9-1ubuntu0.20.04.1, now sitting in the focal
unapproved queue, waiting for the SRU team to review and accept it.

** Changed in: librsvg (Ubuntu Focal)
   Status: Triaged => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1903329

Title:
  SRU the current 2.48.9 stable update

Status in librsvg package in Ubuntu:
  Fix Released
Status in librsvg source package in Focal:
  In Progress

Bug description:
  * Impact

  That's the current GNOME stable update, which fixes a number of
  issues, including a regression[1] since librsvg 2.40.x which was
  shipped in Ubuntu 16.04. The NEWS file[2] summarizes the relevant
  changes between Ubuntu 20.04's current librsvg 2.48.7 (that version
  was also introduced by an SRU back in July[3]) and the current version
  2.48.9. The complete list of changes is available on GNOME GitLab[4].

  * Test case

  The update is part of GNOME stable updates[5].

  Smoke testing by opening SVG images with eog or importing them with
  gimp can be performed to ensure there are no regressions.

  * Regression potential

  This is a bugfix-only stable micro-release, however librsvg is a core
  component with a number of reverse dependencies. A combination of
  autopkgtests and manual smoke testing to try and detect SVG rendering
  issues should be performed.

  * Notes about this report

  This is my first SRU request (and at the same time my first launchpad
  bug report). I'm not really familiar with the whole SRU process which
  is why I first asked about it on Ubuntu's official discourse forum[6].
  Canonical's Sebastien Bacher encouraged me to open this ticket. I've
  copied over some parts of the last librsvg SRU ticket[3]. I hope this
  is fine.

  Thanks for considering this SRU.

  [1]: https://gitlab.gnome.org/GNOME/librsvg/-/issues/642

  [2]: https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

  [3]: https://bugs.launchpad.net/bugs/1884326

  [4]: https://gitlab.gnome.org/GNOME/librsvg/-/compare/2.48.7...2.48.9

  [5]: https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  [6]: https://discourse.ubuntu.com/t/most-straight-forward-way-to-get-
  librsvg2-microrelease-update-into-focal-updates/19238

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1903329/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1903329] Re: SRU the current 2.48.9 stable update

2020-11-30 Thread Olivier Tilloy
librsvg 2.50.2+dfsg-1 is now in hirsute. We can proceed with the SRU.

** Changed in: librsvg (Ubuntu)
   Status: Triaged => Won't Fix

** Changed in: librsvg (Ubuntu)
   Status: Won't Fix => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1903329

Title:
  SRU the current 2.48.9 stable update

Status in librsvg package in Ubuntu:
  Fix Released
Status in librsvg source package in Focal:
  Triaged

Bug description:
  * Impact

  That's the current GNOME stable update, which fixes a number of
  issues, including a regression[1] since librsvg 2.40.x which was
  shipped in Ubuntu 16.04. The NEWS file[2] summarizes the relevant
  changes between Ubuntu 20.04's current librsvg 2.48.7 (that version
  was also introduced by an SRU back in July[3]) and the current version
  2.48.9. The complete list of changes is available on GNOME GitLab[4].

  * Test case

  The update is part of GNOME stable updates[5].

  Smoke testing by opening SVG images with eog or importing them with
  gimp can be performed to ensure there are no regressions.

  * Regression potential

  This is a bugfix-only stable micro-release, however librsvg is a core
  component with a number of reverse dependencies. A combination of
  autopkgtests and manual smoke testing to try and detect SVG rendering
  issues should be performed.

  * Notes about this report

  This is my first SRU request (and at the same time my first launchpad
  bug report). I'm not really familiar with the whole SRU process which
  is why I first asked about it on Ubuntu's official discourse forum[6].
  Canonical's Sebastien Bacher encouraged me to open this ticket. I've
  copied over some parts of the last librsvg SRU ticket[3]. I hope this
  is fine.

  Thanks for considering this SRU.

  [1]: https://gitlab.gnome.org/GNOME/librsvg/-/issues/642

  [2]: https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

  [3]: https://bugs.launchpad.net/bugs/1884326

  [4]: https://gitlab.gnome.org/GNOME/librsvg/-/compare/2.48.7...2.48.9

  [5]: https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  [6]: https://discourse.ubuntu.com/t/most-straight-forward-way-to-get-
  librsvg2-microrelease-update-into-focal-updates/19238

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1903329/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1903329] Re: SRU the current 2.48.9 stable update

2020-11-16 Thread Olivier Tilloy
Federico confirmed he plans on releasing librsvg 2.50.2 soon (November
21st at the latest). Once that is out, I'll update the package in Debian
and Ubuntu 21.04, and we can then proceed with the SRU.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1903329

Title:
  SRU the current 2.48.9 stable update

Status in librsvg package in Ubuntu:
  Triaged
Status in librsvg source package in Focal:
  Triaged

Bug description:
  * Impact

  That's the current GNOME stable update, which fixes a number of
  issues, including a regression[1] since librsvg 2.40.x which was
  shipped in Ubuntu 16.04. The NEWS file[2] summarizes the relevant
  changes between Ubuntu 20.04's current librsvg 2.48.7 (that version
  was also introduced by an SRU back in July[3]) and the current version
  2.48.9. The complete list of changes is available on GNOME GitLab[4].

  * Test case

  The update is part of GNOME stable updates[5].

  Smoke testing by opening SVG images with eog or importing them with
  gimp can be performed to ensure there are no regressions.

  * Regression potential

  This is a bugfix-only stable micro-release, however librsvg is a core
  component with a number of reverse dependencies. A combination of
  autopkgtests and manual smoke testing to try and detect SVG rendering
  issues should be performed.

  * Notes about this report

  This is my first SRU request (and at the same time my first launchpad
  bug report). I'm not really familiar with the whole SRU process which
  is why I first asked about it on Ubuntu's official discourse forum[6].
  Canonical's Sebastien Bacher encouraged me to open this ticket. I've
  copied over some parts of the last librsvg SRU ticket[3]. I hope this
  is fine.

  Thanks for considering this SRU.

  [1]: https://gitlab.gnome.org/GNOME/librsvg/-/issues/642

  [2]: https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

  [3]: https://bugs.launchpad.net/bugs/1884326

  [4]: https://gitlab.gnome.org/GNOME/librsvg/-/compare/2.48.7...2.48.9

  [5]: https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  [6]: https://discourse.ubuntu.com/t/most-straight-forward-way-to-get-
  librsvg2-microrelease-update-into-focal-updates/19238

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1903329/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1903329] Re: SRU the current 2.48.9 stable update

2020-11-10 Thread Olivier Tilloy
Note that the fix for upstream issue 642, which is one of the drivers
for this SRU, hasn't been released in the 2.50.x series yet (it's only a
commit on the master branch:
https://gitlab.gnome.org/GNOME/librsvg/-/commit/da90a31c6604f747f290e236045d8c79d1186747).

The SRU process requires that a bug be fixed in the development release
first, before considering a stable update
(https://wiki.ubuntu.com/StableReleaseUpdates#Procedure).

I asked Federico what his plans are for a 2.50.2 release
(https://gitlab.gnome.org/GNOME/librsvg/-/issues/642#note_957195), let's
see what he says before going ahead.

** Bug watch added: gitlab.gnome.org/GNOME/librsvg/-/issues #642
   https://gitlab.gnome.org/GNOME/librsvg/-/issues/642

** Also affects: librsvg (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: librsvg (Ubuntu Focal)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

** Changed in: librsvg (Ubuntu Focal)
   Importance: Undecided => High

** Changed in: librsvg (Ubuntu Focal)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1903329

Title:
  SRU the current 2.48.9 stable update

Status in librsvg package in Ubuntu:
  Confirmed
Status in librsvg source package in Focal:
  Confirmed

Bug description:
  * Impact

  That's the current GNOME stable update, which fixes a number of
  issues, including a regression[1] since librsvg 2.40.x which was
  shipped in Ubuntu 16.04. The NEWS file[2] summarizes the relevant
  changes between Ubuntu 20.04's current librsvg 2.48.7 (that version
  was also introduced by an SRU back in July[3]) and the current version
  2.48.9. The complete list of changes is available on GNOME GitLab[4].

  * Test case

  The update is part of GNOME stable updates[5].

  Smoke testing by opening SVG images with eog or importing them with
  gimp can be performed to ensure there are no regressions.

  * Regression potential

  This is a bugfix-only stable micro-release, however librsvg is a core
  component with a number of reverse dependencies. A combination of
  autopkgtests and manual smoke testing to try and detect SVG rendering
  issues should be performed.

  * Notes about this report

  This is my first SRU request (and at the same time my first launchpad
  bug report). I'm not really familiar with the whole SRU process which
  is why I first asked about it on Ubuntu's official discourse forum[6].
  Canonical's Sebastien Bacher encouraged me to open this ticket. I've
  copied over some parts of the last librsvg SRU ticket[3]. I hope this
  is fine.

  Thanks for considering this SRU.

  [1]: https://gitlab.gnome.org/GNOME/librsvg/-/issues/642

  [2]: https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

  [3]: https://bugs.launchpad.net/bugs/1884326

  [4]: https://gitlab.gnome.org/GNOME/librsvg/-/compare/2.48.7...2.48.9

  [5]: https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  [6]: https://discourse.ubuntu.com/t/most-straight-forward-way-to-get-
  librsvg2-microrelease-update-into-focal-updates/19238

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1903329/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1903329] Re: SRU the current 2.48.9 stable update

2020-11-09 Thread Olivier Tilloy
Thank you Salim, I'll take care of preparing and uploading the SRU.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1903329

Title:
  SRU the current 2.48.9 stable update

Status in librsvg package in Ubuntu:
  Confirmed

Bug description:
  * Impact

  That's the current GNOME stable update, which fixes a number of
  issues, including a regression[1] since librsvg 2.40.x which was
  shipped in Ubuntu 16.04. The NEWS file[2] summarizes the relevant
  changes between Ubuntu 20.04's current librsvg 2.48.7 (that version
  was also introduced by an SRU back in July[3]) and the current version
  2.48.9. The complete list of changes is available on GNOME GitLab[4].

  * Test case

  The update is part of GNOME stable updates[5].

  Smoke testing by opening SVG images with eog or importing them with
  gimp can be performed to ensure there are no regressions.

  * Regression potential

  This is a bugfix-only stable micro-release, however librsvg is a core
  component with a number of reverse dependencies. A combination of
  autopkgtests and manual smoke testing to try and detect SVG rendering
  issues should be performed.

  * Notes about this report

  This is my first SRU request (and at the same time my first launchpad
  bug report). I'm not really familiar with the whole SRU process which
  is why I first asked about it on Ubuntu's official discourse forum[6].
  Canonical's Sebastien Bacher encouraged me to open this ticket. I've
  copied over some parts of the last librsvg SRU ticket[3]. I hope this
  is fine.

  Thanks for considering this SRU.

  
  [1]: https://gitlab.gnome.org/GNOME/librsvg/-/issues/642

  [2]: https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

  [3]: https://bugs.launchpad.net/bugs/1884326

  [4]: https://gitlab.gnome.org/GNOME/librsvg/-/compare/2.48.7...2.48.9

  [5]: https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1903329/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884326] Re: SRU the current 2.48.7 stable update

2020-07-06 Thread Olivier Tilloy
I updated librsvg to 2.48.7-1ubuntu0.20.04.1 from focal-proposed in an 
otherwise fully up-to-date focal VM (amd64), logged out and back in, and did 
some extensive smoke testing, both targetted (opening and manipulating various 
SVG images in eog and gimp), and general (launched several applications and 
verified that they render correctly their UI and content).
Everything looks fine, I couldn't spot any regression.

** Tags removed: verification-needed-focal
** Tags added: verification-done-focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1884326

Title:
  SRU the current 2.48.7 stable update

Status in librsvg package in Ubuntu:
  Fix Released
Status in librsvg source package in Focal:
  Fix Committed

Bug description:
  * Impact
  That's the current GNOME stable update, which fixes a number of issues: 
https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

  * Test case

  The update is part of GNOME stable updates
  https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  Smoke testing by opening SVG images with eog or importing them with
  gimp can be performed to ensure there are no regressions.

  * Regression potential

  This is a bugfix-only stable micro-release, however librsvg is a core
  component with a number of reverse dependencies. A combination of
  autopkgtests and manual smoke testing to try and detect SVG rendering
  issues should be performed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1884326/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884326] Re: SRU the current 2.48.7 stable update

2020-07-02 Thread Olivier Tilloy
Hey Łukasz, that's a good point.

Those are not public symbols, they are part of the implementation-
specific layer of librsvg (all symbols named "rsvg_rust_*" fall in this
category).

Neither the C headers nor the GObject introspection and Vala vapi files
installed by librsvg2-dev expose them. The symbols are exported in the
so file though, so there is a very slim chance that they might be used
in the wild. However according to http://codesearch.debian.net/ they are
not used in Debian, and Google doesn't return any meaningful reference
in third-party code either, so this looks quite safe to me.

This is not the first time something like this happens in the librsvg
Debian package without a soname bump, FWIW: https://salsa.debian.org
/gnome-team/librsvg/-/commit/8c692609c3bba7d70bb269082a2e3b16f2f19007.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1884326

Title:
  SRU the current 2.48.7 stable update

Status in librsvg package in Ubuntu:
  Fix Released
Status in librsvg source package in Focal:
  Incomplete

Bug description:
  * Impact
  That's the current GNOME stable update, which fixes a number of issues: 
https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

  * Test case

  The update is part of GNOME stable updates
  https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  Smoke testing by opening SVG images with eog or importing them with
  gimp can be performed to ensure there are no regressions.

  * Regression potential

  This is a bugfix-only stable micro-release, however librsvg is a core
  component with a number of reverse dependencies. A combination of
  autopkgtests and manual smoke testing to try and detect SVG rendering
  issues should be performed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1884326/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884326] Re: SRU the current 2.48.7 stable update

2020-07-01 Thread Olivier Tilloy
Brian: librsvg is indeed not a direct dependency of the gnome-core
metapackage, however it is a direct dependency of other core components
and apps such as gnome-shell and eog. In that regard I think it
qualifies, but we should probably clarify the policy to clearly map to
https://gitlab.gnome.org/GNOME/gnome-build-meta/-/tree/master/elements.

Regardless, this is a bugfix update and the desktop team would like to
update it as a SRU, thanks for considering it!

** Changed in: librsvg (Ubuntu Focal)
   Status: Incomplete => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1884326

Title:
  SRU the current 2.48.7 stable update

Status in librsvg package in Ubuntu:
  Fix Released
Status in librsvg source package in Focal:
  Fix Committed

Bug description:
  * Impact
  That's the current GNOME stable update, which fixes a number of issues: 
https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

  * Test case

  The update is part of GNOME stable updates
  https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  Smoke testing by opening SVG images with eog or importing them with
  gimp can be performed to ensure there are no regressions.

  * Regression potential

  This is a bugfix-only stable micro-release, however librsvg is a core
  component with a number of reverse dependencies. A combination of
  autopkgtests and manual smoke testing to try and detect SVG rendering
  issues should be performed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1884326/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884326] Re: SRU the current 2.48.7 stable update

2020-06-19 Thread Olivier Tilloy
Attaching a debdiff for the SRU, please sponsor.

** Attachment added: "librsvg-focal.debdiff.gz"
   
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1884326/+attachment/5385451/+files/librsvg-focal.debdiff.gz

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1884326

Title:
  SRU the current 2.48.7 stable update

Status in librsvg package in Ubuntu:
  Fix Released
Status in librsvg source package in Focal:
  In Progress

Bug description:
  * Impact
  That's the current GNOME stable update, which fixes a number of issues: 
https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

  * Test case

  The update is part of GNOME stable updates
  https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  Smoke testing by opening SVG images with eog or importing them with
  gimp can be performed to ensure there are no regressions.

  * Regression potential

  This is a bugfix-only stable micro-release, however librsvg is a core
  component with a number of reverse dependencies. A combination of
  autopkgtests and manual smoke testing to try and detect SVG rendering
  issues should be performed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1884326/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884326] [NEW] SRU the current 2.48.7 stable update

2020-06-19 Thread Olivier Tilloy
Public bug reported:

* Impact
That's the current GNOME stable update, which fixes a number of issues: 
https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

* Test case

The update is part of GNOME stable updates
https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

Smoke testing by opening SVG images with eog or importing them with gimp
can be performed to ensure there are no regressions.

* Regression potential

This is a bugfix-only stable micro-release, however librsvg is a core
component with a number of reverse dependencies. A combination of
autopkgtests and manual smoke testing to try and detect SVG rendering
issues should be performed.

** Affects: librsvg (Ubuntu)
 Importance: High
 Assignee: Olivier Tilloy (osomon)
 Status: Fix Released

** Affects: librsvg (Ubuntu Focal)
 Importance: High
 Assignee: Olivier Tilloy (osomon)
 Status: In Progress

** Changed in: librsvg (Ubuntu)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

** Changed in: librsvg (Ubuntu)
   Importance: Undecided => High

** Changed in: librsvg (Ubuntu)
   Status: New => Fix Released

** Also affects: librsvg (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: librsvg (Ubuntu Focal)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

** Changed in: librsvg (Ubuntu Focal)
   Importance: Undecided => High

** Changed in: librsvg (Ubuntu Focal)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1884326

Title:
  SRU the current 2.48.7 stable update

Status in librsvg package in Ubuntu:
  Fix Released
Status in librsvg source package in Focal:
  In Progress

Bug description:
  * Impact
  That's the current GNOME stable update, which fixes a number of issues: 
https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

  * Test case

  The update is part of GNOME stable updates
  https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  Smoke testing by opening SVG images with eog or importing them with
  gimp can be performed to ensure there are no regressions.

  * Regression potential

  This is a bugfix-only stable micro-release, however librsvg is a core
  component with a number of reverse dependencies. A combination of
  autopkgtests and manual smoke testing to try and detect SVG rendering
  issues should be performed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1884326/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883297] Re: dh-python's autopkg tests fail with python3.8 as the only supported python3 version

2020-06-19 Thread Olivier Tilloy
Attaching a debdiff that fixes the failing autopkgtests. Please sponsor.

** Patch added: "dh-python.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/dh-python/+bug/1883297/+attachment/5385393/+files/dh-python.debdiff

** Changed in: dh-python (Ubuntu)
   Status: New => In Progress

** Changed in: dh-python (Ubuntu)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to dh-python in Ubuntu.
https://bugs.launchpad.net/bugs/1883297

Title:
  dh-python's autopkg tests fail with python3.8 as the only supported
  python3 version

Status in dh-python package in Ubuntu:
  In Progress
Status in dh-python package in Debian:
  New

Bug description:
  Imported from Debian bug http://bugs.debian.org/956190:

  Package: dh-python
  Version: 4.20200315
  Severity: serious
  Tags: sid bullseye

  dh-python's autopkg tests fail with python3.8 as the only supported
  python3 version.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dh-python/+bug/1883297/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871185] Re: urls in ubuntu-bug's dialog not really clickable

2020-05-21 Thread Olivier Tilloy
Thanks Brian!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1871185

Title:
  urls in ubuntu-bug's dialog not really clickable

Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Focal:
  Fix Committed

Bug description:
  when ubuntu-bug report suggests filing a bug report directly in
  launchpad for snap packages, the displayed url is clickable but the
  url stops at the first + symbol. see attachment.

  Test Case
  -
  1) On an Ubuntu 20.04 LTS system run 'ubuntu-bug chromium'
  2) Observe a "the problem cannot be reported" message with a link that is not 
fully highlighted

  With the version of apport from -proposed the link will be fully
  highlighted and will be clickable.

  Regression Potential
  
  The re for what constitutes a url is just improved and the snap dialog is the 
only one I can find with a url in it. Given that url highlighting is "broken" 
there isn't any potential for regression.

  Original Description
  
  ProblemType: BugDistroRelease: Ubuntu 19.10
  Package: apport 2.20.11-0ubuntu8.8
  ProcVersionSignature: Ubuntu 5.3.0-45.37-generic 5.3.18
  Uname: Linux 5.3.0-45-generic x86_64
  ApportLog:

  ApportVersion: 2.20.11-0ubuntu8.8
  Architecture: amd64
  CrashReports: 640:1000:124:8919925:2020-03-29 20:16:13.456640958 
+0200:2020-03-29 20:16:14.456640958 
+0200:/var/crash/_usr_bin_python3.7.1000.crash
  CurrentDesktop: XFCE
  Date: Mon Apr  6 19:50:16 2020
  InstallationDate: Installed on 2020-03-18 (18 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
  PackageArchitecture: allSourcePackage: apport
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1871185/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1859308] Re: software-properties-gtk erroneously reports that certain Intel wireless adapter cards are not working

2020-05-20 Thread Olivier Tilloy
This looks very similar to bug #1878553.

ubuntu-drivers-common reports that iwlwifi is "manually installed"
because "modinfo iwlwifi" returns !0. This causes software-properties-
gtk to display this confusing, mostly greyed out piece of UI.

The iwlwifi module is part of the kernel
(/lib/modules/5.4.0-31-generic/kernel/drivers/net/wireless/intel/iwlwifi/iwlwifi.ko
is installed by linux-modules-extra-5.4.0-31-generic), which explains
why the adapter card works out of the box. Therefore the DKMS module
really shouldn't be needed in most cases (although I'm not sure how
often the module is updated as part of kernel updates VS backport-
iwlwifi-dkms updates).

ubuntu-drivers-common probably needs to be made aware of such modules
shipped by the kernel, to avoid incorrectly labelling them as "manually
installed".

** Package changed: software-properties (Ubuntu Groovy) => ubuntu-
drivers-common (Ubuntu Groovy)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1859308

Title:
  software-properties-gtk erroneously reports that certain Intel
  wireless adapter cards are not working

Status in ubuntu-drivers-common package in Ubuntu:
  Confirmed
Status in ubuntu-drivers-common source package in Groovy:
  Confirmed

Bug description:
  On Ubuntu 20.04 (development branch), as of today, Additional Drivers
  (software-properties-gtk 0.98.6) reports that the device "Intel
  Corporation: Wireless-AC 9260" is not working, and suggests using a
  manually installed driver (cf. screenshot).

  However the device is working correctly:

    * lsmod | grep iwlwifi, lspci -v, lshw, dmesg | grep iwlwifi all show
  that its driver iwlwifi is in use
    * ls /lib/firmware/*9260* show that the appropriate firmware files
  are present

  And I am indeed writing this bug report connected to an ac (5 GHz)
  wifi network, where I can verify a ~130-160 Mbps download speed, so
  software-properties-gtk shouldn't report the device as not working and
  suggest manually installing a driver. Not sure why it says so?

  EDIT: bug confirmed as affecting the following Intel wireless adapter
  cards, and assumedly more to come:

Intel Wi-Fi 6 AX200
Intel Dual Band Wireless-AC 3165
Intel Dual Band Wireless-AC 7260
Intel Dual Band Wireless-AC 8260
Intel Wireless-AC 9260

  Also for reference here are the specs of Intel adapter cards:

ark.intel.com/content/www/us/en/ark.html#@WirelessNetworking

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: software-properties-gtk 0.98.6
  ProcVersionSignature: Ubuntu 5.4.0-9.12-generic 5.4.3
  Uname: Linux 5.4.0-9-generic x86_64
  ApportVersion: 2.20.11-0ubuntu15
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Sun Jan 12 00:53:43 2020
  ExecutablePath: /usr/bin/software-properties-gtk
  InstallationDate: Installed on 2019-12-29 (13 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Alpha amd64 (20191226)
  InterpreterPath: /usr/bin/python3.7
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.7, Python 3.7.6, python3-minimal, 
3.7.5-1ubuntu1
  PythonDetails: /usr/bin/python2.7, Python 2.7.17, python-minimal, 2.7.17-1
  SourcePackage: software-properties
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1859308/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878553] Re: Ubuntu could not install Virtualbox Guest addons

2020-05-20 Thread Olivier Tilloy
As suggested in the description, this is really the same issue as bug
#1434579. Since that old bug report was tracking resolved problems in
other components, instead of making this one a duplicate I'll split off
the ubuntu-drivers-common task here.

** Package changed: software-properties (Ubuntu Groovy) => ubuntu-
drivers-common (Ubuntu Groovy)

** Changed in: ubuntu-drivers-common (Ubuntu Groovy)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1878553

Title:
  Ubuntu could not install Virtualbox Guest addons

Status in ubuntu-drivers-common package in Ubuntu:
  Confirmed
Status in ubuntu-drivers-common source package in Groovy:
  Confirmed

Bug description:
  It seems that Ubuntu is not able to install the VirtualBox Guest add-
  ons even Ubuntu is able to detect it.

  See Attachement.

  Ubuntu 20.04
  Basic install after Reboot, Update and Reboot again.

  Similar Tickets in Launchpad but really old:
  https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1434579

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1878553/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878553] Re: Ubuntu could not install Virtualbox Guest addons

2020-05-19 Thread Olivier Tilloy
Manual mode is selected (and consequently other options are greyed out)
because the UbuntuDrivers module reports manual_install=True for the
device. Diving into the ubuntu-drivers-common code, it invokes "modinfo
vboxguest" and if the return value is 0, it considers the module to be
manually installed.

ubuntu@groovyvm:~$ modinfo vboxguest
filename:   
/lib/modules/5.4.0-28-generic/kernel/virtualbox-guest/vboxguest.ko
version:6.1.6_Ubuntu r137129
license:GPL
description:Oracle VM VirtualBox Guest Additions for Linux Module
author: Oracle Corporation
srcversion: 2A221C27F4AB41327E708B4
alias:  pci:v80EEdCAFEsvsdbc*sc*i*
depends:
retpoline:  Y
name:   vboxguest
vermagic:   5.4.0-28-generic SMP mod_unload 
sig_id: PKCS#7
signer: Build time autogenerated kernel key
sig_key:42:A8:A9:98:8B:E6:F1:71:2C:AF:A3:32:4E:72:D5:45:3C:41:3F:7A
sig_hashalgo:   sha512
signature:  41:5D:D4:94:4A:0E:64:89:C4:6C:E8:20:76:5E:37:0B:5C:FB:DF:8A:
69:46:BB:6E:B2:2E:61:E5:FE:E1:8C:66:40:5F:B1:89:95:3A:7F:3C:
F3:B0:CD:B3:96:FB:79:79:DA:3D:FB:E8:B2:C8:40:BA:8B:99:C7:4A:
BA:F3:AF:A3:FC:AB:7C:06:C1:DA:11:7C:4D:33:3B:AE:55:14:A8:6D:
70:26:2A:C4:BA:3A:3E:8B:D5:E8:43:5D:1F:50:2F:2B:84:4A:61:A1:
9C:02:6C:F0:45:28:CB:A5:30:C8:0E:78:B9:F9:B2:5B:3A:95:F0:48:
7D:87:55:C3:6B:65:58:31:CB:FB:03:AA:D1:EB:D6:D0:4F:29:0E:0E:
87:6B:DC:FA:C5:3E:7A:00:93:B9:F8:F6:9A:8F:3B:F5:39:8E:45:FE:
53:19:4F:B9:2B:66:54:B9:FC:56:4A:C2:5F:AB:E7:41:CE:40:A7:86:
8B:4E:54:28:24:4A:F9:A5:54:8B:8B:8F:F3:E7:4D:6B:EC:1B:64:E0:
A2:13:A7:88:B1:7F:5D:B8:D1:6B:D0:E0:32:0A:F1:4C:8D:F5:79:14:
7A:D7:A9:E4:F2:53:1E:29:BC:67:B8:6E:8C:E0:91:14:D4:A2:0E:FC:
FE:49:B2:86:96:1B:73:77:E6:31:FE:47:47:4E:87:8A:83:AB:BA:AA:
6E:62:DF:A7:F3:9E:CE:B9:E8:9C:27:C8:95:4C:25:B8:5C:8B:64:C7:
E4:3B:82:B9:A1:12:30:63:D6:F6:83:D1:2B:C7:40:93:85:C8:0D:3C:
67:95:C5:5E:DC:D6:83:D5:75:1F:6B:50:ED:1B:83:FA:4E:D0:5C:5F:
BB:A5:ED:F6:63:CA:F1:FF:51:5B:82:84:F9:1C:14:B3:86:E8:E0:72:
AC:0E:32:4A:87:82:76:2E:4D:5C:3A:B0:19:94:82:34:E1:D4:C9:94:
BB:C9:44:1C:2A:F3:6D:FD:FE:5D:D1:03:FA:C6:79:8C:09:40:6B:54:
FB:59:71:16:F0:33:B1:A1:B2:89:69:62:C3:DB:A6:8A:25:07:05:19:
A6:58:C2:FE:83:1B:F0:73:C4:5C:F7:D1:B8:A3:31:CA:62:F9:FE:7F:
2C:B3:00:77:43:53:90:CC:00:C2:E0:BF:0A:69:DA:AE:AD:AC:61:D4:
95:97:26:C7:25:EC:EF:41:29:F4:A2:F7:CE:19:A9:B9:94:FB:F7:D0:
C2:76:5A:88:B3:BF:AE:D3:07:73:B5:B8:A1:39:2C:63:3D:80:AE:2D:
16:C1:01:0B:95:E1:E7:28:B3:31:F6:D5:35:85:1B:CD:99:AF:06:10:
E6:5D:EC:9C:1D:8F:E6:21:42:85:41:B5

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1878553

Title:
  Ubuntu could not install Virtualbox Guest addons

Status in software-properties package in Ubuntu:
  New
Status in software-properties source package in Groovy:
  New

Bug description:
  It seems that Ubuntu is not able to install the VirtualBox Guest add-
  ons even Ubuntu is able to detect it.

  See Attachement.

  Ubuntu 20.04
  Basic install after Reboot, Update and Reboot again.

  Similar Tickets in Launchpad but really old:
  https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1434579

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1878553/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878553] Re: Ubuntu could not install Virtualbox Guest addons

2020-05-19 Thread Olivier Tilloy
Output of "ubuntu-drivers devices" in that same VM:

ubuntu@groovyvm:~$ ubuntu-drivers devices
== /sys/devices/pci:00/:00:04.0 ==
modalias : pci:v80EEdCAFEsvsdbc08sc80i00
vendor   : InnoTek Systemberatung GmbH
model: VirtualBox Guest Service
manual_install: True
driver   : virtualbox-guest-dkms - distro non-free
driver   : virtualbox-guest-dkms-hwe - distro non-free

== /sys/devices/pci:00/:00:02.0 ==
modalias : pci:v80EEdBEEFsvsdbc03sc00i00
vendor   : InnoTek Systemberatung GmbH
model: VirtualBox Graphics Adapter
driver   : virtualbox-guest-x11 - distro non-free
driver   : virtualbox-guest-x11-hwe - distro non-free

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1878553

Title:
  Ubuntu could not install Virtualbox Guest addons

Status in software-properties package in Ubuntu:
  New
Status in software-properties source package in Groovy:
  New

Bug description:
  It seems that Ubuntu is not able to install the VirtualBox Guest add-
  ons even Ubuntu is able to detect it.

  See Attachement.

  Ubuntu 20.04
  Basic install after Reboot, Update and Reboot again.

  Similar Tickets in Launchpad but really old:
  https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1434579

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1878553/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878553] Re: Ubuntu could not install Virtualbox Guest addons

2020-05-19 Thread Olivier Tilloy
I can reliably observe the problem in a groovy VM.
However, contrary to what Séb is observing, "sudo ubuntu-drivers install" 
raises an error:

ubuntu@groovyvm:~$ LANG=C sudo ubuntu-drivers install
Reading package lists... Done
Building dependency tree   
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 virtualbox-guest-dkms-hwe : Conflicts: virtualbox-guest-dkms
 virtualbox-guest-x11-hwe : Depends: virtualbox-guest-utils-hwe (= 
6.1.8-dfsg-1ubuntu20.10.1) but it is not going to be installed
Conflicts: virtualbox-guest-x11
E: Unable to correct problems, you have held broken packages.


And the output of "dpkg -l | grep virtualbox-guest" is empty.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1878553

Title:
  Ubuntu could not install Virtualbox Guest addons

Status in software-properties package in Ubuntu:
  New
Status in software-properties source package in Groovy:
  New

Bug description:
  It seems that Ubuntu is not able to install the VirtualBox Guest add-
  ons even Ubuntu is able to detect it.

  See Attachement.

  Ubuntu 20.04
  Basic install after Reboot, Update and Reboot again.

  Similar Tickets in Launchpad but really old:
  https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1434579

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1878553/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1859308] Re: software-properties-gtk erroneously reports that certain Intel wireless adapter cards are not working

2020-05-19 Thread Olivier Tilloy
** Tags removed: rls-ff-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1859308

Title:
  software-properties-gtk erroneously reports that certain Intel
  wireless adapter cards are not working

Status in software-properties package in Ubuntu:
  Confirmed
Status in software-properties source package in Groovy:
  Confirmed

Bug description:
  On Ubuntu 20.04 (development branch), as of today, Additional Drivers
  (software-properties-gtk 0.98.6) reports that the device "Intel
  Corporation: Wireless-AC 9260" is not working, and suggests using a
  manually installed driver (cf. screenshot).

  However the device is working correctly:

    * lsmod | grep iwlwifi, lspci -v, lshw, dmesg | grep iwlwifi all show
  that its driver iwlwifi is in use
    * ls /lib/firmware/*9260* show that the appropriate firmware files
  are present

  And I am indeed writing this bug report connected to an ac (5 GHz)
  wifi network, where I can verify a ~130-160 Mbps download speed, so
  software-properties-gtk shouldn't report the device as not working and
  suggest manually installing a driver. Not sure why it says so?

  EDIT: bug confirmed as affecting the following Intel wireless adapter
  cards, and assumedly more to come:

Intel Wi-Fi 6 AX200
Intel Dual Band Wireless-AC 3165
Intel Dual Band Wireless-AC 7260
Intel Dual Band Wireless-AC 8260
Intel Wireless-AC 9260

  Also for reference here are the specs of Intel adapter cards:

ark.intel.com/content/www/us/en/ark.html#@WirelessNetworking

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: software-properties-gtk 0.98.6
  ProcVersionSignature: Ubuntu 5.4.0-9.12-generic 5.4.3
  Uname: Linux 5.4.0-9-generic x86_64
  ApportVersion: 2.20.11-0ubuntu15
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Sun Jan 12 00:53:43 2020
  ExecutablePath: /usr/bin/software-properties-gtk
  InstallationDate: Installed on 2019-12-29 (13 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Alpha amd64 (20191226)
  InterpreterPath: /usr/bin/python3.7
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.7, Python 3.7.6, python3-minimal, 
3.7.5-1ubuntu1
  PythonDetails: /usr/bin/python2.7, Python 2.7.17, python-minimal, 2.7.17-1
  SourcePackage: software-properties
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1859308/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878553] Re: Ubuntu could not install Virtualbox Guest addons

2020-05-19 Thread Olivier Tilloy
** Changed in: software-properties (Ubuntu)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

** Tags removed: rls-ff-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1878553

Title:
  Ubuntu could not install Virtualbox Guest addons

Status in software-properties package in Ubuntu:
  New
Status in software-properties source package in Groovy:
  New

Bug description:
  It seems that Ubuntu is not able to install the VirtualBox Guest add-
  ons even Ubuntu is able to detect it.

  See Attachement.

  Ubuntu 20.04
  Basic install after Reboot, Update and Reboot again.

  Similar Tickets in Launchpad but really old:
  https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1434579

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1878553/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861408] Re: firefox apparmor messages

2020-05-14 Thread Olivier Tilloy
That commit/fix was only a small part of all that has been reported in
this bug, and that was an opportunistic fix. I don't plan on working on
the apparmor profile in the near future, unless some serious problem
with it is reported (which, unless I have misread, is not the case of
any of the comments in this bug report).

It doesn't hurt to keep the bug open, though.

** Changed in: firefox (Ubuntu)
   Status: Fix Released => Triaged

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1861408

Title:
  firefox apparmor messages

Status in apparmor package in Ubuntu:
  New
Status in firefox package in Ubuntu:
  Triaged

Bug description:
  firefox version 72.0.1 64 bit, 72.0.1+linuxmint1+tricia , linux mint
  19.3.

  i see there is newer ubuntu version in
  
https://www.ubuntuupdates.org/package/ubuntu_mozilla_security/bionic/main/base/firefox
  , 72.0.2+build1-0ubuntu0.18.04.1 , but its changes are not for
  apparmor.

  i have not found a page for firefox bugs in linux mint sites, so i
  belive i should report here. but i have also asked about that in linux
  mint's irc and then github.

  i have enabled apparmor for firefox and see these types of messages in
  syslog:

  Jan 28 18:43:33 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[735]:
  [system] Activating via systemd: service
  name='org.freedesktop.hostname1' unit='dbus-
  org.freedesktop.hostname1.service' requested by ':1.111' (uid=1000
  pid=1922 comm="/usr/lib/firefox/firefox " label="unconfined")

  Jan 28 18:44:36 dinar-HP-Pavilion-g7-Notebook-PC kernel: [
  5525.077960] audit: type=1400 audit(1580226276.440:27):
  apparmor="DENIED" operation="capable"
  profile="/usr/lib/firefox/firefox{,*[^s][^h]}" pid=15948
  comm="firefox" capability=21  capname="sys_admin"

  Jan 28 18:44:37 dinar-HP-Pavilion-g7-Notebook-PC kernel: [
  5526.471731] audit: type=1107 audit(1580226277.832:28): pid=735
  uid=103 auid=4294967295 ses=4294967295 msg='apparmor="DENIED"
  operation="dbus_method_call"  bus="system"
  path="/org/freedesktop/RealtimeKit1"
  interface="org.freedesktop.DBus.Properties" member="Get" mask="send"
  name="org.freedesktop.RealtimeKit1" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1320
  peer_label="unconfined"

  Jan 28 18:44:47 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/org/gtk/vfs/Daemon" interface="org.gtk.vfs.Daemon"
  member="ListMonitorImplementations" mask="send" name=":1.10" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1262
  peer_label="unconfined"

  Jan 28 18:44:47 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/org/gtk/Private/RemoteVolumeMonitor"
  interface="org.gtk.Private.RemoteVolumeMonitor" member="IsSupported"
  mask="send" name=":1.35" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1385
  peer_label="unconfined"

  Jan 28 18:44:47 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/org/gtk/vfs/mounttracker" interface="org.gtk.vfs.MountTracker"
  member="ListMounts2" mask="send" name=":1.10" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1262
  peer_label="unconfined"

  Jan 28 18:44:47 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/org/gtk/vfs/mounttracker" interface="org.gtk.vfs.MountTracker"
  member="LookupMount" mask="send" name=":1.10" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1262
  peer_label="unconfined"

  Jan 28 18:44:48 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[735]:
  [system] Activating via systemd: service
  name='org.freedesktop.hostname1' unit='dbus-
  org.freedesktop.hostname1.service' requested by ':1.119' (uid=1000
  pid=15948 comm="/usr/lib/firefox/firefox "
  label="/usr/lib/firefox/firefox{,*[^s][^h]} (enforce)")

  Jan 28 18:44:48 dinar-HP-Pavilion-g7-Notebook-PC kernel: [
  5536.783313] audit: type=1107 audit(1580226288.143:34): pid=735
  uid=103 auid=4294967295 ses=4294967295 msg='apparmor="DENIED"
  operation="dbus_method_call"  bus="system"
  path="/org/freedesktop/hostname1"
  interface="org.freedesktop.DBus.Properties" member="GetAll"
  mask="send" name=":1.120" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=16177
  peer_label="unconfined"

  Jan 28 18:45:02 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/ca/desrt/dconf/Writer/user" interface="ca.desrt.dconf.Writer"
  member="Change" mask="send" name="ca.desrt.dconf" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1370
  peer_label="unconfined"

  Jan 28 21:51:30 dinar-HP-Pavilion-g7-Notebook-PC 

[Touch-packages] [Bug 1861408] Re: firefox apparmor messages

2020-05-11 Thread Olivier Tilloy
Thanks for that suggestion in comment #25 Динар, I committed the change
to the apparmor profile:
https://bazaar.launchpad.net/~mozillateam/firefox/firefox.groovy/revision/1388.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1861408

Title:
  firefox apparmor messages

Status in apparmor package in Ubuntu:
  New
Status in firefox package in Ubuntu:
  New

Bug description:
  firefox version 72.0.1 64 bit, 72.0.1+linuxmint1+tricia , linux mint
  19.3.

  i see there is newer ubuntu version in
  
https://www.ubuntuupdates.org/package/ubuntu_mozilla_security/bionic/main/base/firefox
  , 72.0.2+build1-0ubuntu0.18.04.1 , but its changes are not for
  apparmor.

  i have not found a page for firefox bugs in linux mint sites, so i
  belive i should report here. but i have also asked about that in linux
  mint's irc and then github.

  i have enabled apparmor for firefox and see these types of messages in
  syslog:

  Jan 28 18:43:33 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[735]:
  [system] Activating via systemd: service
  name='org.freedesktop.hostname1' unit='dbus-
  org.freedesktop.hostname1.service' requested by ':1.111' (uid=1000
  pid=1922 comm="/usr/lib/firefox/firefox " label="unconfined")

  Jan 28 18:44:36 dinar-HP-Pavilion-g7-Notebook-PC kernel: [
  5525.077960] audit: type=1400 audit(1580226276.440:27):
  apparmor="DENIED" operation="capable"
  profile="/usr/lib/firefox/firefox{,*[^s][^h]}" pid=15948
  comm="firefox" capability=21  capname="sys_admin"

  Jan 28 18:44:37 dinar-HP-Pavilion-g7-Notebook-PC kernel: [
  5526.471731] audit: type=1107 audit(1580226277.832:28): pid=735
  uid=103 auid=4294967295 ses=4294967295 msg='apparmor="DENIED"
  operation="dbus_method_call"  bus="system"
  path="/org/freedesktop/RealtimeKit1"
  interface="org.freedesktop.DBus.Properties" member="Get" mask="send"
  name="org.freedesktop.RealtimeKit1" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1320
  peer_label="unconfined"

  Jan 28 18:44:47 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/org/gtk/vfs/Daemon" interface="org.gtk.vfs.Daemon"
  member="ListMonitorImplementations" mask="send" name=":1.10" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1262
  peer_label="unconfined"

  Jan 28 18:44:47 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/org/gtk/Private/RemoteVolumeMonitor"
  interface="org.gtk.Private.RemoteVolumeMonitor" member="IsSupported"
  mask="send" name=":1.35" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1385
  peer_label="unconfined"

  Jan 28 18:44:47 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/org/gtk/vfs/mounttracker" interface="org.gtk.vfs.MountTracker"
  member="ListMounts2" mask="send" name=":1.10" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1262
  peer_label="unconfined"

  Jan 28 18:44:47 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/org/gtk/vfs/mounttracker" interface="org.gtk.vfs.MountTracker"
  member="LookupMount" mask="send" name=":1.10" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1262
  peer_label="unconfined"

  Jan 28 18:44:48 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[735]:
  [system] Activating via systemd: service
  name='org.freedesktop.hostname1' unit='dbus-
  org.freedesktop.hostname1.service' requested by ':1.119' (uid=1000
  pid=15948 comm="/usr/lib/firefox/firefox "
  label="/usr/lib/firefox/firefox{,*[^s][^h]} (enforce)")

  Jan 28 18:44:48 dinar-HP-Pavilion-g7-Notebook-PC kernel: [
  5536.783313] audit: type=1107 audit(1580226288.143:34): pid=735
  uid=103 auid=4294967295 ses=4294967295 msg='apparmor="DENIED"
  operation="dbus_method_call"  bus="system"
  path="/org/freedesktop/hostname1"
  interface="org.freedesktop.DBus.Properties" member="GetAll"
  mask="send" name=":1.120" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=16177
  peer_label="unconfined"

  Jan 28 18:45:02 dinar-HP-Pavilion-g7-Notebook-PC dbus-daemon[1181]:
  apparmor="DENIED" operation="dbus_method_call"  bus="session"
  path="/ca/desrt/dconf/Writer/user" interface="ca.desrt.dconf.Writer"
  member="Change" mask="send" name="ca.desrt.dconf" pid=15948
  label="/usr/lib/firefox/firefox{,*[^s][^h]}" peer_pid=1370
  peer_label="unconfined"

  Jan 28 21:51:30 dinar-HP-Pavilion-g7-Notebook-PC kernel:
  [10131.880788] audit: type=1400 audit(1580237490.777:123):
  apparmor="DENIED" operation="open"
  profile="/usr/lib/firefox/firefox{,*[^s][^h]}"
  name="/home/dinar/.cache/mesa_shader_cache/index" pid=19720
  comm="firefox" requested_mask="wrc" denied_mask="wrc" 

[Touch-packages] [Bug 1870111] Re: Thunderbird freezes graphical session except mouse cursor on second launch or clicking the icon after email setup on the first launch

2020-04-24 Thread Olivier Tilloy
This sounds like a connectivity/network driver issue, rather than a
problem with thunderbird.

** Also affects: network-manager (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1870111

Title:
  Thunderbird freezes graphical session except mouse cursor on second
  launch or clicking the icon after email setup on the first launch

Status in network-manager package in Ubuntu:
  New
Status in thunderbird package in Ubuntu:
  Incomplete

Bug description:
  When Launching thunderbird (pinned on Favourites) from the dock/dash
  it shows 2 orange dots on default theme that is one for email setup
  and the other for the main window. After setting up an email and
  closing the email config window, the two dots are still shown on the
  dash/dock before the icon. Thunderbird causes the graphical session
  except for the mouse cursor to freeze until I switch to a TTY and
  reboot. Also when closing thunderbird, one dot is shown and when
  launching the application the graphical session except for mouse
  cursor freezes.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.10
  Package: thunderbird 1:68.4.1+build1-0ubuntu0.19.10.1
  ProcVersionSignature: Ubuntu 5.3.0-45.37-generic 5.3.18
  Uname: Linux 5.3.0-45-generic x86_64
  ApportVersion: 2.20.11-0ubuntu8.7
  Architecture: amd64
  BuildID: 20200110143530
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Apr  1 13:26:59 2020
  DefaultProfileExtensions: extensions.sqlite corrupt or missing
  DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant 
compatibility.ini or extensions.sqlite)
  DefaultProfileLocales: extensions.sqlite corrupt or missing
  DefaultProfilePrefErrors: Unexpected character ',' before close parenthesis @ 
/usr/lib/thunderbird/omni.ja:greprefs.js:1141
  DefaultProfileThemes: extensions.sqlite corrupt or missing
  InstallationDate: Installed on 2020-03-31 (1 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
  Profiles:
   Profile1 (Default) - LastVersion=None/None (Out of date)
   Profile0 - LastVersion=68.4.1/20200110143530
  SourcePackage: thunderbird
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1870111/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871185] Re: urls in ubuntu-bugs dialog not really clickable

2020-04-23 Thread Olivier Tilloy
** Changed in: apport (Ubuntu)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

** Changed in: apport (Ubuntu)
   Status: Confirmed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1871185

Title:
  urls in ubuntu-bugs dialog not really clickable

Status in apport package in Ubuntu:
  In Progress

Bug description:
  when ubuntu-bug report suggests filing a bug report directly in
  launchpad for snap packages, the displayed url is clickable but the
  url stops at the first + symbol. see attachment.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.10
  Package: apport 2.20.11-0ubuntu8.8
  ProcVersionSignature: Ubuntu 5.3.0-45.37-generic 5.3.18
  Uname: Linux 5.3.0-45-generic x86_64
  ApportLog:
   
  ApportVersion: 2.20.11-0ubuntu8.8
  Architecture: amd64
  CrashReports: 640:1000:124:8919925:2020-03-29 20:16:13.456640958 
+0200:2020-03-29 20:16:14.456640958 
+0200:/var/crash/_usr_bin_python3.7.1000.crash
  CurrentDesktop: XFCE
  Date: Mon Apr  6 19:50:16 2020
  InstallationDate: Installed on 2020-03-18 (18 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
  PackageArchitecture: all
  SourcePackage: apport
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1871185/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871185] Re: urls in ubuntu-bugs dialog not really clickable

2020-04-23 Thread Olivier Tilloy
The problem is in apport-gtk, in the _ui_message_dialog() method that
finds URLs in free text and turns them into clickable links:
https://bazaar.launchpad.net/~ubuntu-core-
dev/ubuntu/focal/apport/ubuntu/view/head:/gtk/apport-gtk#L389. The
regular expression isn't good enough.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1871185

Title:
  urls in ubuntu-bugs dialog not really clickable

Status in apport package in Ubuntu:
  In Progress

Bug description:
  when ubuntu-bug report suggests filing a bug report directly in
  launchpad for snap packages, the displayed url is clickable but the
  url stops at the first + symbol. see attachment.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.10
  Package: apport 2.20.11-0ubuntu8.8
  ProcVersionSignature: Ubuntu 5.3.0-45.37-generic 5.3.18
  Uname: Linux 5.3.0-45-generic x86_64
  ApportLog:
   
  ApportVersion: 2.20.11-0ubuntu8.8
  Architecture: amd64
  CrashReports: 640:1000:124:8919925:2020-03-29 20:16:13.456640958 
+0200:2020-03-29 20:16:14.456640958 
+0200:/var/crash/_usr_bin_python3.7.1000.crash
  CurrentDesktop: XFCE
  Date: Mon Apr  6 19:50:16 2020
  InstallationDate: Installed on 2020-03-18 (18 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
  PackageArchitecture: all
  SourcePackage: apport
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1871185/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1850766] Re: Bluetooth headset selected as default sound output, yet sound outputs to laptop speakers

2020-03-23 Thread Olivier Tilloy
After successfully downgrading, I upgraded again to 1:13.99.1-1ubuntu1,
rebooted my laptop, and lo and behold, my bluetooth headset works again.

I wonder if simply reinstalling the pulseaudio packages instead of
downgrading and upgrading again would have fixed the problem. I'll test
that if it happens again.

I'm removing the rls-ff-incoming tag for now.

** Tags removed: rls-ff-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1850766

Title:
  Bluetooth headset selected as default sound output, yet sound outputs
  to laptop speakers

Status in gnome-control-center package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  Ubuntu 19.10 (using -proposed pocket)
  Kernel 5.3.0-21-generic #22
  pulseaudio 1:13.0-1ubuntu1
  bluez 5.50-0ubuntu4

  Device: Dell Inspiron 7370

  Step to reproduce
  =

  1. Pair a bluetooth headset with the laptop
  2. Go to sound settings
-> in "Output device", the bluetooth headset is selected
  3. Click Test, then "Front Left" and/or "Front Right"
-> the sound outputs to the laptop speakers instead of the bluetooth headset

  If I select "Speakers - Built-in audio" in the "Output device", then
  select back the bluetooth headset from the "Output device" list and
  test it, it works as expected.

  I tried this with 2 different bluetooth headsets (UE Boom and
  TaoTronics TT-BH07) which work fine on an Android device.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.10
  Package: pulseaudio 1:13.0-1ubuntu1
  ProcVersionSignature: Ubuntu 5.3.0-21.22-generic 5.3.7
  Uname: Linux 5.3.0-21-generic x86_64
  ApportVersion: 2.20.11-0ubuntu8.1
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  pieq   1532 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Oct 31 17:36:10 2019
  InstallationDate: Installed on 2019-07-02 (121 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  SourcePackage: pulseaudio
  UpgradeStatus: Upgraded to eoan on 2019-10-19 (12 days ago)
  dmi.bios.date: 04/23/2019
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.14.0
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.14.0:bd04/23/2019:svnDellInc.:pnInspiron7370:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct10:cvr:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 7370
  dmi.product.sku: 07E9
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1850766/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1850766] Re: Bluetooth headset selected as default sound output, yet sound outputs to laptop speakers

2020-03-23 Thread Olivier Tilloy
I downgraded pulseaudio to 1:13.0-3ubuntu2, and the problem is gone, so
this appears to be a pulseaudio regression.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1850766

Title:
  Bluetooth headset selected as default sound output, yet sound outputs
  to laptop speakers

Status in gnome-control-center package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  Ubuntu 19.10 (using -proposed pocket)
  Kernel 5.3.0-21-generic #22
  pulseaudio 1:13.0-1ubuntu1
  bluez 5.50-0ubuntu4

  Device: Dell Inspiron 7370

  Step to reproduce
  =

  1. Pair a bluetooth headset with the laptop
  2. Go to sound settings
-> in "Output device", the bluetooth headset is selected
  3. Click Test, then "Front Left" and/or "Front Right"
-> the sound outputs to the laptop speakers instead of the bluetooth headset

  If I select "Speakers - Built-in audio" in the "Output device", then
  select back the bluetooth headset from the "Output device" list and
  test it, it works as expected.

  I tried this with 2 different bluetooth headsets (UE Boom and
  TaoTronics TT-BH07) which work fine on an Android device.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.10
  Package: pulseaudio 1:13.0-1ubuntu1
  ProcVersionSignature: Ubuntu 5.3.0-21.22-generic 5.3.7
  Uname: Linux 5.3.0-21-generic x86_64
  ApportVersion: 2.20.11-0ubuntu8.1
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  pieq   1532 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Oct 31 17:36:10 2019
  InstallationDate: Installed on 2019-07-02 (121 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  SourcePackage: pulseaudio
  UpgradeStatus: Upgraded to eoan on 2019-10-19 (12 days ago)
  dmi.bios.date: 04/23/2019
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.14.0
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.14.0:bd04/23/2019:svnDellInc.:pnInspiron7370:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct10:cvr:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 7370
  dmi.product.sku: 07E9
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1850766/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1850766] Re: Bluetooth headset selected as default sound output, yet sound outputs to laptop speakers

2020-03-23 Thread Olivier Tilloy
I'm experiencing the same issue with a Philips SHB7250 headset on a fully 
up-to-date 20.04.
This headset used to work fine until about a couple of weeks ago (I have been 
running 20.04 since the early days, so it's a recent regression).

Switching back and forth between sinks in g-c-c doesn't make the issue
go away, though. Sound output is always through the laptop built-in
speakers. I have also tried resuming the corresponding sink (it's marked
SUSPENDEND) and setting it the default using pactl, to no avail.

** Tags added: rls-ff-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1850766

Title:
  Bluetooth headset selected as default sound output, yet sound outputs
  to laptop speakers

Status in gnome-control-center package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  Ubuntu 19.10 (using -proposed pocket)
  Kernel 5.3.0-21-generic #22
  pulseaudio 1:13.0-1ubuntu1
  bluez 5.50-0ubuntu4

  Device: Dell Inspiron 7370

  Step to reproduce
  =

  1. Pair a bluetooth headset with the laptop
  2. Go to sound settings
-> in "Output device", the bluetooth headset is selected
  3. Click Test, then "Front Left" and/or "Front Right"
-> the sound outputs to the laptop speakers instead of the bluetooth headset

  If I select "Speakers - Built-in audio" in the "Output device", then
  select back the bluetooth headset from the "Output device" list and
  test it, it works as expected.

  I tried this with 2 different bluetooth headsets (UE Boom and
  TaoTronics TT-BH07) which work fine on an Android device.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.10
  Package: pulseaudio 1:13.0-1ubuntu1
  ProcVersionSignature: Ubuntu 5.3.0-21.22-generic 5.3.7
  Uname: Linux 5.3.0-21-generic x86_64
  ApportVersion: 2.20.11-0ubuntu8.1
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  pieq   1532 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Oct 31 17:36:10 2019
  InstallationDate: Installed on 2019-07-02 (121 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  SourcePackage: pulseaudio
  UpgradeStatus: Upgraded to eoan on 2019-10-19 (12 days ago)
  dmi.bios.date: 04/23/2019
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.14.0
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.14.0:bd04/23/2019:svnDellInc.:pnInspiron7370:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct10:cvr:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 7370
  dmi.product.sku: 07E9
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1850766/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1647285] Re: SSL trust not system-wide

2020-03-19 Thread Olivier Tilloy
It looks like symlinking firefox and thunderbird's own copies of
libnssckbi.so to the system-wide p11-kit-trust.so is the proper way to
fix this bug, as far as Mozilla's products are concerned.

Before I proceed to doing this, I'd welcome comments from the security
team on this approach though, as I suspect I don't understand all the
implications.

(an alternative would be building firefox/thunderbird against the
system-wide nss, but firefox currently requires 3.50, which isn't yet in
focal, and I suspect that requirement is being bumped often, so that
wouldn't really work with our distribution model)

** Changed in: firefox (Ubuntu)
   Status: New => Confirmed

** Changed in: firefox (Ubuntu)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

** Changed in: thunderbird (Ubuntu)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ca-certificates in Ubuntu.
https://bugs.launchpad.net/bugs/1647285

Title:
  SSL trust not system-wide

Status in ca-certificates package in Ubuntu:
  Confirmed
Status in firefox package in Ubuntu:
  Confirmed
Status in nss package in Ubuntu:
  Confirmed
Status in p11-kit package in Ubuntu:
  Fix Released
Status in thunderbird package in Ubuntu:
  Confirmed

Bug description:
  When I install a corporate CA trust root with update-ca-certificates,
  it doesn't seem to work everywhere. Various things like Firefox,
  Evolution, Chrome, etc. all fail to trust the newly-installed trusted
  CA.

  This ought to work, and does on other distributions. In p11-kit there
  is a module p11-kit-trust.so which can be used as a drop-in
  replacement for NSS's own libnssckbi.so trust root module, but which
  reads from the system's configured trust setup instead of the hard-
  coded version.

  This allows us to install the corporate CAs just once, and then file a
  bug against any package that *doesn't* then trust them.

  See https://fedoraproject.org/wiki/Features/SharedSystemCertificates
  for some of the historical details from when this feature was first
  implemented, but this is all now supported upstream and not at all
  distribution-specific. There shouldn't be any significant work
  required; it's mostly just a case of configuring and building it to
  make use of this functionality. (With 'alternatives' to let you
  substitute p11-kit-trust.so for the original NSS libnssckbi.so, etc.)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ca-certificates/+bug/1647285/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1867766] Re: Namespace prefix sodipodi on namedview is not defined

2020-03-17 Thread Olivier Tilloy
** Changed in: ubuntu-themes (Ubuntu)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

** Changed in: ubuntu-themes (Ubuntu)
   Importance: Undecided => High

** Changed in: ubuntu-themes (Ubuntu)
   Status: New => In Progress

** Changed in: librsvg (Ubuntu)
   Status: Confirmed => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-themes in Ubuntu.
https://bugs.launchpad.net/bugs/1867766

Title:
  Namespace prefix sodipodi on namedview is not defined

Status in librsvg package in Ubuntu:
  Invalid
Status in ubuntu-themes package in Ubuntu:
  Fix Committed

Bug description:
  [Summary]
  Since the package "gir1.2-rsvg-2.0:amd64" been upgraded from 2.46.4-1ubuntu1 
to 2.48.0-1 in Focal's daily build, ubiquity will crash as attached crash log.

  [Steps to reproduce]
  1. Boot with OEM mode,
  2. Finish the 1st stage
  3. Reboot
  4. Boot into OOBE(oem-config)

  [Expected result]
  Should start oobe without any error.

  [Actual result]
  The error message 『The installer encountered an unrecoverable error. A 
desktop session will now be run so that you may investigate the problem or try 
installing again.』shown on the screen.

  [Failure rate]
  100%

  [Additional information]
  No idea why, but some "nm-signal-*-secure" images will fail in 
Gtk.IconTheme().lookup_icon(n, 22, 0).load_icon(), and below error message will 
show:

  "
  Gtk-WARNING **: 18:23:31.380: Could not load a pixbuf from icon theme.
  This may indicate that pixbuf loaders or the mime database could not be found.
  gi.repository.GLib.GError: rsvg-error-quark: XML parse error: error code=201 
(3) in (null):40:466: Namespace prefix sodipodi on namedview is not defined
  "

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1867766/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1867766] Re: Namespace prefix sodipodi on namedview is not defined

2020-03-17 Thread Olivier Tilloy
The invalid SVGs appear to be generated by the scavenge.py script in
ubuntu-themes.

** Also affects: ubuntu-themes (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-themes in Ubuntu.
https://bugs.launchpad.net/bugs/1867766

Title:
  Namespace prefix sodipodi on namedview is not defined

Status in librsvg package in Ubuntu:
  Confirmed
Status in ubuntu-themes package in Ubuntu:
  New

Bug description:
  [Summary]
  Since the package "gir1.2-rsvg-2.0:amd64" been upgraded from 2.46.4-1ubuntu1 
to 2.48.0-1 in Focal's daily build, ubiquity will crash as attached crash log.

  [Steps to reproduce]
  1. Boot with OEM mode,
  2. Finish the 1st stage
  3. Reboot
  4. Boot into OOBE(oem-config)

  [Expected result]
  Should start oobe without any error.

  [Actual result]
  The error message 『The installer encountered an unrecoverable error. A 
desktop session will now be run so that you may investigate the problem or try 
installing again.』shown on the screen.

  [Failure rate]
  100%

  [Additional information]
  No idea why, but some "nm-signal-*-secure" images will fail in 
Gtk.IconTheme().lookup_icon(n, 22, 0).load_icon(), and below error message will 
show:

  "
  Gtk-WARNING **: 18:23:31.380: Could not load a pixbuf from icon theme.
  This may indicate that pixbuf loaders or the mime database could not be found.
  gi.repository.GLib.GError: rsvg-error-quark: XML parse error: error code=201 
(3) in (null):40:466: Namespace prefix sodipodi on namedview is not defined
  "

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1867766/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1867766] Re: Namespace prefix sodipodi on namedview is not defined

2020-03-17 Thread Olivier Tilloy
As suggested by seb128, the ubiquity autopkgtests fail with the same
error.

** Changed in: librsvg (Ubuntu)
   Status: New => Confirmed

** Changed in: librsvg (Ubuntu)
   Importance: Undecided => Critical

** Changed in: librsvg (Ubuntu)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1867766

Title:
  Namespace prefix sodipodi on namedview is not defined

Status in librsvg package in Ubuntu:
  Confirmed

Bug description:
  [Summary]
  Since the package "gir1.2-rsvg-2.0:amd64" been upgraded from 2.46.4-1ubuntu1 
to 2.48.0-1 in Focal's daily build, ubiquity will crash as attached crash log.

  [Steps to reproduce]
  1. Boot with OEM mode,
  2. Finish the 1st stage
  3. Reboot
  4. Boot into OOBE(oem-config)

  [Expected result]
  Should start oobe without any error.

  [Actual result]
  The error message 『The installer encountered an unrecoverable error. A 
desktop session will now be run so that you may investigate the problem or try 
installing again.』shown on the screen.

  [Failure rate]
  100%

  [Additional information]
  No idea why, but some "nm-signal-*-secure" images will fail in 
Gtk.IconTheme().lookup_icon(n, 22, 0).load_icon(), and below error message will 
show:

  "
  Gtk-WARNING **: 18:23:31.380: Could not load a pixbuf from icon theme.
  This may indicate that pixbuf loaders or the mime database could not be found.
  gi.repository.GLib.GError: rsvg-error-quark: XML parse error: error code=201 
(3) in (null):40:466: Namespace prefix sodipodi on namedview is not defined
  "

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1867766/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1867766] Re: Namespace prefix sodipodi on namedview is not defined

2020-03-17 Thread Olivier Tilloy
I bet this is caused by this upstream change in librsvg:

- Librsvg's XML parser now supports namespaces (xmlns), and is
  stricter than before about it.  Files may fail to parse if there are
  attributes or elements with namespace prefixes (e.g. foo:bar instead
  of plain bar), but without a corresponding namespace declaration
  (e.g. xmlns:foo="http://example.com/foo;).

  This may happen especially with incorrectly-written SVGs that use
  xlink:href or xi:include attributes without the corresponding
  namespace declarations.  If you run into this, just add the
  following to your toplevel SVG element:

  http://www.w3.org/2000/svg;
   xmlns:xlink="http://www.w3.org/1999/xlink;
   xmlns:xi="http://www.w3.org/2001/XInclude;>
   ^ these ones


The nm-signal-*.svg icons in /usr/share/icons/ubuntu-mono-light/status/22 use 
sodipodi: prefixed attributes (exported by inkscape) without the corresponding 
namespace declaration (http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd).

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1867766

Title:
  Namespace prefix sodipodi on namedview is not defined

Status in librsvg package in Ubuntu:
  Confirmed

Bug description:
  [Summary]
  Since the package "gir1.2-rsvg-2.0:amd64" been upgraded from 2.46.4-1ubuntu1 
to 2.48.0-1 in Focal's daily build, ubiquity will crash as attached crash log.

  [Steps to reproduce]
  1. Boot with OEM mode,
  2. Finish the 1st stage
  3. Reboot
  4. Boot into OOBE(oem-config)

  [Expected result]
  Should start oobe without any error.

  [Actual result]
  The error message 『The installer encountered an unrecoverable error. A 
desktop session will now be run so that you may investigate the problem or try 
installing again.』shown on the screen.

  [Failure rate]
  100%

  [Additional information]
  No idea why, but some "nm-signal-*-secure" images will fail in 
Gtk.IconTheme().lookup_icon(n, 22, 0).load_icon(), and below error message will 
show:

  "
  Gtk-WARNING **: 18:23:31.380: Could not load a pixbuf from icon theme.
  This may indicate that pixbuf loaders or the mime database could not be found.
  gi.repository.GLib.GError: rsvg-error-quark: XML parse error: error code=201 
(3) in (null):40:466: Namespace prefix sodipodi on namedview is not defined
  "

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1867766/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 953424] Re: add-apt-repository does not handle malformed repo URL nicely

2020-02-28 Thread Olivier Tilloy
This specific case appears to have been fixed a while ago. I couldn't
find the specific commit, but running this test case in 20.04, an error
is printed in the terminal, but no exception is raised.

** Changed in: software-properties (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/953424

Title:
  add-apt-repository does not handle malformed repo URL nicely

Status in software-properties package in Ubuntu:
  Fix Released

Bug description:
  add-apt-repository doesn't handle URLs nicely when they are malformed
  in a particular way. If you forget to add a repository name to a full-
  form ppa url it should fail gracefully but instead crashes:

  sudo add-apt-repository http://ppa.launchpad.net/username/ubuntu
  Exception in thread Thread-1:
  Traceback (most recent call last):
File "/usr/lib/python2.7/threading.py", line 552, in __bootstrap_inner
  self.run()
File "/usr/lib/python2.7/dist-packages/softwareproperties/ppa.py", line 95, 
in run
  self.add_ppa_signing_key(self.ppa_path)
File "/usr/lib/python2.7/dist-packages/softwareproperties/ppa.py", line 
103, in add_ppa_signing_key
  owner_name, ppa_name, distro = ppa_path[1:].split('/')
  ValueError: need more than 2 values to unpack

  In this case I simply forgot to add the ppa name between the owner
  name and the distro. The 'correct' lines for the malformed URL are
  added to sources.list. It would be much nicer if add-apt-repository
  could handle this issue more gracefully. This is on Ubuntu 11.10,
  version 0.81.13.3.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/953424/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 887079] Re: Software Sources shows codenames not version numbers

2020-02-14 Thread Olivier Tilloy
Reference of the spec update:
https://wiki.ubuntu.com/SoftwareUpdates?action=diff=69=70.

** Changed in: software-properties (Ubuntu)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

** Changed in: software-properties (Ubuntu)
   Status: Triaged => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/887079

Title:
  Software Sources shows codenames not version numbers

Status in software-properties package in Ubuntu:
  In Progress

Bug description:
  In the updates tab software-properties shows codenames such as
  'oneiric-updates' and 'oneiric-proposed'. As I understand it we
  shouldn't really show the codename to the user. It also seems somewhat
  redundant, it's not like that screen would ever have anything other
  than $current_release-* in it. I can see why the 3rd party sources
  might display codenames as users may (for whatever reason) want to add
  the source for an older (or newer) release on a 3rd party site to get
  an app.

  See screenshot.

  ProblemType: Bug
  DistroRelease: Ubuntu 11.10
  Package: software-properties-gtk 0.81.10
  Uname: Linux 3.1.0-999-generic x86_64
  ApportVersion: 1.23-0ubuntu3
  Architecture: amd64
  Date: Mon Nov  7 11:20:31 2011
  PackageArchitecture: all
  ProcEnviron:
   PATH=(custom, user)
   SHELL=/bin/bash
  SourcePackage: software-properties
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/887079/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1860143] Re: /usr/bin/software-properties-gtk:AttributeError:run:run:__exit__:register_sigint_fallback:/usr/bin/software-properties-gtk@101:run

2020-01-17 Thread Olivier Tilloy
** Changed in: software-properties (Ubuntu)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1860143

Title:
  /usr/bin/software-properties-
  gtk:AttributeError:run:run:__exit__:register_sigint_fallback:/usr/bin
  /software-properties-gtk@101:run

Status in software-properties package in Ubuntu:
  Fix Committed

Bug description:
  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
software-properties.  This problem was most recently seen with package version 
0.98.6, the problem page at 
https://errors.ubuntu.com/problem/7f35e34c316c48e756a0d4a38dd302dbcd8ebfae 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker and are a software 
developer, you can request it at http://forms.canonical.com/reports/.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1860143/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1860143] Re: /usr/bin/software-properties-gtk:AttributeError:run:run:__exit__:register_sigint_fallback:/usr/bin/software-properties-gtk@101:run

2020-01-17 Thread Olivier Tilloy
** Changed in: software-properties (Ubuntu)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

** Changed in: software-properties (Ubuntu)
   Importance: Undecided => Medium

** Changed in: software-properties (Ubuntu)
   Status: Confirmed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1860143

Title:
  /usr/bin/software-properties-
  gtk:AttributeError:run:run:__exit__:register_sigint_fallback:/usr/bin
  /software-properties-gtk@101:run

Status in software-properties package in Ubuntu:
  In Progress

Bug description:
  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
software-properties.  This problem was most recently seen with package version 
0.98.6, the problem page at 
https://errors.ubuntu.com/problem/7f35e34c316c48e756a0d4a38dd302dbcd8ebfae 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker and are a software 
developer, you can request it at http://forms.canonical.com/reports/.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1860143/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1860143] Re: /usr/bin/software-properties-gtk:AttributeError:run:run:__exit__:register_sigint_fallback:/usr/bin/software-properties-gtk@101:run

2020-01-17 Thread Olivier Tilloy
In disco and focal, I can reliably reproduce by running software-
properties-gtk in a terminal, then focusing back the terminal window and
pressing Ctrl+C to interrupt the program.

** Changed in: software-properties (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1860143

Title:
  /usr/bin/software-properties-
  gtk:AttributeError:run:run:__exit__:register_sigint_fallback:/usr/bin
  /software-properties-gtk@101:run

Status in software-properties package in Ubuntu:
  In Progress

Bug description:
  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
software-properties.  This problem was most recently seen with package version 
0.98.6, the problem page at 
https://errors.ubuntu.com/problem/7f35e34c316c48e756a0d4a38dd302dbcd8ebfae 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker and are a software 
developer, you can request it at http://forms.canonical.com/reports/.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1860143/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1853657] Re: librsvg 2.44.15 FTBFS in focal

2020-01-13 Thread Olivier Tilloy
** Changed in: librsvg (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1853657

Title:
  librsvg 2.44.15 FTBFS in focal

Status in librsvg package in Ubuntu:
  Fix Released

Bug description:
  focal currently has rustc 1.38 (1.38.0+dfsg0.2+llvm-0ubuntu1), and
  librsvg 2.44.15 fails to build from source with this version. It built
  fine with rustc 1.37 (although there was a unit test failure on
  ppc64el, which prevented it from leaving focal-proposed, see
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=942022).

  The upstream commit that addresses this is 
https://gitlab.gnome.org/GNOME/librsvg/commit/de26c4d8.
  I backported it and added another patch to update the vendored crates in the 
source tarball accordingly, and the build succeeds again, but unit tests 
consistently fail, on all architectures.

  The upstream commit message says « Although you should rather be using
  the 2.46 branch of librsvg as 2.44 is EOL », so we should probably
  update librsvg in debian to 2.46 indeed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1853657/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1794478] Re: Automatic ipv4 not assigned to bond interface is manual ipv6 is assigned to it

2019-12-11 Thread Olivier Tilloy
** Changed in: network-manager (Ubuntu Bionic)
 Assignee: Olivier Tilloy (osomon) => Till Kamppeter (till-kamppeter)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1794478

Title:
  Automatic ipv4 not assigned to bond interface is manual ipv6 is
  assigned to it

Status in Ubuntu on IBM z Systems:
  Fix Released
Status in network-manager package in Ubuntu:
  Fix Released
Status in network-manager source package in Bionic:
  Confirmed

Bug description:
  ---Problem Description---
  Bond interface with automatic ipv4 mode and manual ipv6 mode fails to get 
automatic ipv4 assigned from dhcp server.
   
  ---uname output---
  Linux NetworkTest 4.15.0-33-generic #36-Ubuntu SMP Wed Aug 15 13:42:17 UTC 
2018 s390x s390x s390x GNU/Linux
   
  Machine Type = s390x 
   
  ---Debugger---
  A debugger is not configured
   
  ---Steps to Reproduce---
   When user configures ipv4 as automatic and ipv6 as manual for bond interface 
automatic ipv4 is not getting assigned.
  Looks like dhcp client request for ipv4 is not done to dhcp server after 
maunal ipv6 is assigned quickly to bond interface

  This issue will not happen in below cases:
  1)with ipv4 automatic and ipv6 manual configuration for ethernet or vlan 
interface.
  2)with ipv4 automatic and ipv6 automatic configuration for bond interface
  3)with ipv4 automatic and ipv6 disabled configuration for bond interface

  Configuration:
  Bond interface, ipv4 automatic mode and ipv6 automatic mode

  root@NetworkTest:/etc/NetworkManager/system-connections# cat test_bond 
  [connection]
  id=test_bond
  uuid=63e54542-5135-47ac-a954-b861c3937be2
  type=bond
  interface-name=test_bond
  permissions=
  timestamp=1537944121

  [ethernet]
  mac-address-blacklist=

  [bond]
  downdelay=0
  fail_over_mac=none
  miimon=100
  mode=active-backup
  num_grat_arp=0
  primary_reselect=always
  updelay=0

  [ipv4]
  dns-search=
  method=auto

  [ipv6]
  addr-gen-mode=stable-privacy
  dns-search=
  method=auto

  From /var/log/syslog, we can see ip got assigned:

  Sep 26 06:26:26 NetworkTest dhclient[8663]: DHCPDISCOVER on test_bond to 
255.255.255.255 port 67 interval 3 (xid=0x5e04bf1e)
  Sep 26 06:26:26 NetworkTest dhclient[8663]: DHCPREQUEST of 10.2.3.55 on 
test_bond to 255.255.255.255 port 67 (xid=0x5e04bf1e)
  Sep 26 06:26:26 NetworkTest dhclient[8663]: DHCPOFFER of 10.2.3.55 from 
10.2.3.1
  Sep 26 06:26:26 NetworkTest dhclient[8663]: DHCPACK of 10.2.3.55 from 10.2.3.1

  root@NetworkTest:/etc/NetworkManager/system-connections# ip a s test_bond
  28: test_bond:  mtu 1500 qdisc 
noqueue state UP group default qlen 1000
  link/ether 02:00:00:b3:b5:22 brd ff:ff:ff:ff:ff:ff
  inet 10.2.3.55/24 brd 10.2.3.255 scope global dynamic noprefixroute 
test_bond
 valid_lft 353sec preferred_lft 353sec
  inet6 fe80::ff:feb3:b522/64 scope link 
 valid_lft forever preferred_lft forever

  
  
+++
  Bond interface, ipv4 automatic mode and ipv6 manual mode

  root@NetworkTest:/etc/NetworkManager/system-connections# cat test_bond 
  [connection]
  id=test_bond
  uuid=3efb153a-a6e4-48fb-aa04-f0b8cb549bab
  type=bond
  interface-name=test_bond
  permissions=
  timestamp=1537943300

  [ethernet]
  mac-address-blacklist=

  [bond]
  downdelay=0
  fail_over_mac=none
  miimon=100
  mode=active-backup
  num_grat_arp=0
  primary_reselect=always
  updelay=0

  [ipv4]
  dns-search=
  method=auto

  [ipv6]
  addr-gen-mode=stable-privacy
  address1=fe81::32a5:bc5f:287f:8db8/64
  dns-search=
  method=manual

  No automatic ip assigned to ipv4 and no requests to dhcp server seen in 
/var/log/syslog
  root@NetworkTest:/etc/NetworkManager/system-connections# ip a s test_bond
  29: test_bond:  mtu 1500 qdisc 
noqueue state UP group default qlen 1000
  link/ether 02:00:00:b3:b5:22 brd ff:ff:ff:ff:ff:ff
  inet6 fe81::32a5:bc5f:287f:8db8/64 scope link noprefixroute 
 valid_lft forever preferred_lft forever

  
  ==> Correct LP-Package need to be assigned...!

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-z-systems/+bug/1794478/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1853657] Re: librsvg 2.44.15 FTBFS in focal

2019-11-28 Thread Olivier Tilloy
Ready for review and sponsoring in Debian: https://salsa.debian.org
/gnome-team/librsvg/merge_requests/5

** Changed in: librsvg (Ubuntu)
   Status: Triaged => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1853657

Title:
  librsvg 2.44.15 FTBFS in focal

Status in librsvg package in Ubuntu:
  In Progress

Bug description:
  focal currently has rustc 1.38 (1.38.0+dfsg0.2+llvm-0ubuntu1), and
  librsvg 2.44.15 fails to build from source with this version. It built
  fine with rustc 1.37 (although there was a unit test failure on
  ppc64el, which prevented it from leaving focal-proposed, see
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=942022).

  The upstream commit that addresses this is 
https://gitlab.gnome.org/GNOME/librsvg/commit/de26c4d8.
  I backported it and added another patch to update the vendored crates in the 
source tarball accordingly, and the build succeeds again, but unit tests 
consistently fail, on all architectures.

  The upstream commit message says « Although you should rather be using
  the 2.46 branch of librsvg as 2.44 is EOL », so we should probably
  update librsvg in debian to 2.46 indeed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1853657/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1853657] Re: librsvg 2.44.15 FTBFS in focal

2019-11-26 Thread Olivier Tilloy
The unit test failures are related to
https://gitlab.gnome.org/GNOME/librsvg/issues/511 and
https://gitlab.gnome.org/GNOME/librsvg/issues/512.

A temporary workaround until upstream implements a clean way to skip the
reftests is https://salsa.debian.org/gnome-
team/librsvg/merge_requests/3.

** Bug watch added: gitlab.gnome.org/GNOME/librsvg/issues #511
   https://gitlab.gnome.org/GNOME/librsvg/issues/511

** Bug watch added: gitlab.gnome.org/GNOME/librsvg/issues #512
   https://gitlab.gnome.org/GNOME/librsvg/issues/512

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1853657

Title:
  librsvg 2.44.15 FTBFS in focal

Status in librsvg package in Ubuntu:
  Triaged

Bug description:
  focal currently has rustc 1.38 (1.38.0+dfsg0.2+llvm-0ubuntu1), and
  librsvg 2.44.15 fails to build from source with this version. It built
  fine with rustc 1.37 (although there was a unit test failure on
  ppc64el, which prevented it from leaving focal-proposed, see
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=942022).

  The upstream commit that addresses this is 
https://gitlab.gnome.org/GNOME/librsvg/commit/de26c4d8.
  I backported it and added another patch to update the vendored crates in the 
source tarball accordingly, and the build succeeds again, but unit tests 
consistently fail, on all architectures.

  The upstream commit message says « Although you should rather be using
  the 2.46 branch of librsvg as 2.44 is EOL », so we should probably
  update librsvg in debian to 2.46 indeed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1853657/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1853657] [NEW] librsvg 2.44.15 FTBFS in focal

2019-11-22 Thread Olivier Tilloy
Public bug reported:

focal currently has rustc 1.38 (1.38.0+dfsg0.2+llvm-0ubuntu1), and
librsvg 2.44.15 fails to build from source with this version. It built
fine with rustc 1.37 (although there was a unit test failure on ppc64el,
which prevented it from leaving focal-proposed, see
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=942022).

The upstream commit that addresses this is 
https://gitlab.gnome.org/GNOME/librsvg/commit/de26c4d8.
I backported it and added another patch to update the vendored crates in the 
source tarball accordingly, and the build succeeds again, but unit tests 
consistently fail, on all architectures.

The upstream commit message says « Although you should rather be using
the 2.46 branch of librsvg as 2.44 is EOL », so we should probably
update librsvg in debian to 2.46 indeed.

** Affects: librsvg (Ubuntu)
 Importance: High
 Assignee: Olivier Tilloy (osomon)
 Status: Triaged

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1853657

Title:
  librsvg 2.44.15 FTBFS in focal

Status in librsvg package in Ubuntu:
  Triaged

Bug description:
  focal currently has rustc 1.38 (1.38.0+dfsg0.2+llvm-0ubuntu1), and
  librsvg 2.44.15 fails to build from source with this version. It built
  fine with rustc 1.37 (although there was a unit test failure on
  ppc64el, which prevented it from leaving focal-proposed, see
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=942022).

  The upstream commit that addresses this is 
https://gitlab.gnome.org/GNOME/librsvg/commit/de26c4d8.
  I backported it and added another patch to update the vendored crates in the 
source tarball accordingly, and the build succeeds again, but unit tests 
consistently fail, on all architectures.

  The upstream commit message says « Although you should rather be using
  the 2.46 branch of librsvg as 2.44 is EOL », so we should probably
  update librsvg in debian to 2.46 indeed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1853657/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1853657] Re: librsvg 2.44.15 FTBFS in focal

2019-11-22 Thread Olivier Tilloy
Follow-up patch that updates the vendored crates in the source tarball
accordingly.

** Patch added: "cssparser-update-vendored-crates.patch"
   
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1853657/+attachment/5307180/+files/cssparser-update-vendored-crates.patch

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1853657

Title:
  librsvg 2.44.15 FTBFS in focal

Status in librsvg package in Ubuntu:
  Triaged

Bug description:
  focal currently has rustc 1.38 (1.38.0+dfsg0.2+llvm-0ubuntu1), and
  librsvg 2.44.15 fails to build from source with this version. It built
  fine with rustc 1.37 (although there was a unit test failure on
  ppc64el, which prevented it from leaving focal-proposed, see
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=942022).

  The upstream commit that addresses this is 
https://gitlab.gnome.org/GNOME/librsvg/commit/de26c4d8.
  I backported it and added another patch to update the vendored crates in the 
source tarball accordingly, and the build succeeds again, but unit tests 
consistently fail, on all architectures.

  The upstream commit message says « Although you should rather be using
  the 2.46 branch of librsvg as 2.44 is EOL », so we should probably
  update librsvg in debian to 2.46 indeed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1853657/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1853657] Re: librsvg 2.44.15 FTBFS in focal

2019-11-22 Thread Olivier Tilloy
Build log with the above two patches applied, unit tests fail.

** Attachment added: 
"buildlog_ubuntu-focal-amd64.librsvg_2.44.15-1ubuntu1_ppa8_BUILDING.txt.gz"
   
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1853657/+attachment/5307181/+files/buildlog_ubuntu-focal-amd64.librsvg_2.44.15-1ubuntu1_ppa8_BUILDING.txt.gz

** Changed in: librsvg (Ubuntu)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

** Changed in: librsvg (Ubuntu)
   Status: New => Triaged

** Changed in: librsvg (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1853657

Title:
  librsvg 2.44.15 FTBFS in focal

Status in librsvg package in Ubuntu:
  Triaged

Bug description:
  focal currently has rustc 1.38 (1.38.0+dfsg0.2+llvm-0ubuntu1), and
  librsvg 2.44.15 fails to build from source with this version. It built
  fine with rustc 1.37 (although there was a unit test failure on
  ppc64el, which prevented it from leaving focal-proposed, see
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=942022).

  The upstream commit that addresses this is 
https://gitlab.gnome.org/GNOME/librsvg/commit/de26c4d8.
  I backported it and added another patch to update the vendored crates in the 
source tarball accordingly, and the build succeeds again, but unit tests 
consistently fail, on all architectures.

  The upstream commit message says « Although you should rather be using
  the 2.46 branch of librsvg as 2.44 is EOL », so we should probably
  update librsvg in debian to 2.46 indeed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1853657/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1853657] Re: librsvg 2.44.15 FTBFS in focal

2019-11-22 Thread Olivier Tilloy
Patch for the upstream commit
(https://gitlab.gnome.org/GNOME/librsvg/commit/de26c4d8).

** Patch added: "upstream-de26c4d8.patch"
   
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1853657/+attachment/5307179/+files/upstream-de26c4d8.patch

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1853657

Title:
  librsvg 2.44.15 FTBFS in focal

Status in librsvg package in Ubuntu:
  Triaged

Bug description:
  focal currently has rustc 1.38 (1.38.0+dfsg0.2+llvm-0ubuntu1), and
  librsvg 2.44.15 fails to build from source with this version. It built
  fine with rustc 1.37 (although there was a unit test failure on
  ppc64el, which prevented it from leaving focal-proposed, see
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=942022).

  The upstream commit that addresses this is 
https://gitlab.gnome.org/GNOME/librsvg/commit/de26c4d8.
  I backported it and added another patch to update the vendored crates in the 
source tarball accordingly, and the build succeeds again, but unit tests 
consistently fail, on all architectures.

  The upstream commit message says « Although you should rather be using
  the 2.46 branch of librsvg as 2.44 is EOL », so we should probably
  update librsvg in debian to 2.46 indeed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1853657/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1833114] Re: print page dialog latency when trying to cancel or to save

2019-11-05 Thread Olivier Tilloy
Thanks for the feedback Christopher. I'm not suggesting everyone upgrade to 
19.10 right away, I was just curious whether doing so would somehow fix the 
problem.
This obviously still needs looking into.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1833114

Title:
  print page dialog latency when trying to cancel or to save

Status in chromium-browser package in Ubuntu:
  New
Status in gtk+3.0 package in Ubuntu:
  Confirmed

Bug description:
  Since less than a month ago, using the print page dialog (which for me
  defaults to saving as PDF) is outlandishly slow. Once opened, if I try
  to close it (click cancel / press Esc) or to use it (click Save or
  press Enter), there is no visible response, and my system hangs for 10
  seconds.  After that though, the operation concludes successfully and
  things return to normal.

  This did not used to happen. Closing or submitting the print-to-PDF
  used to result in the pop-up window closing immediately and the
  browser regaining responsiveness.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: chromium-browser 74.0.3729.169-0ubuntu0.19.04.1
  ProcVersionSignature: Ubuntu 5.0.0-16.17-generic 5.0.8
  Uname: Linux 5.0.0-16-generic x86_64
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  DRM.card0-DP-1:
   enabled: disabled
   dpms: Off
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-DP-2:
   enabled: disabled
   dpms: Off
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-DP-5:
   enabled: enabled
   dpms: On
   status: connected
   edid-base64: 
AP///wAEchAEyHEQUQsZAQSlRyh4PiVfqFRNnyUOT1O/74BxT4FAgYCBwIEAlQCzANHATdAAoPBwPoAwIDUAxY8hAAAaBHQAMPJwWoCwWIoAxY8hAAAa/QAdTB+gPAEKICAgICAg/ABCMzI2SEsKICAgICAgAQwCAxzhT5ACAwQFBgcBERITFBUWHyMJBweDAQAAAjqAGHE4LUBYLEUAxY8hAAAeAR2AGHEcFiBYLCUAxY8hAACeAR0AclHQHiBuKFUAxY8hAAAejArQiiDgLRAQPpYAxY8hAAAYVl4AoKCgKVAwIDUAxI8hAAAa
   modes: 3840x2160 3840x2160 2560x1440 1920x1080 1920x1080 1920x1080 1920x1080 
1680x1050 1280x1024 1280x1024 1440x900 1280x960 1280x800 1152x864 1280x720 
1280x720 1280x720 1280x720 1024x768 1024x768 1024x768 832x624 800x600 800x600 
800x600 800x600 720x576 720x576 720x480 720x480 720x480 720x480 720x480 640x480 
640x480 640x480 640x480 640x480 640x480 720x400
  DRM.card0-DP-6:
   enabled: disabled
   dpms: On
   status: connected
   edid-base64: 
AP///wAQrAngTEFNMAkPAQPOKxt46gGVo1dMnCUSUFSlSwCBgHFPAQEBAQEBAQEBAQEBfC6QoGAaHkAwIDYAsg4RAAAa/wBUNjEzMDUzMjBNQUwK/QA4Sx5TDgAKICAgICAg/ABERUxMIDIwMDVGUFcKAAM=
   modes: 1680x1050 1280x1024 1280x1024 1152x864 1024x768 1024x768 800x600 
800x600 640x480 640x480 720x400
  DRM.card0-DP-7:
   enabled: disabled
   dpms: On
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-HDMI-A-1:
   enabled: disabled
   dpms: Off
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-HDMI-A-2:
   enabled: disabled
   dpms: Off
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-eDP-1:
   enabled: enabled
   dpms: On
   status: connected
   edid-base64: 
AP///wAGrz0TACYXAQSVHxF4AoflpFZQniYNUFQBAQEBAQEBAQEBAQEBAQEBFDeAuHA4JEAQED4ANa0QAAAYDwAg/gBBVU8KICAgICAgICAg/gBCMTQwSEFOMDEuMyAKAHo=
   modes: 1920x1080
  Date: Mon Jun 17 14:03:12 2019
  Desktop-Session:
   'ubuntu'
   '/etc/xdg/xdg-ubuntu:/etc/xdg'
   '/usr/share/ubuntu:/usr/local/share:/usr/share:/var/lib/snapd/desktop'
  DetectedPlugins:
   
  EcryptfsInUse: Yes
  Env:
   'None'
   'None'
  InstallationDate: Installed on 2019-01-24 (144 days ago)
  InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 
(20181017.3)
  InstalledPlugins:
   
  Load-Avg-1min: 3.09
  Load-Processes-Running-Percent:   0.1%
  MachineType: LENOVO 20BXCTO1WW
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-16-generic 
root=UUID=a6081f39-700f-4698-bda4-464e53d9d229 ro quiet splash vt.handoff=1
  SourcePackage: chromium-browser
  UpgradeStatus: Upgraded to disco on 2019-05-29 (19 days ago)
  dmi.bios.date: 09/13/2017
  dmi.bios.vendor: LENOVO
  dmi.bios.version: JBET66WW (1.30 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 20BXCTO1WW
  dmi.board.vendor: LENOVO
  dmi.board.version: SDK0J40697 WIN
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: None
  dmi.modalias: 
dmi:bvnLENOVO:bvrJBET66WW(1.30):bd09/13/2017:svnLENOVO:pn20BXCTO1WW:pvrThinkPadT450s:rvnLENOVO:rn20BXCTO1WW:rvrSDK0J40697WIN:cvnLENOVO:ct10:cvrNone:
  dmi.product.family: ThinkPad T450s
  dmi.product.name: 20BXCTO1WW
  dmi.product.sku: LENOVO_MT_20BX_BU_Think_FM_ThinkPad T450s
  dmi.product.version: ThinkPad T450s
  dmi.sys.vendor: LENOVO
  modified.conffile..etc.default.chromium-browser: [deleted]

To manage notifications about this bug go to:

[Touch-packages] [Bug 938751] Re: Images are washed out or colors are skewed in some apps

2019-11-03 Thread Olivier Tilloy
** Changed in: chromium-browser (Ubuntu)
 Assignee: jon grahaqm (skyking2630) => (unassigned)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to colord in Ubuntu.
https://bugs.launchpad.net/bugs/938751

Title:
  Images are washed out or colors are skewed in some apps

Status in Eye of GNOME:
  New
Status in chromium-browser package in Ubuntu:
  Confirmed
Status in colord package in Ubuntu:
  Confirmed
Status in eog package in Ubuntu:
  Confirmed

Bug description:
  Images are washed out or colors are skewed in some apps, notably
  Chrome/Chromium and Image Viewer (eog).

  Workaround:

  Settings > Devices > Colour >
  and disable or remove your monitor's colour profile

To manage notifications about this bug go to:
https://bugs.launchpad.net/eog/+bug/938751/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1833114] Re: print page dialog latency when trying to cancel or to save

2019-10-23 Thread Olivier Tilloy
As noted in comment #2, I used to be able to observe the problem, but I
cannot any longer. I upgraded my laptop to 19.10 a while ago while it
was still in development, and I couldn't tell for sure when the problem
went away. I didn't do a fresh install, nor did I create a new user or
cleaned up settings in any way.

@Christopher: from your last comment I understand you're still affected.
Have you upgraded to 19.10 ? If not, are you planning to do it in a not-
too-distant future? If so I'd be interested in knowing whether this
resolves the issue for you.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1833114

Title:
  print page dialog latency when trying to cancel or to save

Status in chromium-browser package in Ubuntu:
  New
Status in gtk+3.0 package in Ubuntu:
  Confirmed

Bug description:
  Since less than a month ago, using the print page dialog (which for me
  defaults to saving as PDF) is outlandishly slow. Once opened, if I try
  to close it (click cancel / press Esc) or to use it (click Save or
  press Enter), there is no visible response, and my system hangs for 10
  seconds.  After that though, the operation concludes successfully and
  things return to normal.

  This did not used to happen. Closing or submitting the print-to-PDF
  used to result in the pop-up window closing immediately and the
  browser regaining responsiveness.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: chromium-browser 74.0.3729.169-0ubuntu0.19.04.1
  ProcVersionSignature: Ubuntu 5.0.0-16.17-generic 5.0.8
  Uname: Linux 5.0.0-16-generic x86_64
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  DRM.card0-DP-1:
   enabled: disabled
   dpms: Off
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-DP-2:
   enabled: disabled
   dpms: Off
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-DP-5:
   enabled: enabled
   dpms: On
   status: connected
   edid-base64: 
AP///wAEchAEyHEQUQsZAQSlRyh4PiVfqFRNnyUOT1O/74BxT4FAgYCBwIEAlQCzANHATdAAoPBwPoAwIDUAxY8hAAAaBHQAMPJwWoCwWIoAxY8hAAAa/QAdTB+gPAEKICAgICAg/ABCMzI2SEsKICAgICAgAQwCAxzhT5ACAwQFBgcBERITFBUWHyMJBweDAQAAAjqAGHE4LUBYLEUAxY8hAAAeAR2AGHEcFiBYLCUAxY8hAACeAR0AclHQHiBuKFUAxY8hAAAejArQiiDgLRAQPpYAxY8hAAAYVl4AoKCgKVAwIDUAxI8hAAAa
   modes: 3840x2160 3840x2160 2560x1440 1920x1080 1920x1080 1920x1080 1920x1080 
1680x1050 1280x1024 1280x1024 1440x900 1280x960 1280x800 1152x864 1280x720 
1280x720 1280x720 1280x720 1024x768 1024x768 1024x768 832x624 800x600 800x600 
800x600 800x600 720x576 720x576 720x480 720x480 720x480 720x480 720x480 640x480 
640x480 640x480 640x480 640x480 640x480 720x400
  DRM.card0-DP-6:
   enabled: disabled
   dpms: On
   status: connected
   edid-base64: 
AP///wAQrAngTEFNMAkPAQPOKxt46gGVo1dMnCUSUFSlSwCBgHFPAQEBAQEBAQEBAQEBfC6QoGAaHkAwIDYAsg4RAAAa/wBUNjEzMDUzMjBNQUwK/QA4Sx5TDgAKICAgICAg/ABERUxMIDIwMDVGUFcKAAM=
   modes: 1680x1050 1280x1024 1280x1024 1152x864 1024x768 1024x768 800x600 
800x600 640x480 640x480 720x400
  DRM.card0-DP-7:
   enabled: disabled
   dpms: On
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-HDMI-A-1:
   enabled: disabled
   dpms: Off
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-HDMI-A-2:
   enabled: disabled
   dpms: Off
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-eDP-1:
   enabled: enabled
   dpms: On
   status: connected
   edid-base64: 
AP///wAGrz0TACYXAQSVHxF4AoflpFZQniYNUFQBAQEBAQEBAQEBAQEBAQEBFDeAuHA4JEAQED4ANa0QAAAYDwAg/gBBVU8KICAgICAgICAg/gBCMTQwSEFOMDEuMyAKAHo=
   modes: 1920x1080
  Date: Mon Jun 17 14:03:12 2019
  Desktop-Session:
   'ubuntu'
   '/etc/xdg/xdg-ubuntu:/etc/xdg'
   '/usr/share/ubuntu:/usr/local/share:/usr/share:/var/lib/snapd/desktop'
  DetectedPlugins:
   
  EcryptfsInUse: Yes
  Env:
   'None'
   'None'
  InstallationDate: Installed on 2019-01-24 (144 days ago)
  InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 
(20181017.3)
  InstalledPlugins:
   
  Load-Avg-1min: 3.09
  Load-Processes-Running-Percent:   0.1%
  MachineType: LENOVO 20BXCTO1WW
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-16-generic 
root=UUID=a6081f39-700f-4698-bda4-464e53d9d229 ro quiet splash vt.handoff=1
  SourcePackage: chromium-browser
  UpgradeStatus: Upgraded to disco on 2019-05-29 (19 days ago)
  dmi.bios.date: 09/13/2017
  dmi.bios.vendor: LENOVO
  dmi.bios.version: JBET66WW (1.30 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 20BXCTO1WW
  dmi.board.vendor: LENOVO
  dmi.board.version: SDK0J40697 WIN
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: None
  dmi.modalias: 

[Touch-packages] [Bug 1801383] Re: the WifiSyslog apport hook (used in firefox/tb) includes SSID informations

2019-09-17 Thread Olivier Tilloy
Marc, the version currently in eoan-proposed has the fix. I'm working on
addressing autopkgtest issues in related packages that prevent
thunderbird from migrating to the release pocket.

Once sorted out in eoan, I'll proceed to preparing updates for all
stable releases, including this fix.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1801383

Title:
  the WifiSyslog apport hook (used in firefox/tb) includes SSID
  informations

Status in apport package in Ubuntu:
  Confirmed
Status in firefox package in Ubuntu:
  Fix Released
Status in linux package in Ubuntu:
  Invalid
Status in thunderbird package in Ubuntu:
  Fix Committed

Bug description:
  When I apport-bug certain packages such as firefox for example, it
  uploads the WifiSyslog.txt file.

  The WifiSyslog may contain a list of all system connections enumerated
  in /etc/NetworkManager/system-connections, i.e. all SSIDs the user has
  ever connected to that are found in the system-connections. This is a
  serious privacy risk and completely unnecessary information for most
  bug reports.

  Should either remove WifiSyslog as a requirement for packages that
  don't need it (should I report this to
  https://bugs.launchpad.net/ubuntu/+source/firefox/ ?), or redact
  information that may contain usernames and SSIDs from the log file.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: apport 2.20.9-0ubuntu7.4
  ProcVersionSignature: User Name 4.15.0-38.41-generic 4.15.18
  Uname: Linux 4.15.0-38-generic x86_64
  ApportLog:
   
  ApportVersion: 2.20.9-0ubuntu7.4
  Architecture: amd64
  CrashReports: 640:1000:117:62475:2018-11-01 19:17:29.982295751 
-0400:2018-11-01 19:17:30.982295751 
-0400:/var/crash/_usr_bin_gnome-screenshot.1000.crash
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Nov  2 11:24:20 2018
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2018-09-12 (50 days ago)
  InstallationMedia: Ubuntu 16.04.5 LTS "Xenial Xerus" - Release amd64 
(20180731)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: apport
  UpgradeStatus: Upgraded to bionic on 2018-09-28 (34 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1801383/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1840242] Re: Update to 0.3.9

2019-08-15 Thread Olivier Tilloy
** Changed in: grilo-plugins (Ubuntu)
   Status: Triaged => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to grilo-plugins in Ubuntu.
https://bugs.launchpad.net/bugs/1840242

Title:
  Update to 0.3.9

Status in grilo-plugins package in Ubuntu:
  In Progress

Bug description:
  Upstream release: https://gitlab.gnome.org/GNOME/grilo-plugins/-/tags
  /grilo-plugins-0.3.9

  In Debian unstable: https://salsa.debian.org/berto/grilo-
  plugins/-/tags/debian%2F0.3.9-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/grilo-plugins/+bug/1840242/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1840242] [NEW] Update to 0.3.9

2019-08-15 Thread Olivier Tilloy
Public bug reported:

Upstream release: https://gitlab.gnome.org/GNOME/grilo-plugins/-/tags
/grilo-plugins-0.3.9

In Debian unstable: https://salsa.debian.org/berto/grilo-
plugins/-/tags/debian%2F0.3.9-1

** Affects: grilo-plugins (Ubuntu)
 Importance: Wishlist
 Assignee: Olivier Tilloy (osomon)
 Status: Triaged


** Tags: upgrade-software-version

** Changed in: grilo-plugins (Ubuntu)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

** Changed in: grilo-plugins (Ubuntu)
   Status: New => Triaged

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to grilo-plugins in Ubuntu.
https://bugs.launchpad.net/bugs/1840242

Title:
  Update to 0.3.9

Status in grilo-plugins package in Ubuntu:
  Triaged

Bug description:
  Upstream release: https://gitlab.gnome.org/GNOME/grilo-plugins/-/tags
  /grilo-plugins-0.3.9

  In Debian unstable: https://salsa.debian.org/berto/grilo-
  plugins/-/tags/debian%2F0.3.9-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/grilo-plugins/+bug/1840242/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1840066] Re: DELL DA300 adaptor's Ethernet port not working after update

2019-08-14 Thread Olivier Tilloy
Can you please run the following command in a terminal to attach
additional debug information to the bug report?

apport-collect 1840066

Thanks!

** Package changed: firefox (Ubuntu) => network-manager (Ubuntu)

** Changed in: network-manager (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1840066

Title:
  DELL DA300 adaptor's Ethernet port not working after update

Status in network-manager package in Ubuntu:
  Incomplete

Bug description:
  DELL DA300 adapter's Ethernet port stopped working after recent
  update. Whenever the cable is plugged in to the adapter, network
  manager would show the cable connecting icon and immediately drop the
  connection. I am able to get Ethernet connection through the DA300
  with another Ethernet-USBc adapter by plugging the cable to the
  adaptor and use DA300's USBc port though.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1840066/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1833114] Re: print page dialog latency when trying to cancel or to save

2019-08-13 Thread Olivier Tilloy
** Also affects: gtk+3.0 (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1833114

Title:
  print page dialog latency when trying to cancel or to save

Status in chromium-browser package in Ubuntu:
  New
Status in gtk+3.0 package in Ubuntu:
  New

Bug description:
  Since less than a month ago, using the print page dialog (which for me
  defaults to saving as PDF) is outlandishly slow. Once opened, if I try
  to close it (click cancel / press Esc) or to use it (click Save or
  press Enter), there is no visible response, and my system hangs for 10
  seconds.  After that though, the operation concludes successfully and
  things return to normal.

  This did not used to happen. Closing or submitting the print-to-PDF
  used to result in the pop-up window closing immediately and the
  browser regaining responsiveness.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: chromium-browser 74.0.3729.169-0ubuntu0.19.04.1
  ProcVersionSignature: Ubuntu 5.0.0-16.17-generic 5.0.8
  Uname: Linux 5.0.0-16-generic x86_64
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  DRM.card0-DP-1:
   enabled: disabled
   dpms: Off
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-DP-2:
   enabled: disabled
   dpms: Off
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-DP-5:
   enabled: enabled
   dpms: On
   status: connected
   edid-base64: 
AP///wAEchAEyHEQUQsZAQSlRyh4PiVfqFRNnyUOT1O/74BxT4FAgYCBwIEAlQCzANHATdAAoPBwPoAwIDUAxY8hAAAaBHQAMPJwWoCwWIoAxY8hAAAa/QAdTB+gPAEKICAgICAg/ABCMzI2SEsKICAgICAgAQwCAxzhT5ACAwQFBgcBERITFBUWHyMJBweDAQAAAjqAGHE4LUBYLEUAxY8hAAAeAR2AGHEcFiBYLCUAxY8hAACeAR0AclHQHiBuKFUAxY8hAAAejArQiiDgLRAQPpYAxY8hAAAYVl4AoKCgKVAwIDUAxI8hAAAa
   modes: 3840x2160 3840x2160 2560x1440 1920x1080 1920x1080 1920x1080 1920x1080 
1680x1050 1280x1024 1280x1024 1440x900 1280x960 1280x800 1152x864 1280x720 
1280x720 1280x720 1280x720 1024x768 1024x768 1024x768 832x624 800x600 800x600 
800x600 800x600 720x576 720x576 720x480 720x480 720x480 720x480 720x480 640x480 
640x480 640x480 640x480 640x480 640x480 720x400
  DRM.card0-DP-6:
   enabled: disabled
   dpms: On
   status: connected
   edid-base64: 
AP///wAQrAngTEFNMAkPAQPOKxt46gGVo1dMnCUSUFSlSwCBgHFPAQEBAQEBAQEBAQEBfC6QoGAaHkAwIDYAsg4RAAAa/wBUNjEzMDUzMjBNQUwK/QA4Sx5TDgAKICAgICAg/ABERUxMIDIwMDVGUFcKAAM=
   modes: 1680x1050 1280x1024 1280x1024 1152x864 1024x768 1024x768 800x600 
800x600 640x480 640x480 720x400
  DRM.card0-DP-7:
   enabled: disabled
   dpms: On
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-HDMI-A-1:
   enabled: disabled
   dpms: Off
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-HDMI-A-2:
   enabled: disabled
   dpms: Off
   status: disconnected
   edid-base64: 
   modes:
  DRM.card0-eDP-1:
   enabled: enabled
   dpms: On
   status: connected
   edid-base64: 
AP///wAGrz0TACYXAQSVHxF4AoflpFZQniYNUFQBAQEBAQEBAQEBAQEBAQEBFDeAuHA4JEAQED4ANa0QAAAYDwAg/gBBVU8KICAgICAgICAg/gBCMTQwSEFOMDEuMyAKAHo=
   modes: 1920x1080
  Date: Mon Jun 17 14:03:12 2019
  Desktop-Session:
   'ubuntu'
   '/etc/xdg/xdg-ubuntu:/etc/xdg'
   '/usr/share/ubuntu:/usr/local/share:/usr/share:/var/lib/snapd/desktop'
  DetectedPlugins:
   
  EcryptfsInUse: Yes
  Env:
   'None'
   'None'
  InstallationDate: Installed on 2019-01-24 (144 days ago)
  InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 
(20181017.3)
  InstalledPlugins:
   
  Load-Avg-1min: 3.09
  Load-Processes-Running-Percent:   0.1%
  MachineType: LENOVO 20BXCTO1WW
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-16-generic 
root=UUID=a6081f39-700f-4698-bda4-464e53d9d229 ro quiet splash vt.handoff=1
  SourcePackage: chromium-browser
  UpgradeStatus: Upgraded to disco on 2019-05-29 (19 days ago)
  dmi.bios.date: 09/13/2017
  dmi.bios.vendor: LENOVO
  dmi.bios.version: JBET66WW (1.30 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 20BXCTO1WW
  dmi.board.vendor: LENOVO
  dmi.board.version: SDK0J40697 WIN
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: None
  dmi.modalias: 
dmi:bvnLENOVO:bvrJBET66WW(1.30):bd09/13/2017:svnLENOVO:pn20BXCTO1WW:pvrThinkPadT450s:rvnLENOVO:rn20BXCTO1WW:rvrSDK0J40697WIN:cvnLENOVO:ct10:cvrNone:
  dmi.product.family: ThinkPad T450s
  dmi.product.name: 20BXCTO1WW
  dmi.product.sku: LENOVO_MT_20BX_BU_Think_FM_ThinkPad T450s
  dmi.product.version: ThinkPad T450s
  dmi.sys.vendor: LENOVO
  modified.conffile..etc.default.chromium-browser: [deleted]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/chromium-browser/+bug/1833114/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : 

[Touch-packages] [Bug 1839710] Re: package libibus-1.0-5:amd64 1.5.11-1ubuntu2 failed to install/upgrade: package libibus-1.0-5:amd64 is not ready for configuration cannot configure (current status 'h

2019-08-13 Thread Olivier Tilloy
Can you try executing the following command in a terminal:

sudo apt install --reinstall libibus-1.0-5

** Changed in: ibus (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1839710

Title:
  package libibus-1.0-5:amd64 1.5.11-1ubuntu2 failed to install/upgrade:
  package libibus-1.0-5:amd64 is not ready for configuration  cannot
  configure (current status 'half-installed')

Status in ibus package in Ubuntu:
  Incomplete

Bug description:
  reinstall ubuntu to dell G3 15

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: libibus-1.0-5:amd64 1.5.11-1ubuntu2
  ProcVersionSignature: Ubuntu 4.13.0-1028.31-oem 4.13.16
  Uname: Linux 4.13.0-1028-oem x86_64
  ApportVersion: 2.20.1-0ubuntu2.18
  AptOrdering:
   libglib2.0-0: Install
   libglib2.0-0: Configure
   libglib2.0-bin: Configure
   libibus-1.0-5: Configure
   NULL: ConfigurePending
  Architecture: amd64
  Date: Sat Aug 10 14:23:49 2019
  DistributionChannelDescriptor:
   # This is a distribution channel descriptor
   # For more information see 
http://wiki.ubuntu.com/DistributionChannelDescriptor
   canonical-oem-somerville-xenial-amd64-osp1-20171027-1
  DuplicateSignature:
   package:libibus-1.0-5:amd64:1.5.11-1ubuntu2
   Setting up libglib2.0-bin (2.48.2-0ubuntu4.4) ...
   dpkg: error processing package libibus-1.0-5:amd64 (--configure):
package libibus-1.0-5:amd64 is not ready for configuration
  ErrorMessage: package libibus-1.0-5:amd64 is not ready for configuration  
cannot configure (current status 'half-installed')
  InstallationDate: Installed on 2019-08-09 (0 days ago)
  InstallationMedia: Ubuntu 16.04 "Xenial" - Build amd64 LIVE Binary 
20171027-10:57
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.5
   apt  1.2.32
  SourcePackage: ibus
  Title: package libibus-1.0-5:amd64 1.5.11-1ubuntu2 failed to install/upgrade: 
package libibus-1.0-5:amd64 is not ready for configuration  cannot configure 
(current status 'half-installed')
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1839710/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1838813] Re: Webbrowser-app crashes and freezes Ubuntu, then closes itself

2019-08-05 Thread Olivier Tilloy
Confirming per duplicate bug #1707354.

** Changed in: webbrowser-app (Ubuntu)
   Status: Incomplete => Confirmed

** Also affects: mesa (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1838813

Title:
  Webbrowser-app crashes and freezes Ubuntu, then closes itself

Status in mesa package in Ubuntu:
  New
Status in webbrowser-app package in Ubuntu:
  Confirmed

Bug description:
  Using Ubuntu 16.04 LTS.

  At command line:

  ~$ uname -a
  Linux sala-MS-7788 4.15.0-55-generic #60~16.04.2-Ubuntu SMP Thu Jul 4 
09:03:09 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

  ~$ lsb_release -rd
  Description:  Ubuntu 16.04.6 LTS
  Release:  16.04

  ~$ webbrowser-app

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file 
'/run/user/1001/dconf/user': Permissão negada.  dconf will not work properly.
  libGL error: MESA-LOADER: failed to retrieve device information
  libGL error: Version 4 or later of flush extension not found
  libGL error: failed to load driver: i915
  libGL error: MESA-LOADER: failed to retrieve device information
  unity::action::ActionManager::ActionManager(QObject*):
   Could not determine application identifier. HUD will not work properly.
   Provide your application identifier in $APP_ID environment variable.
  UCUriHandler: Empty "APP_ID" environment variable, ignoring.
  file:///usr/share/webbrowser-app/webbrowser/ContentPickerDialog.qml:22:1: 
module "Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/webbrowser/ContentDownloadDialog.qml:22:1: 
module "Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/ContentHandler.qml:20:1: module 
"Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/webbrowser/DownloadHandler.qml:20:1: module 
"Ubuntu.DownloadManager" is not installed

  (webbrowser-app:28854): IBUS-WARNING **: Unable to connect to ibus: Não foi 
possível conectar: Permissão negada
  libGL error: MESA-LOADER: failed to retrieve device information
  libGL error: Version 4 or later of flush extension not found
  libGL error: failed to load driver: i915
  libGL error: MESA-LOADER: failed to retrieve device information

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file 
'/run/user/1001/dconf/user': Permissão negada.  dconf will not work properly.
  shm_open() failed: Permissão negada

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file 
'/run/user/1001/dconf/user': Permissão negada.  dconf will not work properly.
  [0802/152335.217740:ERROR:child_thread_impl.cc(762)] Request for unknown 
Channel-associated interface: ui::mojom::GpuMain
  TouchSelectionController::active is deprecated, use 
TouchSelectionController::status instead
  qml: Loaded 8 UA override(s) from 
file:///usr/lib/x86_64-linux-gnu/qt5/qml/Ubuntu/Web/ua-overrides-mobile.js
  OxideQQuickWebView: canGoForward is deprecated. Please use the 

[Touch-packages] [Bug 1707354] Re: webbrowser-app freezes on startup, then crashes

2019-08-05 Thread Olivier Tilloy
*** This bug is a duplicate of bug 1838813 ***
https://bugs.launchpad.net/bugs/1838813

** This bug has been marked a duplicate of bug 1838813
   Webbrowser-app crashes and freezes Ubuntu, then closes itself

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1707354

Title:
  webbrowser-app freezes on startup, then crashes

Status in webbrowser-app package in Ubuntu:
  Confirmed

Bug description:
  Started 1-3 days ago just after automatic ubuntu updates. Since then
  whenever I start the browser(from desktop or terminal) it flashes as
  only a border of a window and hangs system for 2-5 minutes and then
  crashes, or does not appear at all but still hangs the system.

  me@laptop:~$ uname -a
  Linux laptop 4.10.0-28-generic #32~16.04.2-Ubuntu SMP Thu Jul 20 10:19:48 UTC 
2017 x86_64 x86_64 x86_64 GNU/Linux

  me@laptop:~$ lsb_release -rd
  Description:  Ubuntu 16.04.2 LTS
  Release:  16.04

  
  me@laptop:~$ webbrowser-app

  (webbrowser-app:31579): dconf-CRITICAL **: unable to create file
  '/run/user/1000/dconf/user': Permission denied.  dconf will not work
  properly.

  (webbrowser-app:31579): dconf-CRITICAL **: unable to create file
  '/run/user/1000/dconf/user': Permission denied.  dconf will not work
  properly.

  (webbrowser-app:31579): dconf-CRITICAL **: unable to create file 
'/run/user/1000/dconf/user': Permission denied.  dconf will not work properly.
  libGL error: MESA-LOADER: failed to retrieve device information
  libGL error: Version 4 or later of flush extension not found
  libGL error: failed to load driver: i915
  libGL error: MESA-LOADER: failed to retrieve device information
  unity::action::ActionManager::ActionManager(QObject*):
Could not determine application identifier. HUD will not work properly.
Provide your application identifier in $APP_ID environment variable.
  UCUriHandler: Empty "APP_ID" environment variable, ignoring.
  file:///usr/share/webbrowser-app/webbrowser/ContentPickerDialog.qml:22:1: 
module "Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/webbrowser/ContentDownloadDialog.qml:22:1: 
module "Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/ContentHandler.qml:20:1: module 
"Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/webbrowser/DownloadHandler.qml:20:1: module 
"Ubuntu.DownloadManager" is not installed

  (webbrowser-app:31579): IBUS-WARNING **: Unable to connect to ibus: Could not 
connect: Permission denied
  QOpenGLShader: could not create shader
  QOpenGLShader: could not create shader
  intel_do_flush_locked failed: Input/output error

  
  Launching as root
  me@laptop:~$ sudo webbrowser-app --help
  No protocol specified
  QXcbConnection: Could not connect to display :0
  Aborted (core dumped)

  Output after providing a meaningless APP_ID env variable:
  me@laptop:~$ APP_ID=webbrowser_app webbrowser-app

  (webbrowser-app:31852): dconf-CRITICAL **: unable to create file
  '/run/user/1000/dconf/user': Permission denied.  dconf will not work
  properly.

  (webbrowser-app:31852): dconf-CRITICAL **: unable to create file
  '/run/user/1000/dconf/user': Permission denied.  dconf will not work
  properly.

  (webbrowser-app:31852): dconf-CRITICAL **: unable to create file 
'/run/user/1000/dconf/user': Permission denied.  dconf will not work properly.
  libGL error: MESA-LOADER: failed to retrieve device information
  libGL error: Version 4 or later of flush extension not found
  libGL error: failed to load driver: i915
  libGL error: MESA-LOADER: failed to retrieve device information
  file:///usr/share/webbrowser-app/webbrowser/ContentPickerDialog.qml:22:1: 
module "Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/webbrowser/ContentDownloadDialog.qml:22:1: 
module "Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/ContentHandler.qml:20:1: module 
"Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/webbrowser/DownloadHandler.qml:20:1: module 
"Ubuntu.DownloadManager" is not installed

  (webbrowser-app:31852): IBUS-WARNING **: Unable to connect to ibus: Could not 
connect: Permission denied
  libGL error: MESA-LOADER: failed to retrieve device information
  libGL error: Version 4 or later of flush extension not found
  libGL error: failed to load driver: i915
  libGL error: MESA-LOADER: failed to retrieve device information
  shm_open() failed: Permission denied

  (webbrowser-app:31852): dconf-CRITICAL **: unable to create file
  '/run/user/1000/dconf/user': Permission denied.  dconf will not work
  properly.

  (webbrowser-app:31852): dconf-CRITICAL **: unable to create file
  '/run/user/1000/dconf/user': Permission denied.  dconf will not work
  properly.

  (webbrowser-app:31852): dconf-CRITICAL **: unable to create file
  '/run/user/1000/dconf/user': Permission denied.  dconf will not work
  

[Touch-packages] [Bug 1838813] Re: Webbrowser-app crashes and freezes Ubuntu, then closes itself

2019-08-05 Thread Olivier Tilloy
The relevant part of the log appears to be:

intel_do_flush_locked failed: Erro de entrada/saída

and this looks similar to
https://bugs.freedesktop.org/show_bug.cgi?id=102226.

Can you look for relevant messages mentioning a gpu hang in dmesg?

** Changed in: webbrowser-app (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1838813

Title:
  Webbrowser-app crashes and freezes Ubuntu, then closes itself

Status in webbrowser-app package in Ubuntu:
  Incomplete

Bug description:
  Using Ubuntu 16.04 LTS.

  At command line:

  ~$ uname -a
  Linux sala-MS-7788 4.15.0-55-generic #60~16.04.2-Ubuntu SMP Thu Jul 4 
09:03:09 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

  ~$ lsb_release -rd
  Description:  Ubuntu 16.04.6 LTS
  Release:  16.04

  ~$ webbrowser-app

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file 
'/run/user/1001/dconf/user': Permissão negada.  dconf will not work properly.
  libGL error: MESA-LOADER: failed to retrieve device information
  libGL error: Version 4 or later of flush extension not found
  libGL error: failed to load driver: i915
  libGL error: MESA-LOADER: failed to retrieve device information
  unity::action::ActionManager::ActionManager(QObject*):
   Could not determine application identifier. HUD will not work properly.
   Provide your application identifier in $APP_ID environment variable.
  UCUriHandler: Empty "APP_ID" environment variable, ignoring.
  file:///usr/share/webbrowser-app/webbrowser/ContentPickerDialog.qml:22:1: 
module "Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/webbrowser/ContentDownloadDialog.qml:22:1: 
module "Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/ContentHandler.qml:20:1: module 
"Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/webbrowser/DownloadHandler.qml:20:1: module 
"Ubuntu.DownloadManager" is not installed

  (webbrowser-app:28854): IBUS-WARNING **: Unable to connect to ibus: Não foi 
possível conectar: Permissão negada
  libGL error: MESA-LOADER: failed to retrieve device information
  libGL error: Version 4 or later of flush extension not found
  libGL error: failed to load driver: i915
  libGL error: MESA-LOADER: failed to retrieve device information

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file 
'/run/user/1001/dconf/user': Permissão negada.  dconf will not work properly.
  shm_open() failed: Permissão negada

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file 
'/run/user/1001/dconf/user': Permissão negada.  dconf will not work properly.
  [0802/152335.217740:ERROR:child_thread_impl.cc(762)] Request for unknown 
Channel-associated interface: ui::mojom::GpuMain
  TouchSelectionController::active is deprecated, use 
TouchSelectionController::status instead
  qml: Loaded 8 UA override(s) from 

[Touch-packages] [Bug 1838813] Re: Webbrowser-app crashes and freezes Ubuntu, then closes itself

2019-08-05 Thread Olivier Tilloy
Can you please run the following command to attach additional debug
information to the bug report?

apport-collect 1838813

Please also attach the output of:

apt policy liboxideqtcore0 libgl1-mesa-dri

Please note that running an end-user application as root is almost
always a bad idea, don't do that, even if that's in the hope of making
it work when it doesn't when run as a normal user.

** Bug watch added: freedesktop.org Bugzilla #102226
   https://bugs.freedesktop.org/show_bug.cgi?id=102226

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1838813

Title:
  Webbrowser-app crashes and freezes Ubuntu, then closes itself

Status in webbrowser-app package in Ubuntu:
  Incomplete

Bug description:
  Using Ubuntu 16.04 LTS.

  At command line:

  ~$ uname -a
  Linux sala-MS-7788 4.15.0-55-generic #60~16.04.2-Ubuntu SMP Thu Jul 4 
09:03:09 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

  ~$ lsb_release -rd
  Description:  Ubuntu 16.04.6 LTS
  Release:  16.04

  ~$ webbrowser-app

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file 
'/run/user/1001/dconf/user': Permissão negada.  dconf will not work properly.
  libGL error: MESA-LOADER: failed to retrieve device information
  libGL error: Version 4 or later of flush extension not found
  libGL error: failed to load driver: i915
  libGL error: MESA-LOADER: failed to retrieve device information
  unity::action::ActionManager::ActionManager(QObject*):
   Could not determine application identifier. HUD will not work properly.
   Provide your application identifier in $APP_ID environment variable.
  UCUriHandler: Empty "APP_ID" environment variable, ignoring.
  file:///usr/share/webbrowser-app/webbrowser/ContentPickerDialog.qml:22:1: 
module "Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/webbrowser/ContentDownloadDialog.qml:22:1: 
module "Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/ContentHandler.qml:20:1: module 
"Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/webbrowser/DownloadHandler.qml:20:1: module 
"Ubuntu.DownloadManager" is not installed

  (webbrowser-app:28854): IBUS-WARNING **: Unable to connect to ibus: Não foi 
possível conectar: Permissão negada
  libGL error: MESA-LOADER: failed to retrieve device information
  libGL error: Version 4 or later of flush extension not found
  libGL error: failed to load driver: i915
  libGL error: MESA-LOADER: failed to retrieve device information

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file 
'/run/user/1001/dconf/user': Permissão negada.  dconf will not work properly.
  shm_open() failed: Permissão negada

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file 
'/run/user/1001/dconf/user': Permissão negada.  dconf will not work properly.
  [0802/152335.217740:ERROR:child_thread_impl.cc(762)] Request for unknown 
Channel-associated interface: 

[Touch-packages] [Bug 1838813] Re: Webbrowser-app crashes and freezes Ubuntu, then closes itself

2019-08-05 Thread Olivier Tilloy
And this looks similar to bug #1707354 indeed, probably a duplicate of
it. Let's still use this bug to collect relevant information for now.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1838813

Title:
  Webbrowser-app crashes and freezes Ubuntu, then closes itself

Status in webbrowser-app package in Ubuntu:
  Incomplete

Bug description:
  Using Ubuntu 16.04 LTS.

  At command line:

  ~$ uname -a
  Linux sala-MS-7788 4.15.0-55-generic #60~16.04.2-Ubuntu SMP Thu Jul 4 
09:03:09 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

  ~$ lsb_release -rd
  Description:  Ubuntu 16.04.6 LTS
  Release:  16.04

  ~$ webbrowser-app

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file 
'/run/user/1001/dconf/user': Permissão negada.  dconf will not work properly.
  libGL error: MESA-LOADER: failed to retrieve device information
  libGL error: Version 4 or later of flush extension not found
  libGL error: failed to load driver: i915
  libGL error: MESA-LOADER: failed to retrieve device information
  unity::action::ActionManager::ActionManager(QObject*):
   Could not determine application identifier. HUD will not work properly.
   Provide your application identifier in $APP_ID environment variable.
  UCUriHandler: Empty "APP_ID" environment variable, ignoring.
  file:///usr/share/webbrowser-app/webbrowser/ContentPickerDialog.qml:22:1: 
module "Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/webbrowser/ContentDownloadDialog.qml:22:1: 
module "Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/ContentHandler.qml:20:1: module 
"Ubuntu.Content" is not installed
  file:///usr/share/webbrowser-app/webbrowser/DownloadHandler.qml:20:1: module 
"Ubuntu.DownloadManager" is not installed

  (webbrowser-app:28854): IBUS-WARNING **: Unable to connect to ibus: Não foi 
possível conectar: Permissão negada
  libGL error: MESA-LOADER: failed to retrieve device information
  libGL error: Version 4 or later of flush extension not found
  libGL error: failed to load driver: i915
  libGL error: MESA-LOADER: failed to retrieve device information

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file 
'/run/user/1001/dconf/user': Permissão negada.  dconf will not work properly.
  shm_open() failed: Permissão negada

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file
  '/run/user/1001/dconf/user': Permissão negada.  dconf will not work
  properly.

  (webbrowser-app:28854): dconf-CRITICAL **: unable to create file 
'/run/user/1001/dconf/user': Permissão negada.  dconf will not work properly.
  [0802/152335.217740:ERROR:child_thread_impl.cc(762)] Request for unknown 
Channel-associated interface: ui::mojom::GpuMain
  TouchSelectionController::active is deprecated, use 
TouchSelectionController::status instead
  qml: Loaded 8 UA override(s) from 
file:///usr/lib/x86_64-linux-gnu/qt5/qml/Ubuntu/Web/ua-overrides-mobile.js
  OxideQQuickWebView: canGoForward is deprecated. Please use the API provided 
by OxideQQuickNavigationHistory instead
  OxideQQuickWebView: canGoBack is 

[Touch-packages] [Bug 1814551] Re: Ubuntu 18.10's ibus package breaks password fields in Firefox Beta (65, 66 via PPA)

2019-08-05 Thread Olivier Tilloy
I still can't reproduce the problem in a fully up-to-date bionic VM, using the 
instructions in bug #1795169, which is a duplicate of the original bug report.
I've tested both X (default) and Wayland sessions.

To anyone affected, can you please point to the particular website
you're using to observe the problem?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1814551

Title:
  Ubuntu 18.10's ibus package breaks password fields in Firefox Beta
  (65, 66 via PPA)

Status in ibus package in Ubuntu:
  Confirmed

Bug description:
  Essentially
  https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1765304 but
  reproducible in Cosmic even with the patched gnome-shell installed via
  APT.

  SYSTEM INFO
  =

  * Ubuntu 18.10 Cosmic with latest updates
  * proc/version_signature: Ubuntu 4.18.0-14.15-generic 4.18.20
  * uname: Linux justin-ubuntu 4.18.0-14-generic #15-Ubuntu SMP Mon Jan 14 
09:01:02 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
  * gnome-shell 3.30.1-2ubuntu1.18.10.2
  * ibus 1.5.19-1ubuntu1
  * Both Firefox 65 and 66 (66.0~b4+build1-0ubuntu0.18.04.1 per official PPA)

  
  STEPS TO REPRODUCE
  =

  1. Ensure keyboard input method system is 
  1. Download Firefox Beta channel via their official PPA: 
https://launchpad.net/~mozillateam/+archive/ubuntu/firefox-next
  2. Download and install the 1Password X firefox extentsion: 
https://addons.mozilla.org/en-US/firefox/addon/1password-x-password-manager/
  3. Open the extension window by either pressing the shortcut Ctrl+. or 
clicking the 1Password icon in the Firefox UI
  4. Enter in the password in the input and press enter.

  Expected: The vault unlocks or displays a "this is a wrong password"

  Actual: The UI appears to "refresh" and nothing occurs.

  WORKAROUND/VALIDATION
  =

  Like the original bug, switching the keyboard input method to XIM from
  iBus resolves the issue suggesting to me that the symptoms I am
  experiencing are caused by the root issue previously filed, fixed, and
  deployed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1814551/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1814551] Re: Ubuntu 18.10's ibus package breaks password fields in Firefox Beta (65, 66 via PPA)

2019-08-05 Thread Olivier Tilloy
This bug was originally reported against Cosmic, which is now end of
life.

@Coenraad, what do you mean by "from further upstream"?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1814551

Title:
  Ubuntu 18.10's ibus package breaks password fields in Firefox Beta
  (65, 66 via PPA)

Status in ibus package in Ubuntu:
  Confirmed

Bug description:
  Essentially
  https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1765304 but
  reproducible in Cosmic even with the patched gnome-shell installed via
  APT.

  SYSTEM INFO
  =

  * Ubuntu 18.10 Cosmic with latest updates
  * proc/version_signature: Ubuntu 4.18.0-14.15-generic 4.18.20
  * uname: Linux justin-ubuntu 4.18.0-14-generic #15-Ubuntu SMP Mon Jan 14 
09:01:02 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
  * gnome-shell 3.30.1-2ubuntu1.18.10.2
  * ibus 1.5.19-1ubuntu1
  * Both Firefox 65 and 66 (66.0~b4+build1-0ubuntu0.18.04.1 per official PPA)

  
  STEPS TO REPRODUCE
  =

  1. Ensure keyboard input method system is 
  1. Download Firefox Beta channel via their official PPA: 
https://launchpad.net/~mozillateam/+archive/ubuntu/firefox-next
  2. Download and install the 1Password X firefox extentsion: 
https://addons.mozilla.org/en-US/firefox/addon/1password-x-password-manager/
  3. Open the extension window by either pressing the shortcut Ctrl+. or 
clicking the 1Password icon in the Firefox UI
  4. Enter in the password in the input and press enter.

  Expected: The vault unlocks or displays a "this is a wrong password"

  Actual: The UI appears to "refresh" and nothing occurs.

  WORKAROUND/VALIDATION
  =

  Like the original bug, switching the keyboard input method to XIM from
  iBus resolves the issue suggesting to me that the symptoms I am
  experiencing are caused by the root issue previously filed, fixed, and
  deployed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1814551/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1838358] Re: Ibus causes gnome-shell to freeze when password fields are selected in Firefox

2019-07-31 Thread Olivier Tilloy
Thanks for the report Matthew. I appreciate all the work to prepare a
SRU bug and a debdiff, but the very first step would be to reliably
reproduce the issue. As far as I can tell this hasn't been reported by
anyone else, which makes it likely to be an isolated issue on a very
specific setup, and thus not necessarily a good candidate for a SRU. Can
you get the person who reported the issue to provide more details on
their setup (is it stock Ubuntu or a derivative, is it fully up-to-date,
which desktop environment, what are the exact versions of gnome-shell,
firefox and ibus). Thanks!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1838358

Title:
  Ibus causes gnome-shell to freeze when password fields are selected in
  Firefox

Status in ibus package in Ubuntu:
  Confirmed
Status in ibus source package in Bionic:
  In Progress

Bug description:
  [Impact]

  The following has been seen in a VMware Horizon VDI. I cannot reproduce this
  issue myself.

  When a user interacts with any password field in Firefox, gnome-shell
  and Firefox both freeze and the system becomes unusable. If you ssh
  into the system and terminate Firefox, gnome-shell unfreezes.

  This only happens when the environment variable GTK_IM_MODULE is set to 
"ibus". If you unset the variable, or change it to 
  GTK_IM_MODULE=gtk-im-context-simple and then start Firefox, everything works 
as intended.

  This has been seen before with gnome-shell 3.28.4-0ubuntu18.04.1, ibus
  1.5.17-3ubuntu4 and Firefox versions starting with 
68.0+build3-0ubuntu0.18.04.1

  Note: Chrome[ium] and other applications do not trigger it, and it cannot be
  reproduced in other desktop environments.

  This seems to be an interaction issue between ibus and gnome-shell.

  [Fix]

  When ibus is built with the patch ibus-xx-f19-password.patch which was
  dropped in ibus-1.5.17-2, the problem is solved.

  ibus-xx-f19-password.patch checks to see if the GTK version is at or
  above 3.6, and if it is, checks to see if the input purpose is for a
  password field. If it is, then no further action is taken by ibus.

  [Testcase]

  Launch firefox from within a gnome-session, making sure the
  GTK_IM_MODULE is set to "ibus". Note, this is the default value.

  $ env GTK_IM_MODULE="ibus" firefox

  Navigate to any website which has a password field. Wikipedia or
  Reddit will do.

  Click a password field and attempt to enter text. Firefox and gnome-
  shell both lock up and stay frozen for an extended period of time.

  With the test package which includes ibus-xx-f19-password.patch, gnome-shell
  and Firefox do not lock up and everything works as intended.

  Test package is available here:

  https://launchpad.net/~mruffell/+archive/ubuntu/sf235370-test

  [Regression Potential]

  This has a low to medium risk of regression, and is limited to inputs to
  password fields in all applications, including the gnome-shell lock screen.

  This patch has been extensively tested and it is present in the
  following Ubuntu releases:

  artful: 1.5.14-2ubuntu1
  zesty: 1.5.14-2ubuntu1
  yakkety: 1.5.11-1ubuntu3
  xenial: 1.5.11-1ubuntu2
  wily: 1.5.10-1ubuntu1
  vivid: 1.5.9-1ubuntu3
  utopic: 1.5.8-2ubuntu2
  trusty: 1.5.5-1ubuntu3.2

  The patch was introduced in trusty, and removed in bionic. I feel that the 
risk of reintroducing the patch is low, since the use case of the software is 
the same as previous releases in regards to input software and input language
  selection.

  I still acknowledge a potential risk of regression when users change their
  input engines to non defaults and pair it with non default input languages.

  In the event of regression ibus can be temporarily be disabled via an
  environment variable and the patch dropped in any subsequent packages.

  [Notes]

  This patch will not be needed in newer versions of ibus as an official
  workaround has been implemented as of ibus-1.5.19.

  https://github.com/ibus/ibus/commit/f328fd67f479faa46ca87bf3c85eed7080ec5ec0

  If problems arise with password input fields in ibus versions 1.5.19
  or later, which are found in cosmic onward, environment variables can
  be set that have the same effect as ibus-xx-f19-password.patch.

  env IBUS_DISCARD_PASSWORD=1 firefox
  or
  export IBUS_DISCARD_PASSWORD_APPS='firefox,.*chrome.*'

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1838358/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1801383] Re: the WifiSyslog apport hook (used in firefox/tb) includes SSID informations

2019-07-26 Thread Olivier Tilloy
** Changed in: thunderbird (Ubuntu)
   Status: New => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1801383

Title:
  the WifiSyslog apport hook (used in firefox/tb) includes SSID
  informations

Status in apport package in Ubuntu:
  New
Status in firefox package in Ubuntu:
  Fix Released
Status in linux package in Ubuntu:
  Confirmed
Status in thunderbird package in Ubuntu:
  Fix Committed

Bug description:
  When I apport-bug certain packages such as firefox for example, it
  uploads the WifiSyslog.txt file.

  The WifiSyslog may contain a list of all system connections enumerated
  in /etc/NetworkManager/system-connections, i.e. all SSIDs the user has
  ever connected to that are found in the system-connections. This is a
  serious privacy risk and completely unnecessary information for most
  bug reports.

  Should either remove WifiSyslog as a requirement for packages that
  don't need it (should I report this to
  https://bugs.launchpad.net/ubuntu/+source/firefox/ ?), or redact
  information that may contain usernames and SSIDs from the log file.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: apport 2.20.9-0ubuntu7.4
  ProcVersionSignature: User Name 4.15.0-38.41-generic 4.15.18
  Uname: Linux 4.15.0-38-generic x86_64
  ApportLog:
   
  ApportVersion: 2.20.9-0ubuntu7.4
  Architecture: amd64
  CrashReports: 640:1000:117:62475:2018-11-01 19:17:29.982295751 
-0400:2018-11-01 19:17:30.982295751 
-0400:/var/crash/_usr_bin_gnome-screenshot.1000.crash
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Nov  2 11:24:20 2018
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2018-09-12 (50 days ago)
  InstallationMedia: Ubuntu 16.04.5 LTS "Xenial Xerus" - Release amd64 
(20180731)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: apport
  UpgradeStatus: Upgraded to bionic on 2018-09-28 (34 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1801383/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1831988] Re: msgfmt produces invalid UTF-8 sequences for desktop files

2019-06-11 Thread Olivier Tilloy
I can reproduce the error in a xenial VM, not in a bionic one.

** Changed in: gettext (Ubuntu)
   Status: New => Fix Released

** Also affects: gettext (Ubuntu Xenial)
   Importance: Undecided
   Status: New

** Changed in: gettext (Ubuntu Xenial)
   Status: New => Confirmed

** Changed in: gettext (Ubuntu Xenial)
   Importance: Undecided => Low

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gettext in Ubuntu.
https://bugs.launchpad.net/bugs/1831988

Title:
   msgfmt produces  invalid UTF-8 sequences for desktop files

Status in gettext package in Ubuntu:
  Fix Released
Status in gettext source package in Xenial:
  Confirmed

Bug description:
  VIM has recently added support for validating gnome desktop files and
  this is reporting  errors due to invalid UTF-8 sequences produced by
  msgfmt.

  Steps to reproduce:
  1. Checkout rev 1253704 from the VIM git repo on GitHub - 
https://github.com/vim/vim
  2. Run ./configure in the repo to set up the build environment.
  2. Change to the po directory in the repo - cd src/po
  3. Process and validate the gvim desktop file using the Makefile -

  $ make gvim.desktop
  msgfmt --desktop -d . --template gvim.desktop.in -o tmp_gvim.desktop
  rm -f LINGUAS
  if command -v desktop-file-validate; then desktop-file-validate 
tmp_gvim.desktop; fi
  /usr/bin/desktop-file-validate
  tmp_gvim.desktop: warning: file contains lines that are not UTF-8 encoded. 
There is no guarantee the validator will correctly work.
  [Invalid UTF-8] tmp_gvim.desktop: error: value 
"\xe0\xac\xaa\xe0\xac\xbe\xe0\xac\xa0\xe0\xad\x8d\xe0\xac\xaf 
\xe0\xac\xab\xe0\xac\xbe\xe0\xac\x87\xe0\xac\xb2\xe0\xac\x97\xe0\xad\x81\xe0\xac\xa1\xe0\xac\xbc\xe0\xac\xbf\xe0\xac\x95\xe0\xad\x81
 
\xe0\xac\xb8\xe0\xac\xae\xe0\xad\x8d\xe0\xac\xaa\xe0\xac\xbe\xe0\xac\xa6\xe0\xac\xa8
 \xe0\xac\x95\xe0\xac\xb0\xe0\xac\xa8\xe0\xad\x8d\xe0\xac\xa4\xe0\xad" for 
locale string key "Comment[or]" in group "Desktop Entry" contains invalid UTF-8 
characters, locale string values should be encoded in UTF-8
  Makefile:176: recipe for target 'gvim.desktop' failed
  make: *** [gvim.desktop] Error 1

  The template file has valid UTF-8 sequences so no errors are expected.
  The error is correct as the generated desktop file has a truncated 3
  byte UTF-8 sequence at the end of the line as reported.  The problem
  is msgfmt is emitting an invalid UTF-8 sequence for this one line.

  This is happening  on an up to date 16.04 LTS -

  $ apt list gettext desktop-file-utils
  Listing... Done
  desktop-file-utils/xenial-updates,now 0.22-1ubuntu5.2 i386 [installed]
  gettext/xenial-updates,xenial-security,now 0.19.7-2ubuntu3.1 i386 [installed]

  There has been some discussion of this issue on the VIM developers
  mailing list -
  https://groups.google.com/d/msg/vim_dev/yYGCsJJPlA0/i1PNO_46AgAJ

  A candidate patch for the issue from upstream for the gettext package has 
been identified -
  https://groups.google.com/d/msg/vim_dev/yYGCsJJPlA0/6yAEzO9LAgAJ

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: gettext 0.19.7-2ubuntu3.1
  ProcVersionSignature: Ubuntu 4.15.0-51.55~16.04.1-generic 4.15.18
  Uname: Linux 4.15.0-51-generic i686
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: i386
  CurrentDesktop: Unity
  Date: Fri Jun  7 10:30:31 2019
  InstallationDate: Installed on 2019-02-05 (121 days ago)
  InstallationMedia: Ubuntu 16.04.5 LTS "Xenial Xerus" - Release i386 (20180731)
  SourcePackage: gettext
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gettext/+bug/1831988/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1828884] Re: [META] Handling Japanese new era "令和 (Reiwa)"

2019-05-27 Thread Olivier Tilloy
** Bug watch added: gitlab.freedesktop.org/poppler/poppler-data/issues #2
   https://gitlab.freedesktop.org/poppler/poppler-data/issues/2

** Also affects: poppler via
   https://gitlab.freedesktop.org/poppler/poppler-data/issues/2
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to icu in Ubuntu.
https://bugs.launchpad.net/bugs/1828884

Title:
  [META] Handling Japanese new era "令和 (Reiwa)"

Status in Poppler:
  Unknown
Status in fonts-noto-cjk package in Ubuntu:
  New
Status in gnome-characters package in Ubuntu:
  New
Status in gucharmap package in Ubuntu:
  New
Status in icu package in Ubuntu:
  New
Status in libreoffice package in Ubuntu:
  Fix Released
Status in libreoffice-l10n package in Ubuntu:
  Fix Released
Status in mozc package in Ubuntu:
  Fix Released
Status in openjdk-8 package in Ubuntu:
  Fix Released
Status in poppler-data package in Ubuntu:
  New
Status in unicode-data package in Ubuntu:
  Fix Released
Status in gnome-characters source package in Xenial:
  New
Status in gucharmap source package in Xenial:
  New
Status in icu source package in Xenial:
  New
Status in libreoffice source package in Xenial:
  Fix Committed
Status in libreoffice-l10n source package in Xenial:
  Fix Committed
Status in mozc source package in Xenial:
  Fix Released
Status in openjdk-8 source package in Xenial:
  New
Status in poppler-data source package in Xenial:
  New
Status in unicode-data source package in Xenial:
  New
Status in fonts-noto-cjk source package in Bionic:
  New
Status in gnome-characters source package in Bionic:
  New
Status in gucharmap source package in Bionic:
  New
Status in icu source package in Bionic:
  New
Status in libreoffice source package in Bionic:
  Fix Committed
Status in libreoffice-l10n source package in Bionic:
  Fix Committed
Status in mozc source package in Bionic:
  Fix Released
Status in openjdk-8 source package in Bionic:
  New
Status in poppler-data source package in Bionic:
  New
Status in unicode-data source package in Bionic:
  New
Status in fonts-noto-cjk source package in Cosmic:
  New
Status in gnome-characters source package in Cosmic:
  New
Status in gucharmap source package in Cosmic:
  New
Status in icu source package in Cosmic:
  New
Status in libreoffice source package in Cosmic:
  Fix Released
Status in libreoffice-l10n source package in Cosmic:
  Fix Released
Status in mozc source package in Cosmic:
  Fix Released
Status in openjdk-8 source package in Cosmic:
  New
Status in poppler-data source package in Cosmic:
  New
Status in unicode-data source package in Cosmic:
  New
Status in fonts-noto-cjk source package in Disco:
  New
Status in gnome-characters source package in Disco:
  New
Status in gucharmap source package in Disco:
  New
Status in icu source package in Disco:
  New
Status in libreoffice source package in Disco:
  Fix Released
Status in libreoffice-l10n source package in Disco:
  Fix Released
Status in mozc source package in Disco:
  Fix Released
Status in openjdk-8 source package in Disco:
  New
Status in poppler-data source package in Disco:
  New
Status in unicode-data source package in Disco:
  New

Bug description:
  [Background]
  Many packages are affected by the requirement to support the new era "Reiwa" 
(令和)

  This is the meta bug to track packages that need fixes; which packages
  have already been SRUd to previous releases, how to prioritize the
  work needed, and general test cases for verifying that things are
  working as expected.

  [Impact]
  Users who run Ubuntu in Japanese.

  [Test cases]

  == Date conversion ==

  On applications that support writing dates in long form, or with
  symbols to denote era (either in X00.00.00 format or in GG1G5G1G
  format  (G- glyph; X- character):

  1) Enable date formatting in each of the above formats that are supported 
(long form or symbols)
  2) Type in '2019/05/01' to be formatted, verify that it shows as "令和1年5月1日" 
or "R1.05.01"
  3) Type in '2019/04/30' to be formatted, verify that it shows as "平成31年4月30日" 
or "H31.4.30"

  == Date output ==

  1) Set date to 2019/05/01
  2) Output date; verify that the year it is displayed as "令和元年"
  3) Set date to 2019/04/30
  4) Output date; verify that the year is diplayed as "平成31年"

  === Displaying formatted year for Japanese era with glibc ===

  Run:
  LC_ALL=ja_JP.utf8 date +%EY -d 20190430   # previous era (should still work 
as before SRUs)
  or
  LC_ALL=ja_JP.utf8 date +%EY -d 20190501   # new era (should now correctly 
display the new era)

  == Character maps / font support ==

  1) Search for character "SQUARE ERA NAME"
  2) Verify that the results include at least "SQUARE ERA NAME HEISEI" and 
"SQUARE ERA NAME REIWA" (there should also be Syouwa, Taisyou and Meizi), and 
that the glyphs are readable:

   - SQUARE ERA NAME HEISEI:  ㍻
   - SQUARE ERA NAME REIWA:   令和 (in a single glyph)

  Display of the Reiwa 

[Touch-packages] [Bug 1828884] Re: [META] Handling Japanese new era "令和 (Reiwa)"

2019-05-27 Thread Olivier Tilloy
** Changed in: libreoffice (Ubuntu Xenial)
   Status: New => Fix Committed

** Changed in: libreoffice (Ubuntu Xenial)
 Assignee: (unassigned) => Marcus Tomlinson (marcustomlinson)

** Changed in: libreoffice (Ubuntu Bionic)
   Status: New => Fix Committed

** Changed in: libreoffice (Ubuntu Bionic)
 Assignee: (unassigned) => Marcus Tomlinson (marcustomlinson)

** Changed in: libreoffice (Ubuntu Cosmic)
 Assignee: (unassigned) => Marcus Tomlinson (marcustomlinson)

** Changed in: libreoffice (Ubuntu Disco)
 Assignee: (unassigned) => Marcus Tomlinson (marcustomlinson)

** Changed in: libreoffice-l10n (Ubuntu Xenial)
   Status: New => Fix Committed

** Changed in: libreoffice-l10n (Ubuntu Xenial)
 Assignee: (unassigned) => Marcus Tomlinson (marcustomlinson)

** Changed in: libreoffice-l10n (Ubuntu Bionic)
   Status: New => Fix Committed

** Changed in: libreoffice-l10n (Ubuntu Bionic)
 Assignee: (unassigned) => Marcus Tomlinson (marcustomlinson)

** Changed in: libreoffice-l10n (Ubuntu Cosmic)
 Assignee: (unassigned) => Marcus Tomlinson (marcustomlinson)

** Changed in: libreoffice-l10n (Ubuntu Disco)
 Assignee: (unassigned) => Marcus Tomlinson (marcustomlinson)

** Changed in: libreoffice (Ubuntu)
 Assignee: (unassigned) => Marcus Tomlinson (marcustomlinson)

** Changed in: libreoffice-l10n (Ubuntu)
 Assignee: (unassigned) => Marcus Tomlinson (marcustomlinson)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to icu in Ubuntu.
https://bugs.launchpad.net/bugs/1828884

Title:
  [META] Handling Japanese new era "令和 (Reiwa)"

Status in fonts-noto-cjk package in Ubuntu:
  New
Status in gnome-characters package in Ubuntu:
  New
Status in gucharmap package in Ubuntu:
  New
Status in icu package in Ubuntu:
  New
Status in libreoffice package in Ubuntu:
  Fix Released
Status in libreoffice-l10n package in Ubuntu:
  Fix Released
Status in mozc package in Ubuntu:
  Fix Released
Status in openjdk-8 package in Ubuntu:
  Fix Released
Status in poppler-data package in Ubuntu:
  New
Status in unicode-data package in Ubuntu:
  Fix Released
Status in gnome-characters source package in Xenial:
  New
Status in gucharmap source package in Xenial:
  New
Status in icu source package in Xenial:
  New
Status in libreoffice source package in Xenial:
  Fix Committed
Status in libreoffice-l10n source package in Xenial:
  Fix Committed
Status in mozc source package in Xenial:
  Fix Released
Status in openjdk-8 source package in Xenial:
  New
Status in poppler-data source package in Xenial:
  New
Status in unicode-data source package in Xenial:
  New
Status in fonts-noto-cjk source package in Bionic:
  New
Status in gnome-characters source package in Bionic:
  New
Status in gucharmap source package in Bionic:
  New
Status in icu source package in Bionic:
  New
Status in libreoffice source package in Bionic:
  Fix Committed
Status in libreoffice-l10n source package in Bionic:
  Fix Committed
Status in mozc source package in Bionic:
  Fix Released
Status in openjdk-8 source package in Bionic:
  New
Status in poppler-data source package in Bionic:
  New
Status in unicode-data source package in Bionic:
  New
Status in fonts-noto-cjk source package in Cosmic:
  New
Status in gnome-characters source package in Cosmic:
  New
Status in gucharmap source package in Cosmic:
  New
Status in icu source package in Cosmic:
  New
Status in libreoffice source package in Cosmic:
  Fix Released
Status in libreoffice-l10n source package in Cosmic:
  Fix Released
Status in mozc source package in Cosmic:
  Fix Released
Status in openjdk-8 source package in Cosmic:
  New
Status in poppler-data source package in Cosmic:
  New
Status in unicode-data source package in Cosmic:
  New
Status in fonts-noto-cjk source package in Disco:
  New
Status in gnome-characters source package in Disco:
  New
Status in gucharmap source package in Disco:
  New
Status in icu source package in Disco:
  New
Status in libreoffice source package in Disco:
  Fix Released
Status in libreoffice-l10n source package in Disco:
  Fix Released
Status in mozc source package in Disco:
  Fix Released
Status in openjdk-8 source package in Disco:
  New
Status in poppler-data source package in Disco:
  New
Status in unicode-data source package in Disco:
  New

Bug description:
  [Background]
  Many packages are affected by the requirement to support the new era "Reiwa" 
(令和)

  This is the meta bug to track packages that need fixes; which packages
  have already been SRUd to previous releases, how to prioritize the
  work needed, and general test cases for verifying that things are
  working as expected.

  [Impact]
  Users who run Ubuntu in Japanese.

  [Test cases]

  == Date conversion ==

  On applications that support writing dates in long form, or with
  symbols to denote era (either in X00.00.00 format or in GG1G5G1G
  format  (G- glyph; X- character):

  1) Enable 

[Touch-packages] [Bug 1828884] Re: [META] Handling Japanese new era "令和 (Reiwa)"

2019-05-27 Thread Olivier Tilloy
** Changed in: libreoffice-l10n (Ubuntu Cosmic)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to icu in Ubuntu.
https://bugs.launchpad.net/bugs/1828884

Title:
  [META] Handling Japanese new era "令和 (Reiwa)"

Status in fonts-noto-cjk package in Ubuntu:
  New
Status in gnome-characters package in Ubuntu:
  New
Status in gucharmap package in Ubuntu:
  New
Status in icu package in Ubuntu:
  New
Status in libreoffice package in Ubuntu:
  Fix Released
Status in libreoffice-l10n package in Ubuntu:
  Fix Released
Status in mozc package in Ubuntu:
  Fix Released
Status in openjdk-8 package in Ubuntu:
  Fix Released
Status in poppler-data package in Ubuntu:
  New
Status in unicode-data package in Ubuntu:
  Fix Released
Status in gnome-characters source package in Xenial:
  New
Status in gucharmap source package in Xenial:
  New
Status in icu source package in Xenial:
  New
Status in libreoffice source package in Xenial:
  Fix Committed
Status in libreoffice-l10n source package in Xenial:
  New
Status in mozc source package in Xenial:
  Fix Released
Status in openjdk-8 source package in Xenial:
  New
Status in poppler-data source package in Xenial:
  New
Status in unicode-data source package in Xenial:
  New
Status in fonts-noto-cjk source package in Bionic:
  New
Status in gnome-characters source package in Bionic:
  New
Status in gucharmap source package in Bionic:
  New
Status in icu source package in Bionic:
  New
Status in libreoffice source package in Bionic:
  Fix Committed
Status in libreoffice-l10n source package in Bionic:
  New
Status in mozc source package in Bionic:
  Fix Released
Status in openjdk-8 source package in Bionic:
  New
Status in poppler-data source package in Bionic:
  New
Status in unicode-data source package in Bionic:
  New
Status in fonts-noto-cjk source package in Cosmic:
  New
Status in gnome-characters source package in Cosmic:
  New
Status in gucharmap source package in Cosmic:
  New
Status in icu source package in Cosmic:
  New
Status in libreoffice source package in Cosmic:
  Fix Released
Status in libreoffice-l10n source package in Cosmic:
  Fix Released
Status in mozc source package in Cosmic:
  Fix Released
Status in openjdk-8 source package in Cosmic:
  New
Status in poppler-data source package in Cosmic:
  New
Status in unicode-data source package in Cosmic:
  New
Status in fonts-noto-cjk source package in Disco:
  New
Status in gnome-characters source package in Disco:
  New
Status in gucharmap source package in Disco:
  New
Status in icu source package in Disco:
  New
Status in libreoffice source package in Disco:
  Fix Released
Status in libreoffice-l10n source package in Disco:
  Fix Released
Status in mozc source package in Disco:
  Fix Released
Status in openjdk-8 source package in Disco:
  New
Status in poppler-data source package in Disco:
  New
Status in unicode-data source package in Disco:
  New

Bug description:
  [Background]
  Many packages are affected by the requirement to support the new era "Reiwa" 
(令和)

  This is the meta bug to track packages that need fixes; which packages
  have already been SRUd to previous releases, how to prioritize the
  work needed, and general test cases for verifying that things are
  working as expected.

  [Impact]
  Users who run Ubuntu in Japanese.

  [Test cases]

  == Date conversion ==

  On applications that support writing dates in long form, or with
  symbols to denote era (either in X00.00.00 format or in GG1G5G1G
  format  (G- glyph; X- character):

  1) Enable date formatting in each of the above formats that are supported 
(long form or symbols)
  2) Type in '2019/05/01' to be formatted, verify that it shows as "令和1年5月1日" 
or "R1.05.01"
  3) Type in '2019/04/30' to be formatted, verify that it shows as "平成31年4月30日" 
or "H31.4.30"

  == Date output ==

  1) Set date to 2019/05/01
  2) Output date; verify that the year it is displayed as "令和元年"
  3) Set date to 2019/04/30
  4) Output date; verify that the year is diplayed as "平成31年"

  === Displaying formatted year for Japanese era with glibc ===

  Run:
  LC_ALL=ja_JP.utf8 date +%EY -d 20190430   # previous era (should still work 
as before SRUs)
  or
  LC_ALL=ja_JP.utf8 date +%EY -d 20190501   # new era (should now correctly 
display the new era)

  == Character maps / font support ==

  1) Search for character "SQUARE ERA NAME"
  2) Verify that the results include at least "SQUARE ERA NAME HEISEI" and 
"SQUARE ERA NAME REIWA" (there should also be Syouwa, Taisyou and Meizi), and 
that the glyphs are readable:

   - SQUARE ERA NAME HEISEI:  ㍻
   - SQUARE ERA NAME REIWA:   令和 (in a single glyph)

  Display of the Reiwa square glyph is font-specific; it may show simply
  as a empty square or a square with hex characters. If that is the
  case, the unicode data supports the new character, but the selected
  font does not include the new glyph.

  == Typing / 

[Touch-packages] [Bug 1827738] Re: Wrong X Window Map State

2019-05-06 Thread Olivier Tilloy
** Package changed: chromium-browser (Ubuntu) => xorg (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1827738

Title:
  Wrong X Window Map State

Status in mutter package in Ubuntu:
  New

Bug description:
  Testet on Ubuntu 18.04.02 LTS

  Use [xwininfo] and e.g. [emacs] or [terminal] to test for map state.

  Call [xwininfo] and click on the open terminal window:

  xwininfo: Window id: 0x2c04847 "tombert@bionic: ~"

Absolute upper-left X:  741
Absolute upper-left Y:  94
Relative upper-left X:  10
Relative upper-left Y:  38
Width: 734
Height: 458
Depth: 32
Visual: 0x2a0
Visual Class: TrueColor
Border width: 0
Class: InputOutput
Colormap: 0x2c5 (not installed)
Bit Gravity State: NorthWestGravity
Window Gravity State: NorthWestGravity
Backing Store State: NotUseful
Save Under State: no
Map State: IsViewable
Override Redirect State: no
Corners:  +741+94  -261+94  -261-808  +741-808
-geometry 80x24+731+56

  
  Now iconify the terminal and call: [xwininfo -id 0x2c04847]
  The "Map State" is still "IsViewable" when it should be unmapped.

  The reference I found:
  (http://lesstif.sourceforge.net/doc/super-ux/g1ae04e/chap3-2.html)
  "3.4.2.5 Iconify and Deiconify
  A top-level window that is not Withdrawn will be in the Normal state if it is 
mapped and in the Iconic state if it is unmapped. This will be true even if the 
window has been reparented; the window manager will unmap the window as well as 
its parent when switching to the Iconic state."

  
  The big problem is that graphical applications cannot distinguish their 
current state.
  If this is not a bug, then please give advice in how to query the iconified 
state.

  Best Regards

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1827738/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1823426] Re: librsvg ftbfs in disco (i386 only)

2019-04-11 Thread Olivier Tilloy
** Bug watch added: Debian Bug tracker #926840
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=926840

** Also affects: librsvg (Debian) via
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=926840
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1823426

Title:
  librsvg ftbfs in disco (i386 only)

Status in librsvg:
  New
Status in librsvg package in Ubuntu:
  In Progress
Status in librsvg source package in Disco:
  In Progress
Status in librsvg package in Debian:
  Unknown

Bug description:
  https://launchpadlibrarian.net/417925231/buildlog_ubuntu-
  disco-i386.librsvg_2.44.10-1_BUILDING.txt.gz

 Compiling phf_generator v0.7.23
   Running `rustc --crate-name phf_generator 
/<>/vendor/phf_generator/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 -C metadata=454a5a2ede7d0e81 
-C extra-filename=-454a5a2ede7d0e81 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --extern 
phf_shared=/<>/target/release/deps/libphf_shared-3211ae4bedecc506.rlib
 --extern 
rand=/<>/target/release/deps/librand-bc26f371fdd8f508.rlib 
--cap-lints allow`
  error[E0428]: the name `U1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2112:5
   |
  2110 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
   | 
-
 previous definition of the type `U1024` here
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
   | 
^
 `U1024` redefined here
   |
   = note: `U1024` must be defined only once in the type namespace of this 
module

  error[E0428]: the name `P1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2113:5
   |
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
   | - previous definition of the type 
`P1024` here
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
  2113 | pub type P1024 = PInt; pub type N1024 = NInt;
   | ^ `P1024` redefined here
   |
   = note: `P1024` must be defined only once in the type namespace of this 
module

  error[E0428]: the name `N1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2113:35
   |
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
   |   - 
previous definition of the type `N1024` here
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
  2113 | pub type P1024 = PInt; pub type N1024 = NInt;
   |   ^ 
`N1024` redefined here
   |
   = note: `N1024` must be defined only once in the type namespace of this 
module

 Compiling quote v0.6.8
   Running `rustc --crate-name quote 
/<>/vendor/quote/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 --cfg 'feature="default"' 
--cfg 'feature="proc-macro"' --cfg 'feature="proc-macro2"' -C 
metadata=7bcb03a3954c3d99 -C extra-filename=-7bcb03a3954c3d99 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --extern 
proc_macro2=/<>/target/release/deps/libproc_macro2-f0d4dedaba1fcdae.rlib
 --cap-lints allow`
  error: aborting due to 3 previous errors

  For more information about this error, try `rustc --explain E0428`.
  error: Could not compile `typenum`.

  Caused by:
process didn't exit successfully: `rustc --crate-name typenum 
/<>/vendor/typenum/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 -C metadata=373290d68c8bc9c3 
-C extra-filename=-373290d68c8bc9c3 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --cap-lints allow` (exit code: 
1)
  warning: build failed, waiting for other jobs to finish...
  error: build failed
  make[3]: *** [Makefile:1955: 
/<>/target/release/librsvg_internals.a] Error 101
  make[3]: Leaving directory '/<>'
  make[2]: *** [Makefile:1457: all-recursive] Error 1
  make[2]: Leaving directory '/<>'
  make[1]: *** [Makefile:940: all] Error 2

To manage notifications about this bug go to:
https://bugs.launchpad.net/librsvg/+bug/1823426/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : 

[Touch-packages] [Bug 1823426] Re: librsvg ftbfs in disco (i386 only)

2019-04-10 Thread Olivier Tilloy
There is also a unit test failure on i386 only.
Upstream bug report: https://gitlab.gnome.org/GNOME/librsvg/issues/455

** Bug watch added: gitlab.gnome.org/GNOME/librsvg/issues #455
   https://gitlab.gnome.org/GNOME/librsvg/issues/455

** Also affects: librsvg via
   https://gitlab.gnome.org/GNOME/librsvg/issues/455
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1823426

Title:
  librsvg ftbfs in disco (i386 only)

Status in librsvg:
  Unknown
Status in librsvg package in Ubuntu:
  In Progress
Status in librsvg source package in Disco:
  In Progress

Bug description:
  https://launchpadlibrarian.net/417925231/buildlog_ubuntu-
  disco-i386.librsvg_2.44.10-1_BUILDING.txt.gz

 Compiling phf_generator v0.7.23
   Running `rustc --crate-name phf_generator 
/<>/vendor/phf_generator/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 -C metadata=454a5a2ede7d0e81 
-C extra-filename=-454a5a2ede7d0e81 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --extern 
phf_shared=/<>/target/release/deps/libphf_shared-3211ae4bedecc506.rlib
 --extern 
rand=/<>/target/release/deps/librand-bc26f371fdd8f508.rlib 
--cap-lints allow`
  error[E0428]: the name `U1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2112:5
   |
  2110 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
   | 
-
 previous definition of the type `U1024` here
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
   | 
^
 `U1024` redefined here
   |
   = note: `U1024` must be defined only once in the type namespace of this 
module

  error[E0428]: the name `P1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2113:5
   |
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
   | - previous definition of the type 
`P1024` here
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
  2113 | pub type P1024 = PInt; pub type N1024 = NInt;
   | ^ `P1024` redefined here
   |
   = note: `P1024` must be defined only once in the type namespace of this 
module

  error[E0428]: the name `N1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2113:35
   |
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
   |   - 
previous definition of the type `N1024` here
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
  2113 | pub type P1024 = PInt; pub type N1024 = NInt;
   |   ^ 
`N1024` redefined here
   |
   = note: `N1024` must be defined only once in the type namespace of this 
module

 Compiling quote v0.6.8
   Running `rustc --crate-name quote 
/<>/vendor/quote/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 --cfg 'feature="default"' 
--cfg 'feature="proc-macro"' --cfg 'feature="proc-macro2"' -C 
metadata=7bcb03a3954c3d99 -C extra-filename=-7bcb03a3954c3d99 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --extern 
proc_macro2=/<>/target/release/deps/libproc_macro2-f0d4dedaba1fcdae.rlib
 --cap-lints allow`
  error: aborting due to 3 previous errors

  For more information about this error, try `rustc --explain E0428`.
  error: Could not compile `typenum`.

  Caused by:
process didn't exit successfully: `rustc --crate-name typenum 
/<>/vendor/typenum/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 -C metadata=373290d68c8bc9c3 
-C extra-filename=-373290d68c8bc9c3 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --cap-lints allow` (exit code: 
1)
  warning: build failed, waiting for other jobs to finish...
  error: build failed
  make[3]: *** [Makefile:1955: 
/<>/target/release/librsvg_internals.a] Error 101
  make[3]: Leaving directory '/<>'
  make[2]: *** [Makefile:1457: all-recursive] Error 1
  make[2]: Leaving directory '/<>'
  make[1]: *** [Makefile:940: all] Error 2

To manage notifications about this bug go to:
https://bugs.launchpad.net/librsvg/+bug/1823426/+subscriptions

-- 
Mailing list: 

[Touch-packages] [Bug 1823426] Re: librsvg ftbfs in disco (i386 only)

2019-04-10 Thread Olivier Tilloy
** Changed in: librsvg (Ubuntu Disco)
   Status: Confirmed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1823426

Title:
  librsvg ftbfs in disco (i386 only)

Status in librsvg package in Ubuntu:
  In Progress
Status in librsvg source package in Disco:
  In Progress

Bug description:
  https://launchpadlibrarian.net/417925231/buildlog_ubuntu-
  disco-i386.librsvg_2.44.10-1_BUILDING.txt.gz

 Compiling phf_generator v0.7.23
   Running `rustc --crate-name phf_generator 
/<>/vendor/phf_generator/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 -C metadata=454a5a2ede7d0e81 
-C extra-filename=-454a5a2ede7d0e81 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --extern 
phf_shared=/<>/target/release/deps/libphf_shared-3211ae4bedecc506.rlib
 --extern 
rand=/<>/target/release/deps/librand-bc26f371fdd8f508.rlib 
--cap-lints allow`
  error[E0428]: the name `U1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2112:5
   |
  2110 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
   | 
-
 previous definition of the type `U1024` here
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
   | 
^
 `U1024` redefined here
   |
   = note: `U1024` must be defined only once in the type namespace of this 
module

  error[E0428]: the name `P1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2113:5
   |
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
   | - previous definition of the type 
`P1024` here
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
  2113 | pub type P1024 = PInt; pub type N1024 = NInt;
   | ^ `P1024` redefined here
   |
   = note: `P1024` must be defined only once in the type namespace of this 
module

  error[E0428]: the name `N1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2113:35
   |
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
   |   - 
previous definition of the type `N1024` here
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
  2113 | pub type P1024 = PInt; pub type N1024 = NInt;
   |   ^ 
`N1024` redefined here
   |
   = note: `N1024` must be defined only once in the type namespace of this 
module

 Compiling quote v0.6.8
   Running `rustc --crate-name quote 
/<>/vendor/quote/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 --cfg 'feature="default"' 
--cfg 'feature="proc-macro"' --cfg 'feature="proc-macro2"' -C 
metadata=7bcb03a3954c3d99 -C extra-filename=-7bcb03a3954c3d99 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --extern 
proc_macro2=/<>/target/release/deps/libproc_macro2-f0d4dedaba1fcdae.rlib
 --cap-lints allow`
  error: aborting due to 3 previous errors

  For more information about this error, try `rustc --explain E0428`.
  error: Could not compile `typenum`.

  Caused by:
process didn't exit successfully: `rustc --crate-name typenum 
/<>/vendor/typenum/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 -C metadata=373290d68c8bc9c3 
-C extra-filename=-373290d68c8bc9c3 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --cap-lints allow` (exit code: 
1)
  warning: build failed, waiting for other jobs to finish...
  error: build failed
  make[3]: *** [Makefile:1955: 
/<>/target/release/librsvg_internals.a] Error 101
  make[3]: Leaving directory '/<>'
  make[2]: *** [Makefile:1457: all-recursive] Error 1
  make[2]: Leaving directory '/<>'
  make[1]: *** [Makefile:940: all] Error 2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1823426/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1823426] Re: librsvg ftbfs in disco (i386 only)

2019-04-10 Thread Olivier Tilloy
Upstream fix in the typenum crate (which is being vendored in the
librsvg source tarball):
https://github.com/paholg/typenum/commit/14a3322d1081fd63d5eb44bf8ab8f90676208228

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1823426

Title:
  librsvg ftbfs in disco (i386 only)

Status in librsvg package in Ubuntu:
  Confirmed
Status in librsvg source package in Disco:
  Confirmed

Bug description:
  https://launchpadlibrarian.net/417925231/buildlog_ubuntu-
  disco-i386.librsvg_2.44.10-1_BUILDING.txt.gz

 Compiling phf_generator v0.7.23
   Running `rustc --crate-name phf_generator 
/<>/vendor/phf_generator/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 -C metadata=454a5a2ede7d0e81 
-C extra-filename=-454a5a2ede7d0e81 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --extern 
phf_shared=/<>/target/release/deps/libphf_shared-3211ae4bedecc506.rlib
 --extern 
rand=/<>/target/release/deps/librand-bc26f371fdd8f508.rlib 
--cap-lints allow`
  error[E0428]: the name `U1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2112:5
   |
  2110 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
   | 
-
 previous definition of the type `U1024` here
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
   | 
^
 `U1024` redefined here
   |
   = note: `U1024` must be defined only once in the type namespace of this 
module

  error[E0428]: the name `P1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2113:5
   |
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
   | - previous definition of the type 
`P1024` here
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
  2113 | pub type P1024 = PInt; pub type N1024 = NInt;
   | ^ `P1024` redefined here
   |
   = note: `P1024` must be defined only once in the type namespace of this 
module

  error[E0428]: the name `N1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2113:35
   |
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
   |   - 
previous definition of the type `N1024` here
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
  2113 | pub type P1024 = PInt; pub type N1024 = NInt;
   |   ^ 
`N1024` redefined here
   |
   = note: `N1024` must be defined only once in the type namespace of this 
module

 Compiling quote v0.6.8
   Running `rustc --crate-name quote 
/<>/vendor/quote/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 --cfg 'feature="default"' 
--cfg 'feature="proc-macro"' --cfg 'feature="proc-macro2"' -C 
metadata=7bcb03a3954c3d99 -C extra-filename=-7bcb03a3954c3d99 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --extern 
proc_macro2=/<>/target/release/deps/libproc_macro2-f0d4dedaba1fcdae.rlib
 --cap-lints allow`
  error: aborting due to 3 previous errors

  For more information about this error, try `rustc --explain E0428`.
  error: Could not compile `typenum`.

  Caused by:
process didn't exit successfully: `rustc --crate-name typenum 
/<>/vendor/typenum/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 -C metadata=373290d68c8bc9c3 
-C extra-filename=-373290d68c8bc9c3 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --cap-lints allow` (exit code: 
1)
  warning: build failed, waiting for other jobs to finish...
  error: build failed
  make[3]: *** [Makefile:1955: 
/<>/target/release/librsvg_internals.a] Error 101
  make[3]: Leaving directory '/<>'
  make[2]: *** [Makefile:1457: all-recursive] Error 1
  make[2]: Leaving directory '/<>'
  make[1]: *** [Makefile:940: all] Error 2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1823426/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1823426] Re: librsvg ftbfs in disco (i386 only)

2019-04-10 Thread Olivier Tilloy
** Changed in: librsvg (Ubuntu Disco)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1823426

Title:
  librsvg ftbfs in disco (i386 only)

Status in librsvg package in Ubuntu:
  Confirmed
Status in librsvg source package in Disco:
  Confirmed

Bug description:
  https://launchpadlibrarian.net/417925231/buildlog_ubuntu-
  disco-i386.librsvg_2.44.10-1_BUILDING.txt.gz

 Compiling phf_generator v0.7.23
   Running `rustc --crate-name phf_generator 
/<>/vendor/phf_generator/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 -C metadata=454a5a2ede7d0e81 
-C extra-filename=-454a5a2ede7d0e81 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --extern 
phf_shared=/<>/target/release/deps/libphf_shared-3211ae4bedecc506.rlib
 --extern 
rand=/<>/target/release/deps/librand-bc26f371fdd8f508.rlib 
--cap-lints allow`
  error[E0428]: the name `U1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2112:5
   |
  2110 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
   | 
-
 previous definition of the type `U1024` here
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
   | 
^
 `U1024` redefined here
   |
   = note: `U1024` must be defined only once in the type namespace of this 
module

  error[E0428]: the name `P1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2113:5
   |
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
   | - previous definition of the type 
`P1024` here
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
  2113 | pub type P1024 = PInt; pub type N1024 = NInt;
   | ^ `P1024` redefined here
   |
   = note: `P1024` must be defined only once in the type namespace of this 
module

  error[E0428]: the name `N1024` is defined multiple times
  --> 
/<>/target/release/build/typenum-44d960740a171e66/out/consts.rs:2113:35
   |
  2111 | pub type P1024 = PInt; pub type N1024 = NInt;
   |   - 
previous definition of the type `N1024` here
  2112 | pub type U1024 = 
UInt, B0>, B0>, 
B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
  2113 | pub type P1024 = PInt; pub type N1024 = NInt;
   |   ^ 
`N1024` redefined here
   |
   = note: `N1024` must be defined only once in the type namespace of this 
module

 Compiling quote v0.6.8
   Running `rustc --crate-name quote 
/<>/vendor/quote/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 --cfg 'feature="default"' 
--cfg 'feature="proc-macro"' --cfg 'feature="proc-macro2"' -C 
metadata=7bcb03a3954c3d99 -C extra-filename=-7bcb03a3954c3d99 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --extern 
proc_macro2=/<>/target/release/deps/libproc_macro2-f0d4dedaba1fcdae.rlib
 --cap-lints allow`
  error: aborting due to 3 previous errors

  For more information about this error, try `rustc --explain E0428`.
  error: Could not compile `typenum`.

  Caused by:
process didn't exit successfully: `rustc --crate-name typenum 
/<>/vendor/typenum/src/lib.rs --color never --crate-type lib 
--emit=dep-info,link -C opt-level=3 -C debuginfo=2 -C metadata=373290d68c8bc9c3 
-C extra-filename=-373290d68c8bc9c3 --out-dir 
/<>/target/release/deps -L 
dependency=/<>/target/release/deps --cap-lints allow` (exit code: 
1)
  warning: build failed, waiting for other jobs to finish...
  error: build failed
  make[3]: *** [Makefile:1955: 
/<>/target/release/librsvg_internals.a] Error 101
  make[3]: Leaving directory '/<>'
  make[2]: *** [Makefile:1457: all-recursive] Error 1
  make[2]: Leaving directory '/<>'
  make[1]: *** [Makefile:940: all] Error 2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1823426/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1822775] Re: Different input sources per window not work

2019-04-02 Thread Olivier Tilloy
Confirmed. The setting can be changed in the "Region & Languague" panel:

gnome-control-center region

(cog icon next to "Input Sources" section)

But this doesn't actually change the corresponding gsetting:

$ gsettings get org.gnome.desktop.input-sources per-window
false

** Package changed: ibus (Ubuntu) => gnome-control-center (Ubuntu)

** Changed in: gnome-control-center (Ubuntu)
   Status: New => Confirmed

** Tags added: rls-dd-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1822775

Title:
  Different input sources per window not work

Status in gnome-control-center package in Ubuntu:
  Confirmed

Bug description:
  Ubuntu 19.04

  The option to apply different input source for each window doesn't
  work (it automatically reset itself)

  However, I manually change org.gnome.desktop.input-sources.per-window
  and it works.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1822775/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1814133] Re: update to openjdk 11 in 18.04 LTS

2019-02-26 Thread Olivier Tilloy
** Also affects: libreoffice (Ubuntu)
   Importance: Undecided
   Status: New

** Also affects: libreoffice-l10n (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gettext in Ubuntu.
https://bugs.launchpad.net/bugs/1814133

Title:
  update to openjdk 11 in 18.04 LTS

Status in activemq package in Ubuntu:
  New
Status in batik package in Ubuntu:
  New
Status in bindex package in Ubuntu:
  New
Status in ca-certificates-java package in Ubuntu:
  New
Status in carrotsearch-hppc package in Ubuntu:
  New
Status in commons-httpclient package in Ubuntu:
  New
Status in eclipselink package in Ubuntu:
  New
Status in figtree package in Ubuntu:
  New
Status in gatk-native-bindings package in Ubuntu:
  New
Status in gettext package in Ubuntu:
  New
Status in gkl package in Ubuntu:
  New
Status in gradle package in Ubuntu:
  New
Status in graxxia package in Ubuntu:
  New
Status in groovy package in Ubuntu:
  New
Status in hsqldb package in Ubuntu:
  New
Status in hsqldb1.8.0 package in Ubuntu:
  New
Status in htsjdk package in Ubuntu:
  New
Status in insubstantial package in Ubuntu:
  New
Status in jabref package in Ubuntu:
  New
Status in jackson-module-jaxb-annotations package in Ubuntu:
  New
Status in jameica package in Ubuntu:
  New
Status in jameica-datasource package in Ubuntu:
  New
Status in jameica-util package in Ubuntu:
  New
Status in jasperreports package in Ubuntu:
  New
Status in java-common package in Ubuntu:
  New
Status in javatools package in Ubuntu:
  New
Status in jaxws-api package in Ubuntu:
  New
Status in jboss-jdeparser2 package in Ubuntu:
  New
Status in jboss-modules package in Ubuntu:
  New
Status in jersey1 package in Ubuntu:
  New
Status in jftp package in Ubuntu:
  New
Status in jmdns package in Ubuntu:
  New
Status in jnr-posix package in Ubuntu:
  New
Status in jruby package in Ubuntu:
  New
Status in jruby-openssl package in Ubuntu:
  New
Status in junit4 package in Ubuntu:
  New
Status in jws-api package in Ubuntu:
  New
Status in jython package in Ubuntu:
  New
Status in libbtm-java package in Ubuntu:
  New
Status in libcommons-collections3-java package in Ubuntu:
  New
Status in libcommons-collections4-java package in Ubuntu:
  New
Status in libgpars-groovy-java package in Ubuntu:
  New
Status in libhibernate-validator-java package in Ubuntu:
  New
Status in libjackson-json-java package in Ubuntu:
  New
Status in libjdo-api-java package in Ubuntu:
  New
Status in libjdom1-java package in Ubuntu:
  New
Status in libnetx-java package in Ubuntu:
  New
Status in libquartz-java package in Ubuntu:
  New
Status in libreoffice package in Ubuntu:
  New
Status in libreoffice-l10n package in Ubuntu:
  New
Status in libscram-java package in Ubuntu:
  New
Status in libswingx-java package in Ubuntu:
  New
Status in libxml-security-java package in Ubuntu:
  New
Status in libxstream-java package in Ubuntu:
  New
Status in logback package in Ubuntu:
  New
Status in mariadb-connector-java package in Ubuntu:
  New
Status in maven-bundle-plugin package in Ubuntu:
  New
Status in maven-enforcer package in Ubuntu:
  New
Status in maven-javadoc-plugin package in Ubuntu:
  New
Status in maven-jaxb2-plugin package in Ubuntu:
  New
Status in maven-plugin-tools package in Ubuntu:
  New
Status in mckoisqldb package in Ubuntu:
  New
Status in metro-policy package in Ubuntu:
  New
Status in mockito package in Ubuntu:
  New
Status in msv package in Ubuntu:
  New
Status in obantoo package in Ubuntu:
  New
Status in objenesis package in Ubuntu:
  New
Status in octave package in Ubuntu:
  New
Status in openjdk-11-jre-dcevm package in Ubuntu:
  New
Status in openjdk-lts package in Ubuntu:
  New
Status in openjfx package in Ubuntu:
  New
Status in orthanc-imagej package in Ubuntu:
  New
Status in pdfsam package in Ubuntu:
  New
Status in procyon package in Ubuntu:
  New
Status in rdp-alignment package in Ubuntu:
  New
Status in rdp-classifier package in Ubuntu:
  New
Status in rdp-readseq package in Ubuntu:
  New
Status in resteasy3.0 package in Ubuntu:
  New
Status in rsyntaxtextarea package in Ubuntu:
  New
Status in saaj package in Ubuntu:
  New
Status in scala package in Ubuntu:
  New
Status in scilab package in Ubuntu:
  New
Status in shiro package in Ubuntu:
  New
Status in sitemesh package in Ubuntu:
  New
Status in snakeyaml package in Ubuntu:
  New
Status in trove3 package in Ubuntu:
  New
Status in uimaj package in Ubuntu:
  New
Status in unsafe-mock package in Ubuntu:
  New
Status in visualvm package in Ubuntu:
  New
Status in writer2latex package in Ubuntu:
  New
Status in xmlbeans package in Ubuntu:
  New
Status in clojure1.8 source package in Bionic:
  Fix Committed
Status in dd-plist source package in Bionic:
  Fix Committed
Status in gettext source package in Bionic:
  Fix Committed
Status in gradle source package in Bionic:
  Fix Committed
Status in gradle-debian-helper 

[Touch-packages] [Bug 1814551] Re: Ubuntu 18.10's ibus package breaks password fields in Firefox Beta (65, 66 via PPA)

2019-02-21 Thread Olivier Tilloy
I cannot reproduce the issue. I'm on cosmic fully up-to-date with the
same versions of gnome-shell and ibus as in the descriptino, tested
firefox 66 beta 9 from the firefox-next PPA.

I cannot reproduce the issue described here, nor the original issue in
bug #1765304.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1814551

Title:
  Ubuntu 18.10's ibus package breaks password fields in Firefox Beta
  (65, 66 via PPA)

Status in ibus package in Ubuntu:
  Confirmed

Bug description:
  Essentially
  https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1765304 but
  reproducible in Cosmic even with the patched gnome-shell installed via
  APT.

  SYSTEM INFO
  =

  * Ubuntu 18.10 Cosmic with latest updates
  * proc/version_signature: Ubuntu 4.18.0-14.15-generic 4.18.20
  * uname: Linux justin-ubuntu 4.18.0-14-generic #15-Ubuntu SMP Mon Jan 14 
09:01:02 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
  * gnome-shell 3.30.1-2ubuntu1.18.10.2
  * ibus 1.5.19-1ubuntu1
  * Both Firefox 65 and 66 (66.0~b4+build1-0ubuntu0.18.04.1 per official PPA)

  
  STEPS TO REPRODUCE
  =

  1. Ensure keyboard input method system is 
  1. Download Firefox Beta channel via their official PPA: 
https://launchpad.net/~mozillateam/+archive/ubuntu/firefox-next
  2. Download and install the 1Password X firefox extentsion: 
https://addons.mozilla.org/en-US/firefox/addon/1password-x-password-manager/
  3. Open the extension window by either pressing the shortcut Ctrl+. or 
clicking the 1Password icon in the Firefox UI
  4. Enter in the password in the input and press enter.

  Expected: The vault unlocks or displays a "this is a wrong password"

  Actual: The UI appears to "refresh" and nothing occurs.

  WORKAROUND/VALIDATION
  =

  Like the original bug, switching the keyboard input method to XIM from
  iBus resolves the issue suggesting to me that the symptoms I am
  experiencing are caused by the root issue previously filed, fixed, and
  deployed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1814551/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1814551] Re: Ubuntu 18.10's ibus package breaks password fields in Firefox Beta (65, 66 via PPA)

2019-02-21 Thread Olivier Tilloy
Also tested firefox 65.0+build2-0ubuntu0.18.10.1 from the Ubuntu
repositories, and I cannot observe the problem there either.

To everyone affected: what's your desktop session? Are you running X11
or Wayland?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1814551

Title:
  Ubuntu 18.10's ibus package breaks password fields in Firefox Beta
  (65, 66 via PPA)

Status in ibus package in Ubuntu:
  Confirmed

Bug description:
  Essentially
  https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1765304 but
  reproducible in Cosmic even with the patched gnome-shell installed via
  APT.

  SYSTEM INFO
  =

  * Ubuntu 18.10 Cosmic with latest updates
  * proc/version_signature: Ubuntu 4.18.0-14.15-generic 4.18.20
  * uname: Linux justin-ubuntu 4.18.0-14-generic #15-Ubuntu SMP Mon Jan 14 
09:01:02 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
  * gnome-shell 3.30.1-2ubuntu1.18.10.2
  * ibus 1.5.19-1ubuntu1
  * Both Firefox 65 and 66 (66.0~b4+build1-0ubuntu0.18.04.1 per official PPA)

  
  STEPS TO REPRODUCE
  =

  1. Ensure keyboard input method system is 
  1. Download Firefox Beta channel via their official PPA: 
https://launchpad.net/~mozillateam/+archive/ubuntu/firefox-next
  2. Download and install the 1Password X firefox extentsion: 
https://addons.mozilla.org/en-US/firefox/addon/1password-x-password-manager/
  3. Open the extension window by either pressing the shortcut Ctrl+. or 
clicking the 1Password icon in the Firefox UI
  4. Enter in the password in the input and press enter.

  Expected: The vault unlocks or displays a "this is a wrong password"

  Actual: The UI appears to "refresh" and nothing occurs.

  WORKAROUND/VALIDATION
  =

  Like the original bug, switching the keyboard input method to XIM from
  iBus resolves the issue suggesting to me that the symptoms I am
  experiencing are caused by the root issue previously filed, fixed, and
  deployed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1814551/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1814551] Re: Ubuntu 18.10's ibus package breaks password fields in Firefox Beta (65, 66 via PPA)

2019-02-21 Thread Olivier Tilloy
** Changed in: ibus (Ubuntu)
 Assignee: (unassigned) => Olivier Tilloy (osomon)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1814551

Title:
  Ubuntu 18.10's ibus package breaks password fields in Firefox Beta
  (65, 66 via PPA)

Status in ibus package in Ubuntu:
  Confirmed

Bug description:
  Essentially
  https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1765304 but
  reproducible in Cosmic even with the patched gnome-shell installed via
  APT.

  SYSTEM INFO
  =

  * Ubuntu 18.10 Cosmic with latest updates
  * proc/version_signature: Ubuntu 4.18.0-14.15-generic 4.18.20
  * uname: Linux justin-ubuntu 4.18.0-14-generic #15-Ubuntu SMP Mon Jan 14 
09:01:02 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
  * gnome-shell 3.30.1-2ubuntu1.18.10.2
  * ibus 1.5.19-1ubuntu1
  * Both Firefox 65 and 66 (66.0~b4+build1-0ubuntu0.18.04.1 per official PPA)

  
  STEPS TO REPRODUCE
  =

  1. Ensure keyboard input method system is 
  1. Download Firefox Beta channel via their official PPA: 
https://launchpad.net/~mozillateam/+archive/ubuntu/firefox-next
  2. Download and install the 1Password X firefox extentsion: 
https://addons.mozilla.org/en-US/firefox/addon/1password-x-password-manager/
  3. Open the extension window by either pressing the shortcut Ctrl+. or 
clicking the 1Password icon in the Firefox UI
  4. Enter in the password in the input and press enter.

  Expected: The vault unlocks or displays a "this is a wrong password"

  Actual: The UI appears to "refresh" and nothing occurs.

  WORKAROUND/VALIDATION
  =

  Like the original bug, switching the keyboard input method to XIM from
  iBus resolves the issue suggesting to me that the symptoms I am
  experiencing are caused by the root issue previously filed, fixed, and
  deployed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1814551/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1813918] Re: Installing package graphicsmagick* is removing CUPS in Mint18.3

2019-01-30 Thread Olivier Tilloy
** Package changed: libreoffice (Ubuntu) => graphicsmagick (Ubuntu)

** Also affects: cups (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cups in Ubuntu.
https://bugs.launchpad.net/bugs/1813918

Title:
  Installing package graphicsmagick*  is removing CUPS in Mint18.3

Status in cups package in Ubuntu:
  New
Status in graphicsmagick package in Ubuntu:
  New

Bug description:
  sudo apt-get install --assume-yes graphicsmagick* 
  Reading package lists... Done
  Building dependency tree   
  Reading state information... Done
  Note, selecting 'graphicsmagick' for glob 'graphicsmagick*'
  Note, selecting 'graphicsmagick-libmagick-dev-compat' for glob 
'graphicsmagick*'
  Note, selecting 'graphicsmagick-imagemagick-compat' for glob 'graphicsmagick*'
  Note, selecting 'graphicsmagick-dbg' for glob 'graphicsmagick*'
  Note, selecting 'graphicsmagick-doc' for glob 'graphicsmagick*'
  Note, selecting 'graphicsmagick-im-compat' for glob 'graphicsmagick*'
  graphicsmagick is already the newest version (1.3.23-1ubuntu0.1).
  graphicsmagick-dbg is already the newest version (1.3.23-1ubuntu0.1).
  graphicsmagick-libmagick-dev-compat is already the newest version 
(1.3.23-1ubuntu0.1).
  The following packages will be REMOVED:
cups cups-filters imagemagick
  The following NEW packages will be installed:
graphicsmagick-imagemagick-compat
  0 upgraded, 1 newly installed, 3 to remove and 405 not upgraded.
  Need to get 0 B/5,826 B of archives.
  After this operation, 2,472 kB disk space will be freed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cups/+bug/1813918/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1812886] Re: gnome-software cannot find libreoffice-base when libreoffice-writer requests to install it

2019-01-22 Thread Olivier Tilloy
*** This bug is a duplicate of bug 1790294 ***
https://bugs.launchpad.net/bugs/1790294

** This bug has been marked a duplicate of bug 1790294
   Tools=>Bibliography launches Software Centre but fails to find 
"libreoffice-base" package

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to packagekit in Ubuntu.
https://bugs.launchpad.net/bugs/1812886

Title:
  gnome-software cannot find libreoffice-base when libreoffice-writer
  requests to install it

Status in gnome-software package in Ubuntu:
  New
Status in packagekit package in Ubuntu:
  New

Bug description:
  Steps:
  1. Make sure LibreOffice Base is not installed
  2. Start LibreOffice Writer
  2. Choose Tools -> Bibliography Database
  3. Writer asks to install missing software
  4. Click on the notification

  Expected results:
  gnome-software finds libreoffice-base and able to install it

  Actual result:
  gnome-software fails to find the missing software

  See the attached screencast.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: gnome-software 3.28.1-0ubuntu4.18.04.4
  ProcVersionSignature: Ubuntu 4.15.0-43.46-generic 4.15.18
  Uname: Linux 4.15.0-43-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Jan 22 17:50:55 2019
  InstallationDate: Installed on 2018-11-29 (53 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 
(20180725)
  InstalledPlugins:
   gnome-software-plugin-flatpak N/A
   gnome-software-plugin-limba   N/A
   gnome-software-plugin-snap3.28.1-0ubuntu4.18.04.4
  SourcePackage: gnome-software
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1812886/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1754671] Re: Full-tunnel VPN DNS leakage regression

2019-01-08 Thread Olivier Tilloy
@Steve (sorry for the late reply): not sure how that relates to bug
#1726124, but in my limited understanding of the changes, they shouldn't
regress the split-DNS use case.

Some relevant pointers to better understand the fixes and their context:

 - https://bugzilla.gnome.org/show_bug.cgi?id=746422 (particularly
comments 8 and 26)

 - https://wiki.gnome.org/Projects/NetworkManager/DNS

 -
https://gitlab.freedesktop.org/NetworkManager/NetworkManager/blob/nm-1-10/NEWS

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1754671

Title:
  Full-tunnel VPN DNS leakage regression

Status in NetworkManager:
  Fix Released
Status in network-manager package in Ubuntu:
  Fix Released
Status in network-manager source package in Bionic:
  Fix Committed

Bug description:
  * Impact

  When using a VPN the DNS requests might still be sent to a DNS server
  outside the VPN when they should not

  * Test case

  Configure the system to send all the traffic to a VPN, do a name
  resolution, the request should not go to the public DNS server (to be
  checked by capturing the traffic by example with wireshark)

  
  * Regression potential

  The code change the handling of DNS servers when using a VPN, we
  should check that name resolution still work whne using a VPN in
  different configurations

  -

  
  In 16.04 the NetworkManager package used to carry this patch:
  
http://bazaar.launchpad.net/~network-manager/network-manager/ubuntu/view/head:/debian/patches/Filter-DNS-servers-to-add-to-dnsmasq-based-on-availa.patch

  It fixed the DNS setup so that when I'm on the VPN, I am not sending
  unencrypted DNS queries to the (potentially hostile) local
  nameservers.

  This patch disappeared in an update. I think it was present in
  1.2.2-0ubuntu0.16.04.4 but was dropped some time later.

  This security bug exists upstream too: 
https://bugzilla.gnome.org/show_bug.cgi?id=746422
  It's not a *regression* there though, as they didn't fix it yet 
(unfortunately!)

To manage notifications about this bug go to:
https://bugs.launchpad.net/network-manager/+bug/1754671/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 942856] Re: NetworkManager does not support AES-encrypted private keys for WPA 802.1x authentication

2018-12-21 Thread Olivier Tilloy
Please test and share your feedback on this new version here, but
refrain from changing the verification-needed-bionic tag for now. This
new version includes many changes and we want to give it an extended
testing period to ensure no regressions sneak in, before it is published
to bionic-updates. Thanks!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/942856

Title:
  NetworkManager does not support AES-encrypted private keys for WPA
  802.1x authentication

Status in NetworkManager:
  Confirmed
Status in network-manager package in Ubuntu:
  Fix Released
Status in network-manager source package in Bionic:
  Fix Committed

Bug description:
  * Impact

  Selecting AES-{192,256}-CBC keys to connect isn't working

  * Test case

  1. Start with a working (cleartext or DES-3) private key/cert for a network.  
Set up a connection and verify that everything works.
  2. Re-encrypt the key with AES-256 with this command: "openssl rsa -in 
working-key.pem -out aes-key.pem -aes256" (the output should have a line 
starting with "DEK-Info: AES-256-CBC,")
  3. Delete the settings for the test network and attempt to reconnect using 
the new key. 

  That should work

  * Regression potential

  That's new code for an extra type of keys, it shouldn't impact
  existing options

  --

  NetworkManager does not appear to support private keys encrypted with
  AES.  At the very least, it will not validate such a key in nm-util
  when setting up a WPA 802.1x TLS wifi connection.

To manage notifications about this bug go to:
https://bugs.launchpad.net/network-manager/+bug/942856/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1754671] Re: Full-tunnel VPN DNS leakage regression

2018-12-21 Thread Olivier Tilloy
Please test and share your feedback on this new version here, but
refrain from changing the verification-needed-bionic tag for now. This
new version includes many changes and we want to give it an extended
testing period to ensure no regressions sneak in, before it is published
to bionic-updates. Thanks!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1754671

Title:
  Full-tunnel VPN DNS leakage regression

Status in NetworkManager:
  Fix Released
Status in network-manager package in Ubuntu:
  Fix Released
Status in network-manager source package in Bionic:
  Fix Committed

Bug description:
  * Impact

  When using a VPN the DNS requests might still be sent to a DNS server
  outside the VPN when they should not

  * Test case

  Configure the system to send all the traffic to a VPN, do a name
  resolution, the request should not go to the public DNS server (to be
  checked by capturing the traffic by example with wireshark)

  
  * Regression potential

  The code change the handling of DNS servers when using a VPN, we
  should check that name resolution still work whne using a VPN in
  different configurations

  -

  
  In 16.04 the NetworkManager package used to carry this patch:
  
http://bazaar.launchpad.net/~network-manager/network-manager/ubuntu/view/head:/debian/patches/Filter-DNS-servers-to-add-to-dnsmasq-based-on-availa.patch

  It fixed the DNS setup so that when I'm on the VPN, I am not sending
  unencrypted DNS queries to the (potentially hostile) local
  nameservers.

  This patch disappeared in an update. I think it was present in
  1.2.2-0ubuntu0.16.04.4 but was dropped some time later.

  This security bug exists upstream too: 
https://bugzilla.gnome.org/show_bug.cgi?id=746422
  It's not a *regression* there though, as they didn't fix it yet 
(unfortunately!)

To manage notifications about this bug go to:
https://bugs.launchpad.net/network-manager/+bug/1754671/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1809132] Re: Updated bionic to the current 1.10 stable version

2018-12-21 Thread Olivier Tilloy
Please test and share your feedback on this new version here, but
refrain from changing the verification-needed-bionic tag for now. This
new version includes many changes and we want to give it an extended
testing period to ensure no regressions sneak in, before it is published
to bionic-updates. Thanks!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1809132

Title:
  Updated bionic to the current 1.10 stable version

Status in network-manager package in Ubuntu:
  Confirmed
Status in network-manager source package in Bionic:
  Fix Committed

Bug description:
  * Impact

  The updates in the stable serie include several fixes for
  misbehaviour, segfaults and security issues, those are the sort of
  improvements that should be in the LTS

  The detail of the changes can be seen in the NEWS entry
  https://gitlab.freedesktop.org/NetworkManager/NetworkManager/blob/nm-1-10/NEWS

  * Test case

  There is no specific test case for the update, the changelog includes
  some specific bugs which have their own test case, otherwise it's
  important to get testing/feedback from users on desktop & server,
  using IPv4, IPv6, VPN, wifi, eth connections, etc.

  * Regression potential

  The update is non trivial, there are several changes are IPv6 and DNS
  (especially in the context of VPNs) handling so it would be good to
  give those extra testing

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1809132/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1765304] Re: Ubuntu 18.04's ibus package breaks password fields in Firefox (by lowering & raising window whenever they're focused)

2018-12-19 Thread Olivier Tilloy
Thanks for testing and the feedback Daniel. You're right, cosmic is not
visibly affected by the bug, nevertheless the fix was backported there
too to satisfy the SRU process (see comment #45). So what should really
be tested is that this doesn't introduce regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1765304

Title:
  Ubuntu 18.04's ibus package breaks password fields in Firefox (by
  lowering & raising window whenever they're focused)

Status in gnome-shell package in Ubuntu:
  Fix Released
Status in ibus package in Ubuntu:
  Invalid
Status in gnome-shell source package in Bionic:
  Fix Committed
Status in gnome-shell source package in Cosmic:
  Fix Committed
Status in ibus source package in Cosmic:
  Invalid

Bug description:
  https://gitlab.gnome.org/GNOME/gnome-shell/issues/391

  ---

  tl;dr: starting in Ubuntu 18.04, "ibus" seems to lower and raise
  Firefox, whenever the user tries to focus an 
  field on a web page.  This is not a regression in Firefox, as the same
  Firefox version runs just fine in Ubuntu 17.10 -- it seems to be a bug
  in ibus, because it only happens (in 18.04) when the environmental
  variable GTK_IM_MODULE is at its default value (which is "ibus").  It
  had this same value in 17.10 but the bug didn't happen there; hence,
  I'm guessing there was a change in ibus (or a related package) that
  caused this breakage / lowering+raising.

  This is pretty bad, because in some cases, the focus-loss can mean
  users are simply unable to fill in password fields that previously
  were working fine. (see "ACTUAL RESULTS" below)

  STEPS TO REPRODUCE #1, via "BitWarden" Firefox extension:
  =
   1. Start Firefox. (fresh profile if you like)
   2. Install BitWarden from 
https://addons.mozilla.org/en-US/firefox/addon/bitwarden-password-manager/
   3. Click the BitWarden toolbar icon to spawn a menu-pane.
   4. Click "Log in" at the bottom of that pane.
   5. Click the "Master Password" field.

  ACTUAL RESULTS:
   The menu pane disappears as soon as the Master Password field receives focus.
  EXPECTED RESULTS:
   I should be able to type in a password; pane shouldn't disappear.

  STEPS TO REPRODUCE #2, via Reddit:
  =
   1. Visit https://www.reddit.com/r/firefox/ (or any reddit page)
   2. Click "Log in or sign up in seconds" at the extreme upper right of the 
page.
    (click the "Log in" part of that sentence)
   3. Try to click the password field (or "tab" into it) and type in some text.

  ACTUAL RESULTS:
   Try as you might, the password field never receives focus.
  EXPECTED RESULTS:
   Password field should accept focus & let me type text into it.

  If I run firefox from the command line with env var GTK_IM_MODULE="",
  then I get "expected results".  But with the default value of that env
  var, I get "actual results" (broken behavior, unable to enter
  passwords).

  I initially reported this in Firefox, here:
  https://bugzilla.mozilla.org/show_bug.cgi?id=1451466 (with a few
  dependent bugs for the usage-specific STR quoted above).  But I think
  it's a bug in ibus, hence filing here now.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: ibus 1.5.17-3ubuntu3
  ProcVersionSignature: Ubuntu 4.15.0-15.16-generic 4.15.15
  Uname: Linux 4.15.0-15-generic x86_64
  ApportVersion: 2.20.9-0ubuntu5
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Apr 18 23:22:05 2018
  InstallationDate: Installed on 2018-04-17 (1 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180416)
  SourcePackage: ibus
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1765304/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1808861] Re: chromium-browser crash Unreportable - Invalid core dump: BFD: warning: apport_core is truncated

2018-12-19 Thread Olivier Tilloy
Was your /tmp filesystem full at the time of the problem maybe?

Marking invalid for chromium-browser, as it's unlikely it's a problem in
chromium itself (besides the actual crash that you were trying to
report, but without an actual core dump we can't do anything about that
one, unfortunately).

** Changed in: chromium-browser (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1808861

Title:
  chromium-browser crash Unreportable - Invalid core dump: BFD: warning:
  apport_core is truncated

Status in apport package in Ubuntu:
  Incomplete
Status in chromium-browser package in Ubuntu:
  Invalid

Bug description:
  Trying to report a crash in chromium-browser, get Unreportable reason
  Invalid core dump: BFD: warning apport_core is truncated (see
  screenshot, can't copy message from apport dialog - bug # 1273752).

  UnreportableReason:
   Invalid core dump: BFD: warning: /tmp/apport_core_6yb3cl_7 is truncated: 
expected core file size >= 1245646848, found: 760283136
   warning: core file may not match specified executable file.

  
  Expected: able to report ?

  
  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: apport 2.20.9-0ubuntu7.5
  ProcVersionSignature: User Name 4.15.0-42.45-generic 4.15.18
  Uname: Linux 4.15.0-42-generic x86_64
  ApportLog:
   ERROR: apport (pid 31805) Mon Dec 17 15:14:09 2018: called for pid 15848, 
signal 5, core limit 0, dump mode 1
   ERROR: apport (pid 31805) Mon Dec 17 15:14:09 2018: executable: 
/usr/lib/chromium-browser/chromium-browser (command line 
"/usr/lib/chromium-browser/chromium-browser\ --enable-pinch")
   ERROR: apport (pid 31805) Mon Dec 17 15:14:09 2018: is_closing_session(): no 
DBUS_SESSION_BUS_ADDRESS in environment
   ERROR: apport (pid 31805) Mon Dec 17 15:15:23 2018: wrote report 
/var/crash/_usr_lib_chromium-browser_chromium-browser.1000.crash
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Mon Dec 17 15:30:28 2018
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2018-09-12 (96 days ago)
  InstallationMedia: Ubuntu 16.04.5 LTS "Xenial Xerus" - Release amd64 
(20180731)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: apport
  UpgradeStatus: Upgraded to bionic on 2018-09-28 (80 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1808861/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


  1   2   3   4   5   6   7   8   9   10   >